"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var LayerBasemapIcon = function LayerBasemapIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.706 1.014c-2.69 0-2.724.986-5.412.986a10.39 10.39 0 0 1-3.161-.512L0 14.09a9.158 9.158 0 0 0 3.793.711c3.665 0 4.749-1.6 8.414-1.6A6.624 6.624 0 0 1 16 14.29L13.867 1.687a8.204 8.204 0 0 0-3.161-.674zM12.207 12.2a12.79 12.79 0 0 0-4.526.852 10.962 10.962 0 0 1-3.888.748 9.54 9.54 0 0 1-2.668-.363L2.935 2.74A11.376 11.376 0 0 0 5.294 3a7.833 7.833 0 0 0 3.045-.552 5.895 5.895 0 0 1 2.367-.434 7.212 7.212 0 0 1 2.27.399l1.72 10.163a8.317 8.317 0 0 0-2.489-.376zM4 4l-1 8h10l-1-8zm6.33 6.043a1.272 1.272 0 0 0 .488-.947 1.135 1.135 0 0 0 .226.022 1.097 1.097 0 0 0 .569-.152L11.867 11h-1.624a1.06 1.06 0 0 0 .164-.576.974.974 0 0 0-.077-.381zM4.133 11l.37-2.965L4.883 5h5.38c.007.152-.019.218-.068.245a1.865 1.865 0 0 0-.732.807l-.035.06a1.27 1.27 0 0 0-.779-.281 1.165 1.165 0 0 0-1.137 1.188.494.494 0 0 1-.146.288 1.326 1.326 0 0 0-1.186-.859 1.32 1.32 0 0 0-1.291 1.343 1.85 1.85 0 0 0 .074.498.61.61 0 0 1 .028.145.9.9 0 0 1-.069.141 1.615 1.615 0 0 0-.24.812 1.102 1.102 0 0 0 1.138 1.06c.029 0 .056-.002.083-.003a1.755 1.755 0 0 0-.351.556zm2.218 0c.231-.285.6-.516.6-.895 0-.16-.082-.488-.334-.513-.351-.035-.443.154-.797.154a.406.406 0 0 1-.437-.36c0-.386.308-.566.308-.952 0-.25-.102-.393-.102-.643a.619.619 0 0 1 .59-.643c.323 0 .464.264.618.54a.642.642 0 0 0 .617.308c.49 0 .798-.61.798-.977a.471.471 0 0 1 .437-.488c.347 0 .476.36.824.36.57 0 .55-.756 1.053-1.03A.865.865 0 0 0 10.97 5h.148l.389 3.11a.58.58 0 0 1-.462.308c-.219 0-.321-.154-.54-.154a.355.355 0 0 0-.386.314v.502c0 .424-.565.508-.565.934 0 .171.154.236.154.41 0 .316-.306.438-.584.576z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16.31 2.2c-3.847 0-3.891 1.6-7.74 1.6a15.028 15.028 0 0 1-4.52-.722L1 20.783A13.093 13.093 0 0 0 6.424 21.8c5.242 0 6.792-1.634 12.034-1.634a13.093 13.093 0 0 1 5.423 1.017l-3.05-18.105a12.674 12.674 0 0 0-4.52-.878zm2.148 16.966a24.03 24.03 0 0 0-6.251.845 22.054 22.054 0 0 1-5.783.789 13.727 13.727 0 0 1-4.3-.65L4.848 4.343A16.193 16.193 0 0 0 8.57 4.8a9.805 9.805 0 0 0 4.25-.875 7.791 7.791 0 0 1 3.49-.725 11.86 11.86 0 0 1 3.63.615l2.674 15.872a16.25 16.25 0 0 0-4.157-.52zM16.31 4.2a6.88 6.88 0 0 0-3.11.65 10.801 10.801 0 0 1-4.63.95 16.722 16.722 0 0 1-2.914-.268L3.262 19.436a13.44 13.44 0 0 0 3.162.364 21.225 21.225 0 0 0 5.55-.761 24.858 24.858 0 0 1 6.484-.873 18.038 18.038 0 0 1 2.927.234L19.057 4.59a10.548 10.548 0 0 0-2.746-.39zM4.412 18.647l2.064-11.98A17.059 17.059 0 0 0 8.57 6.8a11.819 11.819 0 0 0 5.011-1.025 5.85 5.85 0 0 1 2.322-.566 1.128 1.128 0 0 0-.186.32 1.11 1.11 0 0 0-.058.355 2.296 2.296 0 0 0 .05.394c.013.069.032.17.04.244a.974.974 0 0 1-.122-.002 1.212 1.212 0 0 0-.87.447 1.008 1.008 0 0 0-.28.9c.148.719.151 1.15-.26 1.371a2.155 2.155 0 0 0-.823.93c-.212.379-.27.43-.391.43-.065 0-.128-.043-.266-.148a1.38 1.38 0 0 0-.869-.35 1.14 1.14 0 0 0-1.102 1.174c0 .286-.272.847-.6.847-.321 0-.38-.104-.425-.187a1.479 1.479 0 0 0-1.277-.983 1.354 1.354 0 0 0-1.316 1.387 2.114 2.114 0 0 0 .087.57 1.162 1.162 0 0 1 .055.317.858.858 0 0 1-.151.417 1.77 1.77 0 0 0-.274.896 1.042 1.042 0 0 0 1.103.995 1.802 1.802 0 0 0 .706-.15 1.22 1.22 0 0 1 .284-.09.464.464 0 0 1 .07.237c0 .159-.15.32-.394.563a1.564 1.564 0 0 0-.511 1.965 1.253 1.253 0 0 0 .906.561 18.128 18.128 0 0 1-2.605.18 12.935 12.935 0 0 1-2.012-.152zm7.328-.58c-.379.09-.752.18-1.133.264a1.79 1.79 0 0 0-1.19-.645 2.511 2.511 0 0 0-.4-.076c-.148-.297-.077-.41.323-.809a1.8 1.8 0 0 0 .687-1.27 1.143 1.143 0 0 0-.91-1.208 1.599 1.599 0 0 0-.806.13.844.844 0 0 1-.343.08c-.057 0-.1-.02-.103 0a.867.867 0 0 1 .152-.413 1.77 1.77 0 0 0 .273-.895 2.152 2.152 0 0 0-.087-.57 1.162 1.162 0 0 1-.055-.317.36.36 0 0 1 .316-.387c.116 0 .191.088.413.488a1.36 1.36 0 0 0 1.289.682 1.821 1.821 0 0 0 1.6-1.847c0-.092.063-.173.102-.173.066 0 .128.042.266.147a1.38 1.38 0 0 0 .869.35 1.453 1.453 0 0 0 1.263-.938 1.319 1.319 0 0 1 .427-.542 2.046 2.046 0 0 0 .768-2.432c.043-.066.123-.155.095-.168a1.126 1.126 0 0 0 .97-.307 1.25 1.25 0 0 0 .165-1.12.93.93 0 0 1-.027-.243.93.93 0 0 1 .244-.26 2.573 2.573 0 0 0 .33-.33c.34.037.66.088.942.148l1.303 7.73c-.01-.007-.023-.01-.032-.017a1.016 1.016 0 0 1-.168-.277 1.07 1.07 0 0 0-.955-.74 1.285 1.285 0 0 0-1.05.67c-.104.146-.188.256-.238.256a.386.386 0 0 1-.13-.05 1.242 1.242 0 0 0-.564-.149.943.943 0 0 0-.995.905v.645c0 .046-.079.12-.198.227a1.277 1.277 0 0 0-.529.971.849.849 0 0 0 .197.54 1.308 1.308 0 0 1-.379.232c-.375.183-.942.46-.942 1.144a1.364 1.364 0 0 0 .014.17c-.616.127-1.2.265-1.774.403zm6.718-.901a23.74 23.74 0 0 0-3.957.314 1.321 1.321 0 0 1 .379-.232c.376-.183.942-.459.942-1.143a.77.77 0 0 0-.198-.528c0-.047.078-.12.198-.228a1.278 1.278 0 0 0 .529-.97v-.55a.458.458 0 0 1 .125.05 1.236 1.236 0 0 0 .564.15 1.285 1.285 0 0 0 1.05-.67 1.082 1.082 0 0 0 .18-.282 1.177 1.177 0 0 1 .115.204 1.764 1.764 0 0 0 .406.589 1.743 1.743 0 0 0 .884.405l.5 2.966a19.498 19.498 0 0 0-1.717-.075z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M23.462 27.2A33.153 33.153 0 0 1 31 28L27 3.9a26.401 26.401 0 0 0-5.926-.689c-5.144 0-5.927 1.657-10.735 1.657A14.99 14.99 0 0 1 5 3.9L1 28a16.273 16.273 0 0 0 7.538 1.8c6.876 0 8.048-2.6 14.924-2.6zM5.795 5.217a15.6 15.6 0 0 0 4.544.651 17.433 17.433 0 0 0 5.445-.846 16.632 16.632 0 0 1 5.29-.81 26.266 26.266 0 0 1 5.05.517l3.651 22a37.271 37.271 0 0 0-6.313-.529 22.375 22.375 0 0 0-7.77 1.348A20.416 20.416 0 0 1 8.539 28.8a15.986 15.986 0 0 1-6.43-1.366zm9.283 20.428a24.387 24.387 0 0 1 8.384-1.445c1.444 0 2.76.079 3.897.19L24.384 6.458a24.334 24.334 0 0 0-2.668-.233c-.212-.006-.424-.014-.642-.014a14.761 14.761 0 0 0-4.736.732 28.64 28.64 0 0 1-2.018.523 17.216 17.216 0 0 1-4.359.602 15.192 15.192 0 0 1-2.574-.229l-2.952 17.79-.087.525a14.059 14.059 0 0 0 4.19.646 18.503 18.503 0 0 0 6.54-1.155zm11.085-2.356a41.29 41.29 0 0 0-2.701-.089 25.129 25.129 0 0 0-4.599.395l-.013-.059c.089-.052.214-.113.308-.16a2.086 2.086 0 0 0 1.452-1.832 1.502 1.502 0 0 0-.18-.71l.072-.066a2.025 2.025 0 0 0 .82-1.55v-.25a1.794 1.794 0 0 0 .602.105 1.999 1.999 0 0 0 1.63-.97 2.347 2.347 0 0 0 .514.676 2.612 2.612 0 0 0 .995.543l.464.138zM20.628 7.777a.824.824 0 0 1 .042-.263.962.962 0 0 1 .176-.299c.078 0 .148-.004.228-.004a21.744 21.744 0 0 1 2.445.143l1.827 11.01a1.603 1.603 0 0 1-.617-.337c-.456-.4-.446-1.2-1.069-1.2-.835 0-.9 1.246-1.736 1.246-.378 0-.557-.268-.934-.268a.616.616 0 0 0-.668.546v.868c0 .733-.978.879-.978 1.614 0 .299.267.41.267.71 0 1.002-1.78.868-1.78 1.87a1.61 1.61 0 0 0 .054.39c-1.162.267-2.171.586-3.115.89-.737.239-1.416.457-2.132.636.004-.04.013-.075.013-.118 0-1.016-1.94-.732-2.245-1.339-.755-1.509 1.29-1.896 1.29-3.103 0-.3-.154-.909-.621-.956-.653-.067-.823.287-1.48.287a.751.751 0 0 1-.812-.667c0-.718.572-1.052.572-1.769 0-.466-.19-.728-.19-1.193a1.15 1.15 0 0 1 1.098-1.196c.598 0 .86.49 1.146 1.004a1.19 1.19 0 0 0 1.147.573c.907 0 1.48-1.133 1.48-1.815a.875.875 0 0 1 .813-.907c.644 0 .883.669 1.528.669 1.062 0 1.022-1.405 1.957-1.912 1.146-.62.813-1.956.669-2.672-.062-.318.54-.932.861-.91 1.337.097.764-1 .764-1.528zM8.214 8.967a15.273 15.273 0 0 0 1.747.101 18.27 18.27 0 0 0 4.612-.635 28.893 28.893 0 0 0 2.041-.529 14.642 14.642 0 0 1 3.086-.64 1.863 1.863 0 0 0-.072.513 3.228 3.228 0 0 0 .064.549 2.143 2.143 0 0 0-1.254.76 1.592 1.592 0 0 0-.417 1.319l.023.112c.196.96.153 1.307-.186 1.49a3.217 3.217 0 0 0-1.239 1.38 2.398 2.398 0 0 1-.276.43c.032-.03-.06-.1-.128-.15a2.19 2.19 0 0 0-1.366-.537 1.864 1.864 0 0 0-1.813 1.907c0 .32-.32.815-.48.815a.556.556 0 0 1-.26-.038 2.364 2.364 0 0 0-2.032-1.539 2.151 2.151 0 0 0-2.099 2.196 3.19 3.19 0 0 0 .128.849 1.341 1.341 0 0 1 .062.344.94.94 0 0 1-.164.406 2.694 2.694 0 0 0-.408 1.363A1.746 1.746 0 0 0 9.595 21.1a2.718 2.718 0 0 0 1.043-.213 4.267 4.267 0 0 1-.377.41 2.41 2.41 0 0 0-.75 3.023 2.205 2.205 0 0 0 1.654.982c.132.031.324.076.464.121l-.009.127a17.164 17.164 0 0 1-3.082.25 12.92 12.92 0 0 1-3.057-.368z"
  }));
};

var _default = LayerBasemapIcon;
exports["default"] = _default;