"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var MoveUpAllIcon = function MoveUpAllIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 12V3.715L3.354 5.36l-.707-.707L5.5 1.801l2.854 2.853-.707.707L6 3.715V12a2.002 2.002 0 0 1-2 2H2v-1h2a1.001 1.001 0 0 0 1-1zm8 0V3.715l1.646 1.646.707-.707L12.5 1.801 9.646 4.654l.707.707L12 3.715V12a1.001 1.001 0 0 1-1 1H9v1h2a2.002 2.002 0 0 0 2-2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7 18V4.713L4.354 7.36l-.707-.707L7.5 2.799l3.854 3.854-.707.707L8 4.713V18a3.003 3.003 0 0 1-3 3H2v-1h3a2.002 2.002 0 0 0 2-2zm8 2h-3v1h3a3.003 3.003 0 0 0 3-3V4.713l2.646 2.647.707-.707L17.5 2.799l-3.854 3.854.707.707L17 4.713V18a2.002 2.002 0 0 1-2 2z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20.999 27H17v-1h4a3.003 3.003 0 0 0 3-3V6.708l-3.646 3.646-.707-.707L24.5 4.793l4.854 4.854-.707.707-3.648-3.648V23a4.005 4.005 0 0 1-4 4zm-9-4V6.706l3.647 3.648.707-.707L11.5 4.793 6.646 9.646l.707.707L11 6.708V23a3.003 3.003 0 0 1-3 3H4v1h3.999a4.005 4.005 0 0 0 4-4z"
  }));
};

var _default = MoveUpAllIcon;
exports["default"] = _default;