"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var MultidimensionalRasterIcon = function MultidimensionalRasterIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.125 8.957v3.454l-2.25.922V9.868zM11.387 3.26l-1.932.797 3.08 1.253 1.92-.785zM8.875 7.58v3.163l3.25-1.333V6.247zM5.609 3.275L2.51 4.543l1.924.772L7.51 4.059zM1.875 8.957v3.454l2.25.922V9.868z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.11L1 4.18v8.77L8.5 16l7.5-3V4.15zM15 12.27l-2 .82v-3.08l2-.81zM9 7.65l3-1.23v2.92l-3 1.23zm.82-3.56l1.65-.68 2.62 1.08-1.64.67zM15 5.2v2.92l-2 .81V6.01zM8.5 2.19l1.66.68-1.66.68-1.66-.68zM4 13.09l-2-.82V9.2l2 .81zm0-4.16l-2-.81V5.25l2 .8zM2.84 4.51l2.69-1.1 1.65.68-2.67 1.09zM8 14.73L5 13.5v-3.08l3 1.23zm0-4.16L5 9.34V6.45l3 1.2zM5.84 5.71L8.5 4.63l2.62 1.07L8.5 6.77zM12 13.5l-3 1.23v-3.08l3-1.23z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22.125 13.226v4.856l-4.25 1.742v-4.856zm-9.25-2.229v5.228l4.25-1.732V9.265zm4.565-5.912l-4 1.635 4.011 1.635 3.989-1.624zm-9.88 0l-4 1.646 3.989 1.624L11.56 6.72zm-4.675 8.157v4.832l4.25 1.744v-4.832z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.13L2 6.44v12.22l10.5 4.31L23 18.66V6.44zm1.32 4.59l3.62-1.48 3.62 1.49-3.61 1.47zM18 9.06l4-1.64v4.92l-4 1.64zm0 6l4-1.64v4.57l-4 1.64zM12.5 3.21l3.62 1.49-3.62 1.48L8.88 4.7zM3.94 6.73l3.62-1.49 3.62 1.48L7.55 8.2zM3 7.42l4.02 1.65v4.92L3 12.34zm4.02 12.22L3 17.99v-4.57l4.02 1.65zM12 21.69l-4-1.64v-4.58l4 1.63zm0-5.67l-4-1.63V9.47l4 1.63zM8.88 8.74l3.62-1.48 3.62 1.48-3.62 1.49zM17 14.39l-4 1.63V11.1l4-1.63zm0 5.65l-4 1.65V17.1l4-1.63z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M4.55 9.055l3.404-1.397 2.596 1.015-3.458 1.429zm21.325 11.853v4.247l3.25-1.333v-4.247zm0-5v4.247l3.25-1.333v-4.247zM16.5 14.435v4.9l5-2.05v-4.9zm8.567-6.788l-3.092 1.267 3.408 1.399 3.092-1.267zm-4.145 1.717l-3.137 1.294 3.428 1.347 3.072-1.26zM16.54 4.068l-3.29 1.349 2.71 1.105 3.29-1.35zm-4.666 13.838v4.165l4.25 1.743v-4.165zm-4-6.691v4.247l3.25 1.343v-4.247zm0 10v4.247l3.25 1.343v-4.247zm-4-6.64v4.247l3.25 1.333v-4.247zm0 5v4.247l3.25 1.333v-4.247z",
    opacity: ".5"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.15L3 8.7v15.68l13.5 5.54L30 24.38V8.7zM26 24.94v-3.92l3-1.23v3.92zm3-6.23l-3 1.23v-3.92l3-1.23zm-12-3.99l4-1.64V17l-4 1.64zm-1 8.92L12 22v-3.92l4 1.64zm0-5L12 17v-3.92l4 1.64zm-7.55-8.1l3.19-1.32 3.7 1.46-3.27 1.34zM11 26.59l-3-1.24v-3.92l3 1.24zM7.92 7.76l2.38.93L7.13 10 4.8 9.04zM4 9.79l3 1.23v3.92l-3-1.23zm3 6.23v3.92l-3-1.23v-3.92zm-3 3.77l3 1.23v3.92l-3-1.23zm7-2.12v3.92l-3-1.24v-3.92zm-3-2.32v-3.92l3 1.24v3.92zm4.98-6.68L16 7.43l3.62 1.49-2.95 1.21zm5.85-3.48L16 6.35l-2.33-.95 2.83-1.16zm6.25 2.57l3.12 1.28-2.83 1.16-3.12-1.28zm-7.06 2.9l2.91-1.2 3.12 1.28-2.85 1.17zm7.98.36l3-1.23v3.92l-3 1.23zm-2.24-3.8l-2.83 1.16-3.61-1.49 2.82-1.16zm-11.4-1.28l2.32.95-3.04 1.25-2.38-.93zM16 28.64L12 27v-3.92l4 1.64zm-2.62-16.08l3.3-1.35 3.18 1.25-3.36 1.38zM21 27l-4 1.64v-3.92l4-1.64zm0-5l-4 1.64v-3.92l4-1.64zm4 3.35l-3 1.24v-3.92l3-1.24zm0-5l-3 1.24v-3.92l3-1.24zm0-5l-3 1.24v-3.92l3-1.24z"
  }));
};

var _default = MultidimensionalRasterIcon;
exports["default"] = _default;