"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NewTrainingIcon = function NewTrainingIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 4v1h-3v3h-1V5H8V4h3V1h1v3zm-4 7.305v2.39A1.305 1.305 0 0 1 9.695 15h-2.39A1.305 1.305 0 0 1 6 13.695V13H4v1H1v-3h1V8H1V5h3v.929L8.071 10h1.624A1.305 1.305 0 0 1 11 11.305zM2 7h1V6H2zm1 6v-1H2v1zm3-1v-.696a1.301 1.301 0 0 1 .774-1.186L4 7.343V8H3v3h1v1zm4-.695A.305.305 0 0 0 9.695 11h-2.39a.305.305 0 0 0-.305.305v2.39a.305.305 0 0 0 .305.305h2.39a.305.305 0 0 0 .305-.305zM8 13h1v-1H8z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22 7v1h-5v5h-1V8h-5V7h5V2h1v5zm-9.5 8a3.494 3.494 0 0 0-3.45 3h-.8l.001-.003V18H6.95A2.502 2.502 0 0 0 5 16.05v-4.1a2.477 2.477 0 0 0 1.002-.463L8.338 14H7v1h3v-3H9v1.243l-2.336-2.512A2.473 2.473 0 0 0 7 9.5a2.5 2.5 0 1 0-3 2.45v4.1A2.5 2.5 0 1 0 6.95 19h1.3l.001.002V19h.8a3.493 3.493 0 1 0 3.449-4zM3 9.5A1.5 1.5 0 1 1 4.5 11 1.502 1.502 0 0 1 3 9.5zM4.5 20A1.5 1.5 0 1 1 6 18.5 1.502 1.502 0 0 1 4.5 20zm8 1a2.5 2.5 0 1 1 2.5-2.5 2.502 2.502 0 0 1-2.5 2.5zm1.5-2.5a1.5 1.5 0 1 0-1.5 1.5 1.502 1.502 0 0 0 1.5-1.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M29 10v1h-7v7h-1v-7h-7v-1h7V3h1v7zm-8 14.5a4.488 4.488 0 0 1-8.95.5h-2.1A3.492 3.492 0 1 1 6 21.05v-4.1a3.506 3.506 0 1 1 3.67-1.987l3.33 3.33V17h1v3h-3v-1h1.293l-3.186-3.186A3.472 3.472 0 0 1 7 16.95v4.1A3.481 3.481 0 0 1 9.95 24h2.1a4.488 4.488 0 0 1 8.95.5zM6.5 16A2.5 2.5 0 1 0 4 13.5 2.503 2.503 0 0 0 6.5 16zM9 24.5A2.5 2.5 0 1 0 6.5 27 2.503 2.503 0 0 0 9 24.5zm11 0a3.5 3.5 0 1 0-3.5 3.5 3.504 3.504 0 0 0 3.5-3.5zM16.5 22a2.5 2.5 0 1 0 2.5 2.5 2.502 2.502 0 0 0-2.5-2.5z"
  }));
};

var _default = NewTrainingIcon;
exports["default"] = _default;