"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NodesUnmergeIcon = function NodesUnmergeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5.852 3.731l-.748-.748a5.768 5.768 0 0 1 6.625.58L15.246.047l.707.707-3.517 3.518a5.768 5.768 0 0 1 .581 6.625l-.748-.748A4.74 4.74 0 0 0 12.8 8 4.805 4.805 0 0 0 8 3.2a4.739 4.739 0 0 0-2.148.531zM8 12.8A4.805 4.805 0 0 1 3.2 8a4.74 4.74 0 0 1 .53-2.148l-.747-.748a5.768 5.768 0 0 0 .581 6.625L.046 15.246l.707.707 3.518-3.517a5.768 5.768 0 0 0 6.625.581l-.748-.748a4.739 4.739 0 0 1-2.148.53zM5 8a2.963 2.963 0 0 1 .112-.767 2.994 2.994 0 0 1 2.12-2.121A2.962 2.962 0 0 1 8 5a3.003 3.003 0 0 1 3 3 2.963 2.963 0 0 1-.112.767 2.995 2.995 0 0 1-2.12 2.121A2.962 2.962 0 0 1 8 11a3.003 3.003 0 0 1-3-3zm1 0c0 .046.01.09.014.135a1.991 1.991 0 0 0 1.851 1.851c.046.003.089.014.135.014a2.002 2.002 0 0 0 2-2c0-.046-.01-.09-.014-.135a1.991 1.991 0 0 0-1.851-1.851C8.089 6.01 8.046 6 8 6a2.002 2.002 0 0 0-2 2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9.104 6.983l-.727-.727a6.755 6.755 0 0 1 8.059.602l5.81-5.811.707.707-5.81 5.81a6.756 6.756 0 0 1 .601 8.059l-.727-.727a5.79 5.79 0 0 0-7.913-7.913zM12 17.8a5.79 5.79 0 0 1-5.017-8.696l-.727-.727a6.756 6.756 0 0 0 .601 8.058l-5.81 5.811.706.707 5.811-5.81a6.755 6.755 0 0 0 8.059.601l-.727-.727A5.757 5.757 0 0 1 12 17.8zm4-5.8a3.978 3.978 0 0 1-.318 1.561 4.023 4.023 0 0 1-2.12 2.121 3.999 3.999 0 0 1-5.244-5.243 4.023 4.023 0 0 1 2.12-2.121A3.999 3.999 0 0 1 16 12zm-1.112.767A2.963 2.963 0 0 0 15 12a3.003 3.003 0 0 0-3-3 2.963 2.963 0 0 0-.767.112 2.995 2.995 0 0 0-2.121 2.12A2.964 2.964 0 0 0 9 12a3.003 3.003 0 0 0 3 3 2.964 2.964 0 0 0 .767-.112 2.995 2.995 0 0 0 2.121-2.12z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M10.936 8.815l-.713-.713a9.733 9.733 0 0 1 12.333.635l6.69-6.69.707.706-6.69 6.691a9.733 9.733 0 0 1 .635 12.333l-.713-.713A8.787 8.787 0 0 0 10.936 8.815zM16 24.8a8.787 8.787 0 0 1-7.185-13.864l-.713-.713a9.733 9.733 0 0 0 .635 12.333l-6.69 6.69.706.707 6.69-6.69a9.733 9.733 0 0 0 12.334.635l-.713-.713A8.743 8.743 0 0 1 16 24.8zm5.8-8.8a5.757 5.757 0 0 1-.783 2.896 5.835 5.835 0 0 1-2.12 2.121 5.79 5.79 0 0 1-7.914-7.913 5.835 5.835 0 0 1 2.12-2.121A5.79 5.79 0 0 1 21.8 16zm-1.531 2.148a4.74 4.74 0 0 0 .53-2.148A4.805 4.805 0 0 0 16 11.2a4.74 4.74 0 0 0-2.148.531 4.803 4.803 0 0 0-2.121 2.121 4.74 4.74 0 0 0-.53 2.148A4.805 4.805 0 0 0 16 20.8a4.74 4.74 0 0 0 2.148-.531 4.803 4.803 0 0 0 2.121-2.121z"
  }));
};

var _default = NodesUnmergeIcon;
exports["default"] = _default;