"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NotebookIcon = function NotebookIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 16V0H2v3H1v1h2V1h1v14H3v-1H2v2zM5 1h10v14H5zM1 7V6h1V5h1v2zm0 3V9h1V8h1v2zm0 3v-1h1v-1h1v2zm6-9h2v1H8v5h1v1H7zm4 0h2v7h-2v-1h1V5h-1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 20H3v-1h1v-1h1zM4 1h18v22H4v-2h1v1h1V2H5v3H3V4h1zm3 21h14V2H7zM5 8V6H4v1H3v1zm0 9v-2H4v1H3v1zm0-6V9H4v1H3v1zm0 3v-2H4v1H3v1zm5 3h3v-1h-2V8h2V7h-3zm5-9h2v8h-2v1h3V7h-3z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M6 24H4v-1h1v-1h1zm0-5H5v1H4v1h2zm0 6H5v1H4v1h2zM29 2v28H5v-2h1v1h2V3H6v3H4V5h1V2zm-1 1H9v26h19zM6 13H5v1H4v1h2zm0 3H5v1H4v1h2zm0-6H5v1H4v1h2zm0-3H5v1H4v1h2zm10.5 14H14V11h2.5v-1H13v12h3.5zM24 10h-3.5v1H23v10h-2.5v1H24z"
  }));
};

var _default = NotebookIcon;
exports["default"] = _default;