"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberCircle2Icon = function NumberCircle2Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.2a7.3 7.3 0 1 0 7.3 7.3 7.3 7.3 0 0 0-7.3-7.3zm0 13.6a6.3 6.3 0 1 1 6.3-6.3 6.307 6.307 0 0 1-6.3 6.3zM11 12H6v-.5c0-1.543 1.295-2.216 2.336-2.756C9.368 8.208 10 7.842 10 7.1 10 6.378 9.273 6 8.555 6A1.433 1.433 0 0 0 7 7.479l-1-.003A2.42 2.42 0 0 1 8.555 5 2.241 2.241 0 0 1 11 7.1c0 1.387-1.17 1.995-2.203 2.53-.88.458-1.489.814-1.707 1.37H11z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm0 19.6a9.3 9.3 0 1 1 9.3-9.3 9.31 9.31 0 0 1-9.3 9.3zM16 17H9v-.5c0-2.157 1.762-3.105 3.317-3.942 1.391-.748 2.592-1.394 2.592-2.721A1.983 1.983 0 0 0 12.696 8a2.692 2.692 0 0 0-1.983.69A2.772 2.772 0 0 0 10 10.46l-1 .01a3.76 3.76 0 0 1 .996-2.475 3.64 3.64 0 0 1 2.7-.995 2.976 2.976 0 0 1 3.213 2.837c0 1.924-1.657 2.815-3.118 3.602-1.273.685-2.482 1.335-2.74 2.561H16z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm0 25.6a12.3 12.3 0 1 1 12.3-12.3 12.314 12.314 0 0 1-12.3 12.3zM21 23h-9v-.5c0-2.776 2.317-4.027 4.362-5.13 1.916-1.035 3.571-1.928 3.571-3.797 0-1.28-.948-2.573-3.066-2.573A3.514 3.514 0 0 0 13 14.454l-1-.002A4.525 4.525 0 0 1 16.867 10c2.394 0 4.066 1.47 4.066 3.573 0 2.466-2.082 3.59-4.096 4.677-1.816.98-3.54 1.91-3.802 3.75H21z"
  }));
};

var _default = NumberCircle2Icon;
exports["default"] = _default;