"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberCircle8Icon = function NumberCircle8Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.2a7.3 7.3 0 1 0 7.3 7.3 7.3 7.3 0 0 0-7.3-7.3zm0 13.6a6.3 6.3 0 1 1 6.3-6.3 6.307 6.307 0 0 1-6.3 6.3zm1.035-6.53a1.668 1.668 0 0 1 .526.235 1.808 1.808 0 0 1 .71.925 1.913 1.913 0 0 1 .104.64 2.016 2.016 0 0 1-.19.89 1.97 1.97 0 0 1-.515.66 2.33 2.33 0 0 1-.755.415 2.837 2.837 0 0 1-.91.145 2.887 2.887 0 0 1-.914-.145 2.338 2.338 0 0 1-.76-.415 1.967 1.967 0 0 1-.516-.66 2.002 2.002 0 0 1-.19-.89 1.949 1.949 0 0 1 .105-.65 1.75 1.75 0 0 1 .72-.915 2.044 2.044 0 0 1 .516-.235v-.02a1.612 1.612 0 0 1-1.091-1.58 1.82 1.82 0 0 1 .17-.795 1.88 1.88 0 0 1 .46-.61 2.012 2.012 0 0 1 .676-.39 2.576 2.576 0 0 1 1.644 0 2.05 2.05 0 0 1 .675.38 1.801 1.801 0 0 1 .625 1.395 1.702 1.702 0 0 1-.305 1.01 1.54 1.54 0 0 1-.785.59zm-2.42 1.75a1.452 1.452 0 0 0 .1.55 1.176 1.176 0 0 0 .285.425 1.354 1.354 0 0 0 .44.275 1.531 1.531 0 0 0 .566.1 1.504 1.504 0 0 0 .555-.1 1.287 1.287 0 0 0 .434-.275 1.272 1.272 0 0 0 .285-.425 1.399 1.399 0 0 0 .106-.55 1.342 1.342 0 0 0-.39-.96 1.256 1.256 0 0 0-.435-.28 1.597 1.597 0 0 0-1.11 0 1.305 1.305 0 0 0-.44.28 1.284 1.284 0 0 0-.29.425 1.34 1.34 0 0 0-.106.535zm.23-3.315a1.181 1.181 0 0 0 .086.448 1.094 1.094 0 0 0 .239.364 1.14 1.14 0 0 0 .37.243 1.195 1.195 0 0 0 .466.09 1.127 1.127 0 0 0 .449-.09 1.207 1.207 0 0 0 .37-.243 1.117 1.117 0 0 0 .34-.812 1.125 1.125 0 0 0-.095-.463 1.205 1.205 0 0 0-.25-.368 1.084 1.084 0 0 0-.365-.24 1.186 1.186 0 0 0-.45-.084 1.258 1.258 0 0 0-.465.085 1.05 1.05 0 0 0-.61.607 1.242 1.242 0 0 0-.084.463z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm0 19.6a9.3 9.3 0 1 1 9.3-9.3 9.31 9.31 0 0 1-9.3 9.3zm1.302-10.05a2.558 2.558 0 0 1 1.344.938 2.742 2.742 0 0 1 .532 1.708 2.636 2.636 0 0 1-.26 1.183 2.774 2.774 0 0 1-.692.896 3.141 3.141 0 0 1-1.015.574 3.714 3.714 0 0 1-2.422 0 3.141 3.141 0 0 1-1.015-.574 2.79 2.79 0 0 1-.693-.896 2.635 2.635 0 0 1-.26-1.183 2.964 2.964 0 0 1 .141-.931 2.714 2.714 0 0 1 .392-.77 2.525 2.525 0 0 1 .595-.581 2.732 2.732 0 0 1 .749-.364v-.028a1.975 1.975 0 0 1-.609-.329 2.157 2.157 0 0 1-.47-.518 2.63 2.63 0 0 1-.307-.658 2.423 2.423 0 0 1-.112-.735 2.596 2.596 0 0 1 .224-1.092 2.466 2.466 0 0 1 .609-.833 2.81 2.81 0 0 1 .89-.532 3.148 3.148 0 0 1 2.148 0 2.789 2.789 0 0 1 .896.532 2.492 2.492 0 0 1 .609.833 2.596 2.596 0 0 1 .224 1.092 2.454 2.454 0 0 1-.112.735 2.7 2.7 0 0 1-.308.658 2.157 2.157 0 0 1-.47.518 1.975 1.975 0 0 1-.608.33zm-3.472 2.534a2.277 2.277 0 0 0 .154.84 1.89 1.89 0 0 0 .441.672 2.07 2.07 0 0 0 .686.44 2.534 2.534 0 0 0 1.778 0 2.08 2.08 0 0 0 .686-.44 1.89 1.89 0 0 0 .441-.672 2.277 2.277 0 0 0 .154-.84 2.171 2.171 0 0 0-.154-.826 1.924 1.924 0 0 0-.441-.658 2.002 2.002 0 0 0-.686-.434 2.64 2.64 0 0 0-1.778 0 1.993 1.993 0 0 0-.686.434 1.924 1.924 0 0 0-.441.658 2.171 2.171 0 0 0-.154.826zm.35-4.746a1.764 1.764 0 0 0 .14.714 1.68 1.68 0 0 0 .392.56 1.884 1.884 0 0 0 2.576 0 1.694 1.694 0 0 0 .392-.56 1.78 1.78 0 0 0 .14-.714 1.936 1.936 0 0 0-.14-.735 1.773 1.773 0 0 0-.385-.588 1.882 1.882 0 0 0-2.016-.385 1.795 1.795 0 0 0-.574.385 1.773 1.773 0 0 0-.385.588 1.917 1.917 0 0 0-.14.735z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm0 25.6a12.3 12.3 0 1 1 12.3-12.3 12.314 12.314 0 0 1-12.3 12.3zm1.494-12.568a3.333 3.333 0 0 1 1.845 1.25 3.839 3.839 0 0 1 .342 3.673 3.335 3.335 0 0 1-.864 1.143 4.044 4.044 0 0 1-1.278.729 4.664 4.664 0 0 1-3.078 0 4.044 4.044 0 0 1-1.278-.73 3.31 3.31 0 0 1-.864-1.142 3.806 3.806 0 0 1 .36-3.68 3.31 3.31 0 0 1 1.827-1.243v-.036a2.753 2.753 0 0 1-.837-.46 3.087 3.087 0 0 1-.63-.683 3.272 3.272 0 0 1-.405-.837 3.06 3.06 0 0 1-.144-.936 3.267 3.267 0 0 1 .279-1.368 3.16 3.16 0 0 1 .756-1.044 3.355 3.355 0 0 1 1.116-.666 4.06 4.06 0 0 1 2.718 0 3.355 3.355 0 0 1 1.116.666 3.16 3.16 0 0 1 .756 1.044 3.267 3.267 0 0 1 .279 1.368 3.06 3.06 0 0 1-.144.936 3.305 3.305 0 0 1-.405.837 2.993 2.993 0 0 1-.639.684 2.943 2.943 0 0 1-.828.459zm-4.464 3.312a2.972 2.972 0 0 0 .216 1.152 2.76 2.76 0 0 0 .603.909 2.7 2.7 0 0 0 .936.603 3.527 3.527 0 0 0 2.43 0 2.71 2.71 0 0 0 .936-.603 2.76 2.76 0 0 0 .603-.91 2.972 2.972 0 0 0 .216-1.151 2.91 2.91 0 0 0-.225-1.143 2.694 2.694 0 0 0-1.548-1.503 3.429 3.429 0 0 0-2.394 0 2.694 2.694 0 0 0-1.548 1.503 2.893 2.893 0 0 0-.225 1.143zm.468-6.21a2.484 2.484 0 0 0 .189.972 2.267 2.267 0 0 0 .53.774 2.608 2.608 0 0 0 .793.513 2.682 2.682 0 0 0 1.98 0 2.62 2.62 0 0 0 .792-.513 2.264 2.264 0 0 0 .53-.774 2.467 2.467 0 0 0 .19-.972 2.582 2.582 0 0 0-.19-.999 2.334 2.334 0 0 0-.53-.792 2.563 2.563 0 0 0-3.564 0 2.336 2.336 0 0 0-.531.792 2.6 2.6 0 0 0-.189.999z"
  }));
};

var _default = NumberCircle8Icon;
exports["default"] = _default;