"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberCircle9Icon = function NumberCircle9Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.2a7.3 7.3 0 1 0 7.3 7.3 7.3 7.3 0 0 0-7.3-7.3zm0 13.6a6.3 6.3 0 1 1 6.3-6.3 6.307 6.307 0 0 1-6.3 6.3zm.67-5.66l-.01-.01a1.394 1.394 0 0 1-.41.14 2.465 2.465 0 0 1-.48.05 2.253 2.253 0 0 1-.87-.165 2.165 2.165 0 0 1-.7-.46 2.112 2.112 0 0 1-.47-.705 2.303 2.303 0 0 1-.17-.89 2.448 2.448 0 0 1 .185-.965 2.18 2.18 0 0 1 .516-.745 2.322 2.322 0 0 1 .779-.48 2.73 2.73 0 0 1 .97-.17 2.65 2.65 0 0 1 .97.175 2.341 2.341 0 0 1 .776.485 2.252 2.252 0 0 1 .51.74 2.332 2.332 0 0 1 .184.93 2.794 2.794 0 0 1-.19 1.05 6.544 6.544 0 0 1-.49.96L8.42 12H7.27zm.825-2.08a1.605 1.605 0 0 0-.107-.585 1.44 1.44 0 0 0-.306-.48 1.476 1.476 0 0 0-.475-.325 1.514 1.514 0 0 0-.612-.12 1.57 1.57 0 0 0-.612.115 1.45 1.45 0 0 0-.475.315 1.35 1.35 0 0 0-.306.48 1.68 1.68 0 0 0-.107.61 1.576 1.576 0 0 0 .107.59 1.418 1.418 0 0 0 .301.47 1.327 1.327 0 0 0 .47.31 1.633 1.633 0 0 0 .612.11 1.67 1.67 0 0 0 .617-.11 1.373 1.373 0 0 0 .48-.31 1.4 1.4 0 0 0 .306-.47 1.625 1.625 0 0 0 .107-.6z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm0 19.6a9.3 9.3 0 1 1 9.3-9.3 9.31 9.31 0 0 1-9.3 9.3zm1.434-9.126l-.028-.028a1.734 1.734 0 0 1-.63.266 3.333 3.333 0 0 1-.784.098 3.153 3.153 0 0 1-1.197-.224 2.904 2.904 0 0 1-.959-.623 2.827 2.827 0 0 1-.637-.966 3.266 3.266 0 0 1-.23-1.239 3.304 3.304 0 0 1 .238-1.267 2.752 2.752 0 0 1 .671-.987 3.188 3.188 0 0 1 1.022-.637 3.708 3.708 0 0 1 2.576 0A3.204 3.204 0 0 1 15 7.704a2.777 2.777 0 0 1 .671.987 3.322 3.322 0 0 1 .238 1.267 3.788 3.788 0 0 1-.266 1.428 8.92 8.92 0 0 1-.63 1.26L12.31 17h-1.162zm.966-2.716a2.479 2.479 0 0 0-.161-.896 2.091 2.091 0 0 0-.455-.721 2.161 2.161 0 0 0-.7-.476 2.378 2.378 0 0 0-1.792 0 2.166 2.166 0 0 0-.7.476 2.091 2.091 0 0 0-.455.721 2.479 2.479 0 0 0-.16.896 2.506 2.506 0 0 0 .153.89 2.063 2.063 0 0 0 .44.713 1.985 1.985 0 0 0 .701.469 2.58 2.58 0 0 0 1.834 0 1.985 1.985 0 0 0 .7-.469 2.08 2.08 0 0 0 .442-.714 2.528 2.528 0 0 0 .153-.889z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm0 25.6a12.3 12.3 0 1 1 12.3-12.3 12.314 12.314 0 0 1-12.3 12.3zm2.344-11.654l-.036-.036a2.398 2.398 0 0 1-.934.512 3.894 3.894 0 0 1-1.185.188 4.033 4.033 0 0 1-1.508-.278 3.55 3.55 0 0 1-1.212-.79 3.626 3.626 0 0 1-.8-1.23 4.228 4.228 0 0 1-.287-1.58 4.054 4.054 0 0 1 .306-1.589 3.707 3.707 0 0 1 .843-1.248 3.806 3.806 0 0 1 1.276-.808A4.414 4.414 0 0 1 16.923 10a4.347 4.347 0 0 1 1.607.287 3.65 3.65 0 0 1 2.083 2.047 4.156 4.156 0 0 1 .296 1.598 5.12 5.12 0 0 1-.287 1.724 9.273 9.273 0 0 1-.809 1.67L16.366 23h-1.185zm1.059-3.214a3.24 3.24 0 0 0-.224-1.221 3.031 3.031 0 0 0-.62-.97 2.826 2.826 0 0 0-.942-.646 3.264 3.264 0 0 0-2.425 0 2.817 2.817 0 0 0-.942.646 3.018 3.018 0 0 0-.62.97 3.24 3.24 0 0 0-.224 1.221 3.37 3.37 0 0 0 .216 1.212 2.84 2.84 0 0 0 .6.97 2.779 2.779 0 0 0 .935.637 3.34 3.34 0 0 0 2.45 0 2.854 2.854 0 0 0 .952-.637 2.896 2.896 0 0 0 .62-.97 3.259 3.259 0 0 0 .224-1.212z"
  }));
};

var _default = NumberCircle9Icon;
exports["default"] = _default;