"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberOfTerritoriesIcon = function NumberOfTerritoriesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 8V3H7V1H1v8.06c.349.115.566.682 1.187.94 1.147.476 2.178-.76 2.513-1 .604-.433.953 1.713 1.55 1.67 1.355-.097 1.677.136 1.72.578a1.694 1.694 0 0 0 1.352 1.6 1.717 1.717 0 0 1 1.257.734c.288.372 1.921.085 2.155 1.262a1.5 1.5 0 0 0 1.263 1.135A2.382 2.382 0 0 0 15 15.907c.01-.01 0-5.907 0-5.907h-1V8zM4.86 7.942a1.273 1.273 0 0 0-.743.245 3.981 3.981 0 0 0-.313.264c-.255.23-.729.657-1.081.657a.393.393 0 0 1-.154-.032 1.236 1.236 0 0 1-.401-.34c-.053-.057-.107-.117-.168-.177V2h4v2h3v2H6v2.604a1.378 1.378 0 0 0-1.14-.662zM14 14.945a.412.412 0 0 1-.286-.297 2.462 2.462 0 0 0-2.278-1.81l-.183-.034a2.753 2.753 0 0 0-1.743-.939c-.131-.025-.485-.094-.545-.715C8.9 10.497 8.493 9.73 7 9.661V7h4v4h3zM13 7v3h-1V6h-2V4h5v3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22 12V5H10V2H2v10.748c.465.152.754.909 1.582 1.252 1.53.635 2.904-1.013 3.351-1.333.805-.577 1.272 2.283 2.067 2.226 1.807-.128 2.236.182 2.293.77a2.26 2.26 0 0 0 1.803 2.133 2.289 2.289 0 0 1 1.676.98c.384.496 2.562.114 2.873 1.683a2 2 0 0 0 1.684 1.513 4.97 4.97 0 0 0 1.665-.096c.014-.014 0-7.876 0-7.876H19v-2zm-15.648-.146c-.097.069-.23.184-.39.328a3.07 3.07 0 0 1-1.665.962.849.849 0 0 1-.332-.068 1.936 1.936 0 0 1-.652-.535A5.462 5.462 0 0 0 3 12.22V3h6v3h4v3H7v2.614a1.365 1.365 0 0 0-.648.24zM20 15v5.998l-.178.002a2.668 2.668 0 0 1-.31-.011 1.025 1.025 0 0 1-.887-.725c-.334-1.687-1.92-1.99-2.774-2.154a7.544 7.544 0 0 1-.378-.078 3.282 3.282 0 0 0-2.188-1.218 1.23 1.23 0 0 1-.997-1.247c-.166-1.702-1.968-1.702-2.56-1.702a10 10 0 0 0-.479.012c-.103-.168-.23-.427-.316-.601A4.028 4.028 0 0 0 8 11.896V10h7v5zm-2-4v3h-2V9h-2V6h7v5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M31 15V5H13V1H1v16.122c.697.229 1.132 1.363 2.373 1.878 2.295.952 4.356-1.52 5.027-2 1.207-.865 1.907 3.425 3.1 3.34 2.71-.193 3.354.272 3.44 1.156a3.389 3.389 0 0 0 2.703 3.198 3.433 3.433 0 0 1 2.514 1.47c.577.743 3.844.171 4.31 2.524a3 3 0 0 0 2.527 2.27A4.764 4.764 0 0 0 29 30.814C29.022 30.792 29 19 29 19h-2v-4zM8 11v5.093a1.258 1.258 0 0 0-.183.094 7.121 7.121 0 0 0-.539.457c-.652.587-1.743 1.572-2.833 1.572a1.761 1.761 0 0 1-.69-.14 3.319 3.319 0 0 1-1.154-.927A5.829 5.829 0 0 0 2 16.558V2h10v4h6v5zm20 9v9.99s-.706.007-.803-.012a2.045 2.045 0 0 1-1.749-1.485c-.436-2.2-2.52-2.598-3.766-2.837a6.514 6.514 0 0 1-.784-.178 4.424 4.424 0 0 0-3.064-1.765 2.394 2.394 0 0 1-1.9-2.315c-.204-2.101-2.485-2.101-3.343-2.101-.29 0-.611.01-.969.032a7.926 7.926 0 0 1-.67-1.193c-.5-1.008-1.018-2.038-1.952-2.215V12h12v8zm-2-6v5h-4v-8h-3V6h11v8z"
  }));
};

var _default = NumberOfTerritoriesIcon;
exports["default"] = _default;