"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PaintBucketIcon = function PaintBucketIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.411 9.766L14 9.17l-.411.596C13.323 10.15 12 12.113 12 13.05a2 2 0 0 0 4 0c0-.937-1.323-2.9-1.589-3.284zM14 14.05a1.001 1.001 0 0 1-1-1 6.685 6.685 0 0 1 1-2.09 6.685 6.685 0 0 1 1 2.09 1.001 1.001 0 0 1-1 1zM7.5.793L6.235 2.058c-1.788.01-5.195.31-6.039 1.886A1.384 1.384 0 0 0 .282 5.42c.739 1.107 2.859 1.721 5.744 1.721.358 0 .728-.01 1.108-.029a1.498 1.498 0 0 0 1.298.881c.023.001.045.007.068.007a1.5 1.5 0 0 0 0-3 1.52 1.52 0 0 0-1.443 1.114c-3.869.196-5.576-.698-5.943-1.249a.396.396 0 0 1-.036-.45c.508-.949 3.051-1.263 4.126-1.326l-1.8 1.8a10.11 10.11 0 0 0 1.228.186L7.5 2.207 12.793 7.5 6.53 13.763a.751.751 0 0 1-1.06 0L1.237 9.53a.751.751 0 0 1 0-1.06l.835-.835a7.298 7.298 0 0 1-1.03-.385l-.512.513a1.751 1.751 0 0 0 0 2.474l4.233 4.233a1.752 1.752 0 0 0 2.474 0l6.97-6.97zM8.5 6a.5.5 0 1 1-.5.5.5.5 0 0 1 .5-.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20.911 14.216l-.411-.596-.411.596C19.74 14.72 18 17.3 18 18.5a2.5 2.5 0 0 0 5 0c0-1.2-1.74-3.78-2.089-4.284zM20.5 20a1.502 1.502 0 0 1-1.5-1.5 9.725 9.725 0 0 1 1.5-3.096A9.725 9.725 0 0 1 22 18.5a1.502 1.502 0 0 1-1.5 1.5zm-9-17.207L9.145 5.148a.476.476 0 0 0-.09-.023c-3.475-.17-5.962.425-6.743 1.59-.027.042-.07.077-.092.12a1.394 1.394 0 0 0 .118 1.522c.694.973 2.685 1.732 5.833 1.732a23.887 23.887 0 0 0 2.89-.192 1.494 1.494 0 1 0 .076-1.016c-4.77.618-7.418-.308-7.986-1.104-.812-1.14 3.1-1.71 5.044-1.679L6.32 7.973c.386.05.836.08 1.318.096L11.5 4.207l7.293 7.293-8.09 8.091a1.74 1.74 0 0 1-2.405 0l-4.889-4.888a1.702 1.702 0 0 1 0-2.405l1.514-1.514a9.152 9.152 0 0 1-1.101-.312l-1.12 1.12a2.703 2.703 0 0 0 0 3.818l4.889 4.888a2.7 2.7 0 0 0 3.818 0l8.798-8.798zM12 9.5a.5.5 0 1 1 .5.5.5.5 0 0 1-.5-.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M27.411 19.666L27 19.07l-.411.596C26.323 20.05 24 23.456 24 24.95a3 3 0 0 0 6 0c0-1.493-2.323-4.9-2.589-5.284zM27 26.95a2.002 2.002 0 0 1-2-2c0-.768 1.1-2.714 2-4.1.9 1.386 2 3.332 2 4.1a2.002 2.002 0 0 1-2 2zM15.5 3.793l-3.265 3.265c-4.854-.21-8.244.563-9.088 2.086-.019.034-.024.07-.04.106a1.552 1.552 0 0 0 .163 1.606c.91 1.306 3.847 2.382 8.538 2.382a36.964 36.964 0 0 0 4.276-.264A1.497 1.497 0 1 0 17.5 11a1.48 1.48 0 0 0-.704.184 1.5 1.5 0 0 0-.693.78c-7.26.87-11.204-.518-12.011-1.68a.59.59 0 0 1-.124-.529.654.654 0 0 1 .053-.126c.37-.666 2.323-1.695 7.245-1.602l-3.24 3.24c.391.057.817.105 1.272.142l3.467-3.467.015-.015 2.72-2.72L25.793 15.5l-10.95 10.95a1.902 1.902 0 0 1-2.687 0l-7.605-7.606a1.902 1.902 0 0 1 0-2.688l2.14-2.14q-.583-.136-1.104-.31L3.844 15.45a2.9 2.9 0 0 0 0 4.102l7.605 7.605a2.9 2.9 0 0 0 4.102 0L27.207 15.5zm2 8.207a.5.5 0 1 1-.5.5.5.5 0 0 1 .5-.5z"
  }));
};

var _default = PaintBucketIcon;
exports["default"] = _default;