"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PenMarkPlusIcon = function PenMarkPlusIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 10v1h-2v2h-1v-2h-2v-1h2V8h1v2h2zm-5.5 4.9c-.5 0-1 0-1.5-.1 1.2-.1 2-.4 2-1.5 0-.8-.9-1.3-2.5-1.3-1.3 0-2.6.4-3.7 1.1-.9.5-1.8.8-2.8.9-1 0-.9-.3-.9-.5s.1-.3.2-.4l-.7-.7c-.3.3-.5.7-.5 1.2C.1 14.2.3 15 2 15c1.1-.1 2.3-.4 3.2-1 1-.6 2.1-1 3.3-1 1 0 1.4.2 1.5.3 0 .3-.2.6-2.8.6-.2 0-.4.1-.6.3-.1.2-.1.4 0 .6.4.7 1.7 1.1 3.9 1.1 1.5.1 3-.1 4.5-.6l-.4-.9c-1.3.4-2.7.6-4.1.5zm-8.8-3h-.6v-.5c0-.8 0-2.2 8.1-10.3.4-.4 1.1-.4 1.6 0l.5-.5 1.1 1.1-.5.5c.4.4.4 1.1 0 1.6l-.9.9v3L8.7 10 8 9.3l2-2V5.7c-6 5.9-7.5 6.2-8.3 6.2zM4.9 7L6 8.1C7.3 7 9.1 5.3 11.3 3L10 1.7C7.8 3.8 6.1 5.7 4.9 7zm-2.7 3.9c1.1-.5 2.2-1.2 3.1-2.1l-1-1c-.9.9-1.6 1.9-2.1 3.1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23 16v1h-3v3h-1v-3h-3v-1h3v-3h1v3h3zM2.2 18.4c0-.4 0-.8.2-1.1.7-2 6.6-7.9 11.3-12.7l2.8-2.8c.2-.2.4-.3.7-.3.3 0 .5.1.7.3l.1.1.4-.4L20 3.1l-.4.4.1.1c.4.4.4 1 0 1.4l-.7.7v4l-4.6 4.6-.7-.7L18 9.3V6.7C7.3 17.8 4.9 18.8 3.3 19H2.2v-.6zm7.1-7.8l1.7 1.7c2-1.9 4.6-4.5 8-8l-1.8-1.8-2.8 2.8c-1.7 1.8-3.4 3.5-5.1 5.3zM3.2 18c1-.1 2.4-.7 7.1-5l-1.7-1.7c-2.6 2.8-4.9 5.3-5.3 6.3 0 .1-.1.2-.1.4zm18.1 3.9c-1.8.7-3 1.1-5.8 1.1-1.3 0-2.6-.2-3.8-.7 3.7-.3 4.3-1.6 4.3-2.4 0-1.4-1.9-2-3.6-2-1.8.1-3.6.8-4.8 2.1-1.1 1.3-2.6 1.9-4.2 2-.6 0-1 0-1.6-.2-.4-.1-.7-.5-.7-.9 0-.2.3-.5.8-.9.1 0 .1-.1.1-.1l-.7-.7c-.3.2-1.1.9-1.1 1.7 0 .9.5 1.6 1.3 1.9.6.2 1.2.2 1.8.2 1.8 0 3.6-.8 4.9-2.1 1.1-1.1 2.6-1.8 4.2-1.9 1.4 0 2.6.4 2.6 1 0 .7-1.2 1.4-4.5 1.4-.4 0-.6.3-.6.7 0 .2.1.3.2.5.6.5 2 1.3 5.4 1.3 2.1.1 4.2-.2 6.1-1l-.3-1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M31 21v.999h-4V26h-1v-4.001h-4V21h4v-4h1v4zM3.006 24l.019-.495c-.016-1.423-.066-3.806 18.084-21.297a1.202 1.202 0 0 1 1.676.02l.13.132.586-.585 1.725 1.724-.594.593.14.14a1.201 1.201 0 0 1 .016 1.676L24 6.721v4.986l-5.646 5.646-.707-.707L23 11.293V7.75C8.412 22.712 5.43 24 3.5 24zm6.778-8.923l2.15 2.15c2.877-2.639 6.776-6.468 12.135-12.014a.197.197 0 0 0-.007-.275l-1.986-2.005a.196.196 0 0 0-.14-.058.192.192 0 0 0-.133.053c-5.567 5.365-9.388 9.272-12.019 12.15zm-5.744 7.87c1.083-.217 2.896-1.21 7.153-5.047l-2.081-2.08c-4.07 4.53-4.907 6.25-5.072 7.127zM21.5 30a12.783 12.783 0 0 1-5.552-1.042C20.918 28.671 22 26.946 22 25.5c0-1.718-2.413-2.5-4.654-2.5-3.04 0-5.153 1.383-7.197 2.72C8.36 26.893 6.666 28 4.5 28c-1.744 0-2.469-.439-2.5-1.5a1.545 1.545 0 0 1 .522-1.188l-.591-.807A2.562 2.562 0 0 0 1 26.515C1.049 28.164 2.226 29 4.5 29c2.464 0 4.362-1.242 6.197-2.443C12.618 25.3 14.604 24 17.346 24 19.36 24 21 24.673 21 25.5c0 1.546-2.17 2.433-6.113 2.496a.7.7 0 0 0-.392 1.272C15.413 29.915 17.543 31 21.5 31c3.93 0 6.76-.37 8.65-1.129l-.374-.928C28.032 29.645 25.248 30 21.5 30z"
  }));
};

var _default = PenMarkPlusIcon;
exports["default"] = _default;