"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PenTipIcon = function PenTipIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.214 4.156a1.566 1.566 0 0 0-.973-1.053L8.723 0H7.277l-.518 3.104a1.581 1.581 0 0 0-.977 1.065A21.554 21.554 0 0 0 5 9.5V16h1v-6h4v6h1V9.5a21.593 21.593 0 0 0-.786-5.344zM8 1.743L8.21 3h-.42zM6.747 4.43A.581.581 0 0 1 7.305 4h1.39a.573.573 0 0 1 .555.418A21.398 21.398 0 0 1 9.986 9H6.014a21.385 21.385 0 0 1 .733-4.57z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13.756 6h-.321l-.7-5h-1.47l-.7 5h-.32C10.17 6.203 7.992 8.142 8 14.313V23h1v-8h6v8h1v-8.687c.007-6.21-2.138-8.018-2.244-8.313zM12 2.964L12.425 6h-.85zM10.76 7h2.48a11.904 11.904 0 0 1 1.759 7H9a11.904 11.904 0 0 1 1.76-7z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M22 30l-.008-11.677A30.455 30.455 0 0 0 18.024 8h-.114l-1.2-6h-1.42l-1.2 6h-.114A28.651 28.651 0 0 0 10 18.413V30h1l-.008-11H21v11zM16 3.55L16.89 8h-1.78zM14.53 9h2.94a26.938 26.938 0 0 1 3.436 9h-9.801a26.88 26.88 0 0 1 3.424-9z"
  }));
};

var _default = PenTipIcon;
exports["default"] = _default;