"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PencilMarkIcon = function PencilMarkIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2.663 6.545C1.415 7.66 0 8.925 0 10.9a3.509 3.509 0 0 0 2.113 3.238 1.349 1.349 0 0 1 .054-.206l.31-.724A2.506 2.506 0 0 1 1 10.9c0-1.527 1.184-2.586 2.33-3.61a6.769 6.769 0 0 0 2.123-2.602c.021-.061.04-.122.057-.18C6.973 3.952 8 3.004 8 2H7c0 .428-.54.981-1.423 1.399a1.667 1.667 0 0 0-.367-.762 2.016 2.016 0 0 0-1.898-.592C2.221 2.245 1 3.131 1 4.02c0 .452.296.99 1.707.99a8.152 8.152 0 0 0 1.559-.15 8.838 8.838 0 0 1-1.603 1.686zm.044-2.535a2.188 2.188 0 0 1-.676-.077 2.328 2.328 0 0 1 1.46-.904 1.052 1.052 0 0 1 .962.26.731.731 0 0 1 .163.464 7.15 7.15 0 0 1-1.91.257zm.457 10.726a.371.371 0 0 0 .41.078l4.095-1.755 6.607-6.609 1.445-1.443a.965.965 0 0 0-.03-1.385l-1.413-1.414a.965.965 0 0 0-1.385-.03L4.841 10.23l-1.756 4.097a.371.371 0 0 0 .08.409zm10.19-11.604a.306.306 0 0 1 .433 0l.981.98a.306.306 0 0 1 0 .434l-1.09 1.09-1.414-1.414zm-1.798 1.797l1.414 1.415-6.008 6.008-1.413-1.415zm-6.378 7.053l.74.74-1.294.554z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.323 20.346l.19-.443A4.1 4.1 0 0 1 2 16.1c0-2.42 1.895-4.116 3.727-5.756a10.835 10.835 0 0 0 3.21-3.838 7.746 7.746 0 0 0 3.996-3.256l-.866-.5a6.673 6.673 0 0 1-2.95 2.604 2.496 2.496 0 0 0-.433-1.291A2.56 2.56 0 0 0 6.5 3C4.701 3 3 4.336 3 5.75a.996.996 0 0 0 .299.719A3.787 3.787 0 0 0 5.849 7H6a9.083 9.083 0 0 0 1.654-.147A13.965 13.965 0 0 1 5.06 9.599C3.157 11.303 1 13.233 1 16.1a5.075 5.075 0 0 0 3.224 4.772 1.357 1.357 0 0 1 .099-.525zM6 6h-.155c-1.119.006-1.74-.08-1.845-.25C4 4.962 5.154 4 6.5 4a1.589 1.589 0 0 1 1.362.632 1.56 1.56 0 0 1 .246 1.09A7.796 7.796 0 0 1 6 6zm15.536-2.48a.965.965 0 0 0-1.385-.03L6.998 16.644 5.242 20.74a.371.371 0 0 0 .488.487l4.096-1.756L22.979 6.32a.965.965 0 0 0-.03-1.385zM6.78 19.688l.962-2.24 1.28 1.28zm3.015-1.6l-1.413-1.414L18.679 6.376l1.414 1.414zM21.952 5.932L20.8 7.083l-1.414-1.414L20.555 4.5a.42.42 0 0 1 .599.007l.804.838a.42.42 0 0 1-.006.587z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7.024 26.765A5.599 5.599 0 0 1 3 21.298c0-3.484 2.526-5.857 4.97-8.15 1.722-1.618 3.364-3.16 3.86-4.97a10.031 10.031 0 0 0 5.09-3.908l-.84-.54a8.897 8.897 0 0 1-4.098 3.314 2.889 2.889 0 0 0-1.02-2.279 3.678 3.678 0 0 0-2.998-.692C5.695 4.487 4 6.224 4 7.5 4 8.184 4.486 9 6.8 9a15.468 15.468 0 0 0 3.833-.453 14.661 14.661 0 0 1-3.348 3.871C4.808 14.745 2 17.381 2 21.298a6.646 6.646 0 0 0 4.652 6.404 1.284 1.284 0 0 1 .048-.181zM6.8 8C5.557 8 5 7.749 5 7.5c0-.735 1.35-2.116 3.144-2.443a3.12 3.12 0 0 1 .56-.051 2.546 2.546 0 0 1 1.617.527 1.899 1.899 0 0 1 .66 1.537 3.11 3.11 0 0 1-.018.345A14.01 14.01 0 0 1 6.8 8zm20.79-1.416a1.203 1.203 0 0 0-1.727-.037L9.962 22.45l-2.343 5.465a.306.306 0 0 0 .403.402l5.465-2.342 14.1-14.102v-.002l1.802-1.797a1.203 1.203 0 0 0-.037-1.727zM9.222 26.714l1.402-3.274 1.871 1.87zm4.1-1.99l-2.111-2.111L24.504 9.32l2.111 2.111zm15.36-15.359l-1.36 1.36-2.11-2.112 1.358-1.359a.163.163 0 0 1 .121-.054.285.285 0 0 1 .193.092l1.76 1.761c.018.018.171.18.038.312z"
  }));
};

var _default = PencilMarkIcon;
exports["default"] = _default;