"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PieChartIcon = function PieChartIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13.662 3.338a7.3 7.3 0 1 0 0 10.324 7.3 7.3 0 0 0 0-10.324zm-.3 1.008a6.407 6.407 0 0 1 .862 7.007L9.306 8.4zm-.708-.707L8.478 7.815 4.344 3.641a6.402 6.402 0 0 1 8.31-.002zm-8.68 9.386a6.404 6.404 0 0 1-.335-8.679l4.44 4.44 2.502 5.758a6.402 6.402 0 0 1-6.606-1.519zm9.051 0a6.377 6.377 0 0 1-1.524 1.127l-1.92-4.42 4.126 2.477a6.386 6.386 0 0 1-.682.816z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm6.98 4.026A9.349 9.349 0 0 1 20.801 16.9l-7.495-4.5zm-.707-.707l-6.296 6.297L6.224 5.52a9.343 9.343 0 0 1 12.55-.002zM3.1 12.5a9.351 9.351 0 0 1 2.42-6.273l6.56 6.56 3.697 8.512A9.374 9.374 0 0 1 3.1 12.5zm13.595 8.4l-3.114-7.168 6.706 4.027a9.458 9.458 0 0 1-3.592 3.141z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm9.03 4.977a12.243 12.243 0 0 1 1.76 14.218l-9.984-5.994zm-.707-.707L16.5 15.793 8.177 7.47a12.227 12.227 0 0 1 16.646 0zM16.5 28.8A12.28 12.28 0 0 1 7.47 8.177l8.609 8.609 4.854 11.174a12.216 12.216 0 0 1-4.433.84zm5.35-1.241l-4.27-9.827 9.19 5.518a12.369 12.369 0 0 1-4.92 4.309z"
  }));
};

var _default = PieChartIcon;
exports["default"] = _default;