"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PinPlusIcon = function PinPlusIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10 4.069V9h-.9V3.927C9.1 2.509 8.057 1.79 6 1.79s-3.1.719-3.1 2.137v7.259L6 14.294l1.282-1.286a2.007 2.007 0 0 0 .576.63L6 15.5l-4-4.01V4.066C2 1.852 3.791 1 6 1s4 .852 4 3.067zM6 8a2 2 0 1 1 2-2 2 2 0 0 1-2 2zm1-2a1 1 0 1 0-1 1 1 1 0 0 0 1-1zm2 5v1h3v3h1v-3h3v-1h-3V8h-1v3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 1c3.313 0 6 1.283 6 4.619V16h-1V5.619C14 2.628 11.28 2 9 2s-5 .628-5 3.619v11.518l5 5.032 2.235-2.25a2.006 2.006 0 0 0 .667.748L9 23.588l-6-6.04V5.619C3 2.284 5.687 1 9 1zm0 10a3 3 0 1 1 3-3 3 3 0 0 1-3 3zm2-3a2 2 0 1 0-2 2 2.003 2.003 0 0 0 2-2zm2 10v.999h4V23h1v-4.001h4V18h-4v-4h-1v4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M18 24.999h.681L13 30.718l-8-8.053V7.158C5 2.71 8.582 1 13 1s8 1.71 8 6.158V20h-1V7.158C20 2.895 16.193 2 13 2s-7 .895-7 5.158v15.095l7 7.046 4.38-4.408a1.974 1.974 0 0 0 .62.108zM17 11a4 4 0 1 1-4-4 4.005 4.005 0 0 1 4 4zm-1 0a3 3 0 1 0-3 3 3.003 3.003 0 0 0 3-3zm13 11h-5v-5h-1v5h-5v.999h5V28h1v-5.001h5z"
  }));
};

var _default = PinPlusIcon;
exports["default"] = _default;