"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PinsIcon = function PinsIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 4H2V3h1zm11 0h-1v1h1zm-3 1.684v6.394l-3.5 3.51-3.5-3.51V5.684C4 3.745 5.567 3 7.5 3s3.5.745 3.5 2.684zm-1 0C10 5.268 10 4 7.5 4S5 5.268 5 5.684v5.982l2.5 2.505 2.5-2.505zM9 7.5A1.5 1.5 0 1 1 7.5 6 1.5 1.5 0 0 1 9 7.5zm-1-.006a.5.5 0 1 0-.5.5.5.5 0 0 0 .5-.5zm5.5-6.475c-1.24 0-2.263.436-2.459 1.528A3.633 3.633 0 0 1 12 3.683v-.748c0-.25 0-.917 1.5-.917s1.5.666 1.5.917v4.226l-1.5 1.504L12 7.161v1.416l1.5 1.504L16 7.575v-4.64c0-1.384-1.12-1.916-2.5-1.916zM1 6.16V1.936c0-.251 0-.917 1.5-.917s1.5.666 1.5.917v.584a4.415 4.415 0 0 1 1-.557v-.027C5 .55 3.88.019 2.5.019S0 .55 0 1.936v4.639L2.5 9.08l.5-.5V7.164l-.5.501z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M19.5 5.994a1.5 1.5 0 1 0 1.5 1.5 1.5 1.5 0 0 0-1.5-1.5zm0 2a.5.5 0 1 1 .5-.5.5.5 0 0 1-.5.5zM4.5 4A1.5 1.5 0 1 0 6 5.5 1.5 1.5 0 0 0 4.5 4zm0 2a.5.5 0 1 1 .5-.5.5.5 0 0 1-.5.5zm7 4a2.5 2.5 0 1 0 2.5 2.5 2.5 2.5 0 0 0-2.5-2.5zm0 4a1.5 1.5 0 1 1 1.5-1.5 1.501 1.501 0 0 1-1.5 1.5zm0-7C9.015 7 7 7.96 7 10.459v8.608l4.5 4.522 4.5-4.522V10.46C16 7.96 13.985 7 11.5 7zM15 18.654l-3.5 3.518L8 18.654V10.46C8 8.828 9.178 8 11.5 8s3.5.827 3.5 2.458zm8-12.97v6.394l-3.5 3.51L17 13.08v-1.415l2.5 2.505 2.5-2.505V5.684C22 5.268 22 4 19.5 4S17 5.268 17 5.684v2.57a4.28 4.28 0 0 0-1-1.306V5.684C16 3.745 17.567 3 19.5 3s3.5.745 3.5 2.684zM4.5 12.178L6 10.674v1.416l-1.5 1.504-3.5-3.51V3.69c0-1.938 1.567-2.684 3.5-2.684S8 1.752 8 3.69v2.576a4.821 4.821 0 0 0-1 .71V3.69c0-.416 0-1.684-2.5-1.684S2 3.274 2 3.69v5.982z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M6.5 5A2.5 2.5 0 1 0 9 7.5 2.5 2.5 0 0 0 6.5 5zm0 4A1.5 1.5 0 1 1 8 7.5 1.501 1.501 0 0 1 6.5 9zm8.5 4a3 3 0 1 0 3 3 3 3 0 0 0-3-3zm0 5a2 2 0 1 1 2-2 2.001 2.001 0 0 1-2 2zm13-7.5a2.5 2.5 0 1 0-2.5 2.5 2.5 2.5 0 0 0 2.5-2.5zm-4 0a1.5 1.5 0 1 1 1.5 1.5 1.501 1.501 0 0 1-1.5-1.5zM15 9c-3.313 0-6 1.28-6 4.611v11.478l6 6.03 6-6.03V13.611C21 10.281 18.313 9 15 9zm5 15.676L15 29.7l-5-5.025V13.61c0-2.983 2.719-3.61 5-3.61s5 .627 5 3.611zm10-16.19v8.608l-4.5 4.523-3.5-3.518v-1.42.003l3.5 3.517 3.5-3.517V8.486c0-1.631-1.178-2.458-3.5-2.458S22 6.855 22 8.486v2.586a5.153 5.153 0 0 0-1-1.497v-1.09c0-2.497 2.015-3.458 4.5-3.458s4.5.96 4.5 3.459zM6.5 17.199L8 15.692v1.417l-1.5 1.508L2 14.094V5.486c0-2.498 2.015-3.459 4.5-3.459s4.5.96 4.5 3.459v2.742a6.644 6.644 0 0 0-1 .521V5.486c0-1.631-1.178-2.458-3.5-2.458S3 3.855 3 5.486v8.196z"
  }));
};

var _default = PinsIcon;
exports["default"] = _default;