"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PlansIcon = function PlansIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 3h-1V2h-1V1h2zm0 2h-1v2h1zm-6-3h1V1H9v2h1zM9 6H8v1h2V5H9zm-8 4H0v2h1zm15-1h-1v3h1zM2 6H0v2h1V7h1zm0 9H1v-1H0v2h2zm5 0H4v1h3zM4 7h2V6H4zm8 8H9v1h3zm4 1v-2h-1v1h-1v1zm-5-6.176V11H5V9.824L2.942 11.5 5 13.176V12h6v1.176l2.058-1.676z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20 4h-2V3h2zM9 22h3v-1H9zm-4 0h2v-1H5zM9 9h2V8H9zM5 9h2V8H5zm18 12h-1v1h2v-2h-1zM2 12H1v2h1zm20-8h1v1h1V3h-2zM1 18h1v-2H1zM14 8h-1v1h2V7h-1zm9 1h1V7h-1zm-8-5h1V3h-2v2h1zM1 10h1V9h1V8H1zm1 10H1v2h2v-1H2zm12 2h2v-1h-2zm9-9h1v-2h-1zm-5 9h2v-1h-2zm5-4h1v-3h-1zm-5-3H7v-2.19L3.942 15.5 7 18.19V16h11v2.19l3.058-2.69L18 12.81z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M19 5h2v1h-2zm5 0v1h2V5zM6 14v1h2v-1zm4 1h2v-1h-2zM8 27H6v1h2zm2 1h2v-1h-2zm5 0h2v-1h-2zm7-1h-2v1h2zm4 1v-1h-2v1zM3 22H2v2h1zm0-4H2v2h1zm26 6h1v-2h-1zm0-4h1v-2h-1zm0-4h1v-3h-1zm0-5h1V9h-1zM16 9h-1v2h1zm-2 5v1h2v-2h-1v1zm14-8h1v1h1V5h-2zm1 21h-1v1h2v-2h-1zM4 27H3v-1H2v2h2zM16 6h1V5h-2v2h1zM3 15h1v-1H2v2h1zm20 3.81V21H9v-2.19L5.942 21.5 9 24.19V22h14v2.19l3.058-2.69z"
  }));
};

var _default = PlansIcon;
exports["default"] = _default;