"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PremiumContentUserCreditIcon = function PremiumContentUserCreditIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.5 5a3.43 3.43 0 0 0-.403.04c-.081-.874-.1-1.631-.124-2.178v-.858C6.037 2.968 9.458 0 9.458 0l.015.012L9.485 0 9.5.012 9.515 0S12.935 2.968 16 2.004v.858a22.751 22.751 0 0 1-.558 4.803 17.613 17.613 0 0 1-2.46 5.515c.003-.061.018-.118.018-.18a3.96 3.96 0 0 0-.225-1.269 17.644 17.644 0 0 0 1.738-4.473 20.36 20.36 0 0 0 .458-4.015l.002-.054a5.487 5.487 0 0 1-.282.007 9.6 9.6 0 0 1-5.205-1.945 9.6 9.6 0 0 1-5.205 1.945 6.47 6.47 0 0 1-.28-.006l.001.053c.019.514.042 1.134.107 1.819A3.48 3.48 0 0 0 3.5 5zm-1.855 5.16A2.496 2.496 0 1 1 6 8.5a2.48 2.48 0 0 1-.645 1.66 2.487 2.487 0 0 1 .58.299 3.978 3.978 0 0 0-.543.842A1.486 1.486 0 0 0 4.5 11h-2A1.502 1.502 0 0 0 1 12.5V15h4.555a3.988 3.988 0 0 0 .825 1H0v-3.5a2.497 2.497 0 0 1 1.645-2.34zM3.5 10A1.5 1.5 0 1 0 2 8.5 1.502 1.502 0 0 0 3.5 10zM9 10a3 3 0 1 1-3 3 3.003 3.003 0 0 1 3-3zm0 1a2 2 0 1 0 2 2 2.002 2.002 0 0 0-2-2zm-1 2.5a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5V13H8z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23 5.198c-.127 2.911-.059 9.816-4.98 14.695a5.673 5.673 0 0 0 .18-1.393c0-.083-.009-.164-.012-.246 3.49-4.168 3.683-9.51 3.79-12.481L22 5.17a7.705 7.705 0 0 1-.894.052c-3.262 0-6.319-1.997-7.606-2.962-1.287.965-4.345 2.961-7.607 2.962A7.688 7.688 0 0 1 5 5.17l.022.603c.033.91.079 2.05.22 3.304a3.943 3.943 0 0 0-.962.327c-.21-1.71-.236-3.2-.28-4.206V3.94C8.479 5.353 13.479 1 13.479 1l.021.017.021-.017s5 4.353 9.479 2.94zM8.01 22H2v-1.5A2.503 2.503 0 0 1 4.5 18h2.325a5.652 5.652 0 0 1 .182-1H4.5A3.504 3.504 0 0 0 1 20.5V23h8.014a5.74 5.74 0 0 1-1.003-1zM3 13a3 3 0 0 1 6 0 2.97 2.97 0 0 1-.278 1.243 5.733 5.733 0 0 0-1.055 1.249A2.998 2.998 0 0 1 3 13zm1 0a2 2 0 1 0 2-2 2.002 2.002 0 0 0-2 2zm8.5 10a4.5 4.5 0 1 1 4.5-4.5 4.505 4.505 0 0 1-4.5 4.5zm0-1A3.5 3.5 0 1 0 9 18.5a3.504 3.504 0 0 0 3.5 3.5zm-1.455-3.866a1.504 1.504 0 0 1 1.16-1.105 1.516 1.516 0 0 1 .436-.023l.091-.996a2.551 2.551 0 0 0-.723.038 2.506 2.506 0 0 0-1.935 1.844zm.394 1.427l-.707.707a2.5 2.5 0 0 0 4.065-2.755l-.918.395a1.5 1.5 0 0 1-2.44 1.653z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30 5.668v1.648c-.178 4.058-.059 14.043-7.885 20.443a6.447 6.447 0 0 0 .765-2.028c5.65-5.659 5.938-13.447 6.09-17.652.01-.29.02-.559.031-.807v-.348a9.683 9.683 0 0 1-1.491.113c-4.376 0-8.478-2.786-10.01-3.958-1.532 1.172-5.634 3.958-10.01 3.958A9.68 9.68 0 0 1 6 6.924v.392c.01.204.02.474.03.764a60.6 60.6 0 0 0 .223 3.75 5.016 5.016 0 0 0-.915.791C5.084 10.464 5.056 8.594 5 7.316V5.668a8.273 8.273 0 0 0 2.49.37c5.113 0 9.982-4.219 9.982-4.219l.028.023.028-.023s4.868 4.218 9.982 4.218a8.278 8.278 0 0 0 2.49-.37zM11.82 29H3v-3.5A3.504 3.504 0 0 1 6.5 22h4.002a6.48 6.48 0 0 1 .53-1H6.5A4.505 4.505 0 0 0 2 25.5V30h11.052a6.538 6.538 0 0 1-1.231-1zM5 16a4 4 0 1 1 4 4 4.004 4.004 0 0 1-4-4zm1 0a3 3 0 1 0 3-3 3.003 3.003 0 0 0-3 3zm10.5 3.2a5.3 5.3 0 1 1-5.3 5.3 5.306 5.306 0 0 1 5.3-5.3zm0 1a4.3 4.3 0 1 0 4.3 4.3 4.304 4.304 0 0 0-4.3-4.3zm-2.333 1.966a3.307 3.307 0 0 0-.868 1.53l.97.243a2.302 2.302 0 0 1 1.778-1.694 2.38 2.38 0 0 1 .667-.036l.094-.995a3.297 3.297 0 0 0-2.641.952zm.707 3.96l-.707.707a3.3 3.3 0 0 0 5.366-3.636l-.92.395a2.288 2.288 0 0 1-.487 2.534 2.356 2.356 0 0 1-3.252 0z"
  }));
};

var _default = PremiumContentUserCreditIcon;
exports["default"] = _default;