"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ProfileVariablesIcon = function ProfileVariablesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.95 8a13.782 13.782 0 0 1-1.303 6h-1.091A12.221 12.221 0 0 0 15.1 8a12.221 12.221 0 0 0-1.544-6h1.091a13.782 13.782 0 0 1 1.303 6zM2.353 2A13.782 13.782 0 0 0 1.05 8a13.782 13.782 0 0 0 1.303 6h1.091A12.221 12.221 0 0 1 1.9 8a12.221 12.221 0 0 1 1.544-6zm6.365 5.107L7.184 4H6v1h.563l1.443 2.922L5.316 11H5v1h.771l2.714-3.107L10.02 12H11v-1h-.36L9.199 8.078 11.887 5H12V4h-.567z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23.95 11.5c0 2.816-.821 7.408-2.272 9.5h-1.136c1.59-2.016 2.558-6.634 2.558-9.5s-.969-7.484-2.558-9.5h1.136c1.45 2.092 2.272 6.684 2.272 9.5zM3.322 2C1.872 4.092 1 8.684 1 11.5s.871 7.408 2.322 9.5h1.136C2.868 18.984 1.9 14.366 1.9 11.5S2.869 4.016 4.458 2zm9.288 8.603L9.31 4H7v1h1.69l3.214 6.427L6.27 18H6v1h.73l5.66-6.603L15.69 19H18v-1h-1.69l-3.214-6.427L18.73 5H19V4h-.73z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M31 16c0 4.195-1.4 9.032-3.703 12h-1.195c2.47-2.87 3.998-7.738 3.998-12s-1.527-9.13-3.998-12h1.195C29.6 6.968 31 11.805 31 16zM4.703 4C2.4 6.968 1.05 11.805 1.05 16s1.35 9.032 3.653 12h1.195C3.428 25.13 1.9 20.262 1.9 16S3.427 6.87 5.898 4zm11.624 11.942L11.834 7H9v1h2.218l4.394 8.746L8.275 25H7v1h1.725l7.37-8.292L20.261 26H23v-1h-2.122l-4.068-8.096L24.725 8H26V7h-1.725z"
  }));
};

var _default = ProfileVariablesIcon;
exports["default"] = _default;