"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RangefinderIcon = function RangefinderIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2.5 11h4.08l3-1h1.92A2.5 2.5 0 0 0 14 7.5V5c1.187 0 1.9-1.296 1.9-2.5 0-1.205-.832-2.5-2-2.5H2.5A2.927 2.927 0 0 0 0 3v5a2.955 2.955 0 0 0 2.5 3zM14 1c.54 0 1 .69 1 1.5S14.54 4 14 4V2.25A2.322 2.322 0 0 0 13.63 1zm-2.5 8h-2l-1.9.62A3.468 3.468 0 0 0 8 8h3.5a2.503 2.503 0 0 0 1.5-.5A1.498 1.498 0 0 1 11.504 9zm.25-8A1.25 1.25 0 0 1 13 2.25V5.5A1.498 1.498 0 0 1 11.504 7H8V3a3.34 3.34 0 0 0-.64-2zM4.36 1H5.5C6.33 1 7 1.9 7 3v5c0 1.1-.67 2-1.5 2H4.36A3.34 3.34 0 0 0 5 8V3a3.34 3.34 0 0 0-.64-2zM2.5 2c.2 0 .5.4.5 1s-.3 1-.5 1S2 3.6 2 3s.3-1 .5-1zm0 3c.2 0 .5.4.5 1s-.3 1-.5 1S2 6.6 2 6s.3-1 .5-1zM1 6V3a2.314 2.314 0 0 0 .5 1.5A2.314 2.314 0 0 0 1 6c0 1.12.66 2 1.5 2S4 7.12 4 6a2.314 2.314 0 0 0-.5-1.5A2.314 2.314 0 0 0 4 3v5c0 1.1-.67 2-1.5 2S1 9.1 1 8zm12.85 5.65l1.86 1.85-1.86 1.85-.7-.7.64-.65H2.21l.64.65-.7.7L.29 13.5l1.86-1.85.7.7-.64.65h11.58l-.64-.65z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 6c0-1.68-.88-3-2-3S4 4.32 4 6a3.505 3.505 0 0 0 .89 2.5A3.505 3.505 0 0 0 4 11c0 1.68.88 3 2 3s2-1.32 2-3a3.505 3.505 0 0 0-.89-2.5A3.505 3.505 0 0 0 8 6zm-1 5c0 1.14-.53 2-1 2s-1-.86-1-2 .53-2 1-2 1 .86 1 2zM5 6c0-1.14.53-2 1-2s1 .86 1 2-.53 2-1 2-1-.86-1-2zm16.9 14.48l-2.81 2.81-.71-.71L19.96 21H3.93l1.59 1.58-.71.71L2 20.48l2.81-2.81.71.71L3.89 20H20l-1.62-1.62.71-.71zM21.5 1H6a3.999 3.999 0 0 0-4 4v8a3.999 3.999 0 0 0 4 4h5.14l4.4-2H18a3.009 3.009 0 0 0 3-3V7h.5c1.317 0 2.4-1.35 2.4-3s-1.104-3-2.4-3zM3 13V5a3 3 0 0 1 6 0v8a3 3 0 0 1-6 0zm5.64 3A3.984 3.984 0 0 0 10 13V5a3.984 3.984 0 0 0-1.36-3H9a3.009 3.009 0 0 1 3 3v8a3.009 3.009 0 0 1-3 3zM18 14h-2.57l-3.27 1.45A3.968 3.968 0 0 0 13 13h5a2.974 2.974 0 0 0 1.98-.76A2 2 0 0 1 18 14zm0-2h-5V5a3.984 3.984 0 0 0-1.36-3H18a2.006 2.006 0 0 1 2 2v6a2.006 2.006 0 0 1-2 2zm3.5-6H21V4a2.984 2.984 0 0 0-.77-2h1.27c.83 0 1.5.9 1.5 2s-.67 2-1.5 2z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M10.25 9c0-1.68-.99-3-2.25-3S5.75 7.32 5.75 9a3.325 3.325 0 0 0 .99 2.5 3.325 3.325 0 0 0-.99 2.5c0 1.68.99 3 2.25 3s2.25-1.32 2.25-3a3.325 3.325 0 0 0-.99-2.5 3.325 3.325 0 0 0 .99-2.5zm-1 5c0 1.08-.57 2-1.25 2s-1.25-.92-1.25-2 .57-2 1.25-2 1.25.92 1.25 2zm-2.5-5c0-1.08.57-2 1.25-2s1.25.92 1.25 2-.57 2-1.25 2-1.25-.92-1.25-2zM27.4 4H8C5.79 4 4.062 6.125 4 8.5v10C4.094 21 5.79 23 8 23h7.1l5.45-3h2.85a3.514 3.514 0 0 0 3.6-3.5V11h.4c1.4 0 2.59-1.54 2.59-3.5S28.8 4 27.4 4zM5 18.5v-10A3.286 3.286 0 0 1 8 5a3.286 3.286 0 0 1 3 3.5v10A3.286 3.286 0 0 1 8 22a3.286 3.286 0 0 1-3-3.5zm5.5 3.5a4.648 4.648 0 0 0 1.5-3.5v-10A4.648 4.648 0 0 0 10.5 5h.5a3.286 3.286 0 0 1 3 3.5v10a3.286 3.286 0 0 1-3 3.5zM26 16.5a2.524 2.524 0 0 1-2.6 2.5h-3.11l-5.45 3H13.5a4.648 4.648 0 0 0 1.5-3.5V17h8.4a3.622 3.622 0 0 0 2.6-1.06zm-2.6-.5H15V8.5A4.648 4.648 0 0 0 13.5 5h10A2.595 2.595 0 0 1 26 7.6v5.9a2.524 2.524 0 0 1-2.6 2.5zm4.1-6H27V7.6A3.6 3.6 0 0 0 25.89 5h1.61c.81 0 1.5 1.14 1.5 2.5s-.69 2.5-1.5 2.5zm2.42 17.5l-3.86 3.85-.7-.7L28 28H3.92l2.64 2.65-.7.7L2 27.5l3.86-3.85.7.7L3.92 27H28l-2.64-2.65.7-.7z"
  }));
};

var _default = RangefinderIcon;
exports["default"] = _default;