"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RingsLargestIcon = function RingsLargestIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.824 15.105a1.719 1.719 0 0 0 .311.603 7.796 7.796 0 1 1 4.38-13.223 7.68 7.68 0 0 1 2.195 6.637 1.741 1.741 0 0 0-.605-.298l-.35-.094a6.856 6.856 0 0 0 .042-.73A6.8 6.8 0 1 0 8 14.797a6.855 6.855 0 0 0 .73-.043zM8 4a4 4 0 0 0-.008 8l-.275-1.027a3 3 0 1 1 3.256-3.256l1.026.275A3.999 3.999 0 0 0 8 4zm6.652 6.514L9 9l1.514 5.652a5.86 5.86 0 0 0 4.138-4.138z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13.511 21.668l.262.976a10.862 10.862 0 1 1 8.871-8.871l-.976-.262A9.878 9.878 0 0 0 21.795 12 9.8 9.8 0 1 0 12 21.795a9.878 9.878 0 0 0 1.511-.127zm1.883-13.062A4.8 4.8 0 1 0 12 16.8c.069 0 .133-.017.201-.02l-.264-.987a3.798 3.798 0 1 1 3.856-3.856l.987.264c.003-.068.02-.132.02-.201a4.785 4.785 0 0 0-1.406-3.394zM13 13l2.524 9.42a9.768 9.768 0 0 0 6.896-6.896z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M18.293 28.587l.26.971A13.937 13.937 0 0 1 16 29.8 13.8 13.8 0 0 1 6.242 6.242 13.8 13.8 0 0 1 29.8 16a13.938 13.938 0 0 1-.241 2.553l-.972-.26A12.93 12.93 0 0 0 28.8 16 12.8 12.8 0 0 0 6.95 6.95 12.8 12.8 0 0 0 16 28.8a12.927 12.927 0 0 0 2.293-.213zm2.516-17.396a6.81 6.81 0 1 0-4.079 11.564l-.268-1.003a5.8 5.8 0 1 1 5.291-5.29l1.001.268a6.79 6.79 0 0 0-1.945-5.539zM17 17l3.534 13.188a13.675 13.675 0 0 0 9.654-9.654z"
  }));
};

var _default = RingsLargestIcon;
exports["default"] = _default;