"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RingsSmallestIcon = function RingsSmallestIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9.887 15.042a1.738 1.738 0 0 0 .304.44 7.816 7.816 0 1 1 4.914-4.276 1.747 1.747 0 0 0-.308-.284l-.505-.353a6.85 6.85 0 1 0-4.62 4.014zM8 4a4 4 0 0 0 0 8 3.934 3.934 0 0 0 .447-.045L8.002 11H8a3 3 0 1 1 3-3c0 .084-.018.164-.025.246l.918.643A3.973 3.973 0 0 0 8 4zm5.792 8.356L9 9l2.473 5.303a5.874 5.874 0 0 0 2.32-1.947z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.958 21.341l.425.91a10.825 10.825 0 1 1 6.234-5.354l-.832-.582a9.781 9.781 0 1 0-5.827 5.026zM12 7.2a4.8 4.8 0 1 0 .803 9.519l-.445-.955c-.12.011-.235.036-.358.036a3.8 3.8 0 1 1 3.721-3.031l.857.6A4.746 4.746 0 0 0 16.8 12 4.8 4.8 0 0 0 12 7.2zm1 5.8l4.122 8.839a9.79 9.79 0 0 0 3.865-3.246z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20.185 29.113l.017.03a13.784 13.784 0 1 1 8.015-6.72l-.03-.027-.798-.558a12.765 12.765 0 1 0-7.614 6.397zm.624-17.922a6.808 6.808 0 1 0-3.62 11.498l-.45-.963a5.799 5.799 0 1 1 4.77-4.004l.87.608a6.805 6.805 0 0 0-1.57-7.139zm6.373 12.639L16 16l5.77 12.374a13.707 13.707 0 0 0 5.412-4.544z"
  }));
};

var _default = RingsSmallestIcon;
exports["default"] = _default;