"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RoundAboutIcon = function RoundAboutIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.948 5.504l.052.032-.495.854-1.11-.677a6.769 6.769 0 0 1-4.562 8.829l-.518-.898a5.776 5.776 0 0 0 4.108-7.681l-.667 1.093-.853-.52 1.561-2.562zm-7.877 9.058l-1.437-2.633-.878.479.633 1.16A5.768 5.768 0 0 1 2.404 6.5H1.372a6.772 6.772 0 0 0 4.696 8.016l-1.11.606.48.877zM2 5h3V4H3.81a5.77 5.77 0 0 1 8.049-.318l.51-.884A6.77 6.77 0 0 0 3 3.408V2H2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4 3h1v2.155a9.762 9.762 0 0 1 14.333.366l-.526.91A8.773 8.773 0 0 0 5.581 6H8v1H4zm16.4 4.671l-2 3.465.866.5 1.187-2.057A8.767 8.767 0 0 1 13.18 20.71l.536.929a9.752 9.752 0 0 0 7.73-12.21l1.918 1.108.5-.867zm-9.096 13.791l-2-3.464-.866.5 1.127 1.952A8.761 8.761 0 0 1 3.738 9H2.674a9.778 9.778 0 0 0 6.688 12.429L7.34 22.596l.5.866z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M10.107 30.794l-.5-.866 2.842-1.64a12.786 12.786 0 0 1-8.23-17.29h1.11a11.757 11.757 0 0 0 7.397 16.33l-1.654-2.864.866-.5 2.5 4.33zm17.456-19.088l-2.5 4.33.865.5 1.642-2.844a11.777 11.777 0 0 1-11.121 14.085l.56.972a12.795 12.795 0 0 0 11.53-15.324l2.854 1.647.5-.866zM5 9h5V8H7.351a11.76 11.76 0 0 1 18.84 2.08l.57-.986A12.768 12.768 0 0 0 6.023 8H6V4H5z"
  }));
};

var _default = RoundAboutIcon;
exports["default"] = _default;