"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RoundedRectangleIcon = function RoundedRectangleIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 15h-9A3.504 3.504 0 0 1 0 11.5v-7A3.504 3.504 0 0 1 3.5 1h9A3.504 3.504 0 0 1 16 4.5v7a3.504 3.504 0 0 1-3.5 3.5zm-9-13A2.503 2.503 0 0 0 1 4.5v7A2.503 2.503 0 0 0 3.5 14h9a2.503 2.503 0 0 0 2.5-2.5v-7A2.503 2.503 0 0 0 12.5 2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18.5 21h-13A4.505 4.505 0 0 1 1 16.5v-9A4.505 4.505 0 0 1 5.5 3h13A4.505 4.505 0 0 1 23 7.5v9a4.505 4.505 0 0 1-4.5 4.5zM5.5 4A3.504 3.504 0 0 0 2 7.5v9A3.504 3.504 0 0 0 5.5 20h13a3.504 3.504 0 0 0 3.5-3.5v-9A3.504 3.504 0 0 0 18.5 4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24.5 27h-17A5.507 5.507 0 0 1 2 21.5v-11A5.507 5.507 0 0 1 7.5 5h17a5.507 5.507 0 0 1 5.5 5.5v11a5.507 5.507 0 0 1-5.5 5.5zM7.5 6A4.505 4.505 0 0 0 3 10.5v11A4.505 4.505 0 0 0 7.5 26h17a4.505 4.505 0 0 0 4.5-4.5v-11A4.505 4.505 0 0 0 24.5 6z"
  }));
};

var _default = RoundedRectangleIcon;
exports["default"] = _default;