"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RouteFromIcon = function RouteFromIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7 9.5A1.5 1.5 0 1 0 8.5 8 1.5 1.5 0 0 0 7 9.5zm2 0a.5.5 0 1 1-.5-.5.5.5 0 0 1 .5.5zM6.415 4.325l-.707-.707 2.81-2.81 2.808 2.81-.707.707L9 2.705V7H8V2.74zM14 9.5a5.5 5.5 0 1 1-9.009-4.231l.711.735a4.5 4.5 0 1 0 5.596 0l.71-.735A5.49 5.49 0 0 1 14 9.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.36 5.347l-.707-.707L12.5 1.793l2.847 2.847-.707.707L13 3.707V11h-1V3.707zm6.374 3.218l-.713.713a6.304 6.304 0 1 1-7.142.075l-.713-.713a7.298 7.298 0 1 0 8.568-.075zM12.5 13a1.5 1.5 0 1 1-1.5 1.5 1.502 1.502 0 0 1 1.5-1.5zm0 1a.5.5 0 1 0 .5.5.5.5 0 0 0-.5-.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M13.354 7.354l-.707-.707L16.5 2.793l3.854 3.854-.707.707L17 4.707V15h-1V4.707zM16.5 18a1.5 1.5 0 1 1-1.5 1.5 1.5 1.5 0 0 1 1.5-1.5zm0 1a.5.5 0 1 0 .5.5.5.5 0 0 0-.5-.5zm6.33-6.294l-.707.706a8.3 8.3 0 1 1-11.246 0l-.706-.706a9.3 9.3 0 1 0 12.658 0z"
  }));
};

var _default = RouteFromIcon;
exports["default"] = _default;