"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RunningIcon = function RunningIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.5 2.9a1.4 1.4 0 1 1 1.4-1.4 1.4 1.4 0 0 1-1.4 1.4zM4.567 4.034L5 7.149c0 .53 1.208.366 1.19-.037L5.897 5.08l1.971-.36-.748 3.69 2.701 3.133-1.101 3.348a.712.712 0 0 0 .293.97c.391.148.842-.155 1.113-.692.04-.078 1.429-3.845 1.429-3.845L9.44 8.897l.81-3.977c.195-.947-1.05-1.396-2.17-1.79zM3.38 12.893c.044.402.581.634 1.012.558l2.514-.888 1.198-1.48-.868-1.007-.906 1.141L3.906 12a.774.774 0 0 0-.526.893zm9.966-7.038a.666.666 0 0 0-.722-.604l-1.538.58-.28 1.373 2.221-.728a.662.662 0 0 0 .319-.62z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.1 3A1.9 1.9 0 1 1 14 4.9 1.898 1.898 0 0 1 12.1 3zm2.568 4.893c.26-1.262-1.399-1.861-2.894-2.385L7.09 6.71l.577 4.154c0 .708 1.611.489 1.587-.049l-.39-2.71 2.628-.48-.998 4.92 3.602 4.179-1.469 4.463a.95.95 0 0 0 .39 1.294c.523.196 1.124-.207 1.486-.923.052-.104 1.904-5.127 1.904-5.127l-2.818-3.236 1.08-5.303zm-5.974 8.848l-3.234.528a1.033 1.033 0 0 0-.752 1.158c.035.539.737.88 1.315.802l3.36-.662 2.54-2.831-1.174-1.361zm8.605-7.74l-1.954.578-.374 1.837 2.865-.781a.881.881 0 0 0-.537-1.633z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M18.5 8A2.5 2.5 0 1 1 21 5.499 2.5 2.5 0 0 1 18.5 8zM9.073 9.87l.739 5.318c0 .906 2.062.624 2.03-.063l-.5-3.469 3.365-.614-1.277 6.297 4.61 5.349-1.88 5.713a1.215 1.215 0 0 0 .5 1.656c.668.251 1.422-.078 1.901-1.182.06-.136 2.438-6.563 2.438-6.563l-3.607-4.14 1.382-6.789c.332-1.615-1.79-2.382-3.704-3.053zm.166 16.352l3.409-.935 2.602-3.998-1.446-1.678-2.157 3.387-3.363.82a1.298 1.298 0 0 0-1 1.537 1.863 1.863 0 0 0 1.955.867zm12.903-13.42l-2.588.765-.479 2.35 3.755-1.025a1.128 1.128 0 0 0-.688-2.09z"
  }));
};

var _default = RunningIcon;
exports["default"] = _default;