"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Satellite0Icon = function Satellite0Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.136 4.429L4.5.793 2.793 2.5l3.636 3.636.5-.5.364.364-1.5 1.5L8.5 10.207l1.5-1.5.293.293-.5.5 3.778 3.778 1.707-1.707L11.5 7.793l-.5.5L10.707 8l1.5-1.5L9.5 3.793 8 5.293l-.364-.364zm5.728 7.142l-.293.293L11.207 9.5l.293-.293zM10.793 6.5L8.5 8.793 7.207 7.5 9.5 5.207zm-6.586-4l.293-.293 2.222 2.222-.293.293z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.5 7.207l1-1L13.793 7.5l-2 2 2.707 2.707 2-2 1.293 1.293-1 1 4.707 4.707 2.707-2.707L19.5 9.793l-1 1L17.207 9.5l2-2L16.5 4.793l-2 2L13.207 5.5l1-1L9.5-.207 6.793 2.5zM22.793 14.5L21.5 15.793 18.207 12.5l1.293-1.293zm-5-7L14.5 10.793 13.207 9.5 16.5 6.207zm-5-3L11.5 5.793 8.207 2.5 9.5 1.207z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M23.5 15.793L22.207 14.5l3-3L20.5 6.793l-3 3L16.207 8.5l1-1L10.5.793 7.793 3.5l6.707 6.707 1-1 1.293 1.293-3 3 4.707 4.707 3-3 1.293 1.293-1 1 6.707 6.707 2.707-2.707-6.707-6.707zM9.207 3.5L10.5 2.207 15.793 7.5 14.5 8.793zm6 10L20.5 8.207l3.293 3.293-5.293 5.293zM28.5 22.793L23.207 17.5l1.293-1.293 5.293 5.293z"
  }));
};

var _default = Satellite0Icon;
exports["default"] = _default;