"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Satellite3FIcon = function Satellite3FIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 8H0a8.01 8.01 0 0 0 8 8v-1a7.008 7.008 0 0 1-7-7zm4 0H4a3.999 3.999 0 0 0 4 4v-1a3.009 3.009 0 0 1-3-3zM3 8H2a6.005 6.005 0 0 0 6 6v-1a5.002 5.002 0 0 1-5-5zm12.28 3.57l-1.71 1.71L9.79 9.5l.5-.5-.29-.29-1.5 1.5L5.79 7.5 7.29 6l-.36-.36-.5.5L2.79 2.5 4.5.79l3.64 3.64-.5.5.36.36 1.5-1.5 2.71 2.71-1.5 1.5.29.29.5-.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 9H0a15.018 15.018 0 0 0 15 15v-1A14.015 14.015 0 0 1 1 9zm4 0H4a11.007 11.007 0 0 0 11 11v-1A10.016 10.016 0 0 1 5 9zm4 0H8a7.008 7.008 0 0 0 7 7v-1a6.005 6.005 0 0 1-6-6zm15 5.29l-4.5-4.5-1 1-1.29-1.29 2-2-2.71-2.71-2 2-1.29-1.29 1-1L9.71 0h-.42l-2.5 2.5 4.71 4.71 1-1 1.29 1.29-2 2 2.71 2.71 2-2 1.29 1.29-1 1 4.71 4.71 2.5-2.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M2 16H1a15.018 15.018 0 0 0 15 15v-1A14.015 14.015 0 0 1 2 16zm4 0H5a11.007 11.007 0 0 0 11 11v-1A10.016 10.016 0 0 1 6 16zm5.78 4.22A6.093 6.093 0 0 1 10 15.99l-1 .02A7.105 7.105 0 0 0 15.99 23l.02-1a6.093 6.093 0 0 1-4.23-1.78zm19.43 1.28l-2.71 2.71-6.71-6.71 1-1-1.29-1.29-3 3-4.71-4.71 3-3-1.29-1.29-1 1L7.79 3.5 10.5.79l6.71 6.71-1 1 1.29 1.29 3-3 4.71 4.71-3 3 1.29 1.29 1-1z"
  }));
};

var _default = Satellite3FIcon;
exports["default"] = _default;