"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ScanBarcodeIcon = function ScanBarcodeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 11h1v2.5a2.503 2.503 0 0 1-2.5 2.5H11v-1h2.5a1.502 1.502 0 0 0 1.5-1.5zm-1.5-9A1.502 1.502 0 0 1 15 3.5V6h1V3.5A2.503 2.503 0 0 0 13.5 1H11v1zM6 16v-1H3.5A1.502 1.502 0 0 1 2 13.5V11H1v2.5A2.503 2.503 0 0 0 3.5 16zM2 3.5A1.502 1.502 0 0 1 3.5 2H6V1H3.5A2.503 2.503 0 0 0 1 3.5V6h1zM6 13h2V4H6zm3-9v9h1V4zm4 9V4h-2v9zm-8 0V4H4v9z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23 4.5V8h-1V4.5A1.502 1.502 0 0 0 20.5 3H17V2h3.5A2.503 2.503 0 0 1 23 4.5zM4.5 22A1.502 1.502 0 0 1 3 20.5V17H2v3.5A2.503 2.503 0 0 0 4.5 23H8v-1zM22 20.5a1.502 1.502 0 0 1-1.5 1.5H17v1h3.5a2.503 2.503 0 0 0 2.5-2.5V17h-1zM3 4.5A1.502 1.502 0 0 1 4.5 3H8V2H4.5A2.503 2.503 0 0 0 2 4.5V8h1zM10 19V6H9v13zM6 6v13h2V6zm8 13V6h-2v13zm3-13v13h2V6zm-2 0v13h1V6z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M23 4V3h4.5A2.503 2.503 0 0 1 30 5.5V10h-1V5.5A1.502 1.502 0 0 0 27.5 4zM5.5 29A1.502 1.502 0 0 1 4 27.5V23H3v4.5A2.503 2.503 0 0 0 5.5 30H10v-1zM4 5.5A1.502 1.502 0 0 1 5.5 4H10V3H5.5A2.503 2.503 0 0 0 3 5.5V10h1zm25 22a1.502 1.502 0 0 1-1.5 1.5H23v1h4.5a2.503 2.503 0 0 0 2.5-2.5V23h-1zM7 8v17h2V8zm5 17V8h-1v17zm2-17h-1v17h1zm1 0v17h2V8zm4 0v17h1V8zm4 0h-2v17h2zm1 0v17h2V8z"
  }));
};

var _default = ScanBarcodeIcon;
exports["default"] = _default;