"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SecurityIcon = function SecurityIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 15.972C2.177 12.52 1.668 7.842 2.114 2.93l.067-.74.742-.038c2.302-.115 3.936-.645 4.998-1.62L8.5 0l.58.533c1.06.975 2.695 1.505 4.996 1.62l.743.037.067.74c.448 4.933-.09 9.605-6.386 13.042zM3.1 3.145c-.36 4.13.033 8.722 5.4 11.688 5.367-2.965 5.76-7.558 5.4-11.688a8.727 8.727 0 0 1-5.4-1.788 8.721 8.721 0 0 1-5.4 1.788z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 22.943C3.533 18.32 2.498 12.026 3.16 4.723l.08-.869.871-.042c3.31-.166 5.668-.934 7.21-2.35L12 .838l.68.624c1.54 1.416 3.9 2.184 7.21 2.35l.87.042.08.869c.666 7.34-.407 13.61-8.84 18.22zM4.16 4.811c-.543 5.988-.04 12.694 7.838 16.993 7.88-4.3 8.39-11.001 7.845-16.99-3.553-.178-6.12-1.036-7.84-2.616-1.72 1.58-4.29 2.435-7.842 2.613z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 30.302C4.306 23.514 4.583 13.417 5.208 6.385l.09-1.009.999-.052c5.328-.273 7.795-1.623 9.86-3.564l.343-.323.342.323c2.066 1.941 4.533 3.29 9.86 3.564l1 .052.09 1.009c.623 7.006.907 17.126-11.292 23.917zm-.069-1.183l.069.038.07-.038c10.275-5.733 10.935-14.665 10.226-22.646l-.012-.144-.133-.007c-5.346-.274-7.993-1.596-10.151-3.52-2.159 1.924-4.806 3.247-10.152 3.52l-.132.007-.012.144c-.71 7.981-.049 16.913 10.227 22.646z"
  }));
};

var _default = SecurityIcon;
exports["default"] = _default;