"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ShieldCoinIcon = function ShieldCoinIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.219 14.418a4.681 4.681 0 0 0 .51.86c-.264.167-.53.332-.819.49l-.41.223-.41-.222C1.095 12.499.705 7.454 1.114 2.95l.066-.74.743-.037c2.302-.115 3.936-.645 4.998-1.62L7.5.022l.58.53c1.06.976 2.695 1.506 4.997 1.62l.743.038.066.741a19.016 19.016 0 0 1-.111 5.047 4.646 4.646 0 0 0-.999-.17 17.422 17.422 0 0 0 .124-4.663 8.713 8.713 0 0 1-5.4-1.789 8.713 8.713 0 0 1-5.4 1.789c-.36 4.132.033 8.724 5.4 11.688.254-.14.487-.288.719-.435zM16 12.5A3.5 3.5 0 1 1 12.5 9a3.504 3.504 0 0 1 3.5 3.5zm-1 0a2.5 2.5 0 1 0-2.5 2.5 2.503 2.503 0 0 0 2.5-2.5zm-2.146-.354a.5.5 0 0 1-.707.707l-.707.707a1.5 1.5 0 1 0 2.12-2.12z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.116 21.137a6.536 6.536 0 0 0 .634.785c-.405.259-.82.514-1.27.76l-.48.26-.48-.26C2.133 18.105 1.588 11.035 2.16 4.723l.078-.869.871-.044c3.312-.165 5.67-.934 7.211-2.35L11 .838l.68.625c1.54 1.415 3.898 2.184 7.21 2.35l.87.044.079.869a27.45 27.45 0 0 1-.094 6.683 6.418 6.418 0 0 0-.981-.282 26.319 26.319 0 0 0 .079-6.311l-.004-.004c-3.554-.179-6.117-1.033-7.836-2.613L11 2.196l-.002.002c-1.72 1.58-4.283 2.434-7.837 2.613l-.004.002c-.544 5.99-.036 12.692 7.841 16.99l.002.001h.002c.394-.216.756-.44 1.114-.667zM22.8 17.5a5.3 5.3 0 1 1-5.3-5.3 5.306 5.306 0 0 1 5.3 5.3zm-1 0a4.3 4.3 0 1 0-4.3 4.3 4.304 4.304 0 0 0 4.3-4.3zm-5.926-1.626a2.283 2.283 0 0 1 1.173-.63 2.381 2.381 0 0 1 .667-.035l.094-.995a3.245 3.245 0 0 0-.956.05 3.304 3.304 0 0 0-2.553 2.432l.97.243a2.296 2.296 0 0 1 .605-1.065zm4.66.323l-.92.395a2.288 2.288 0 0 1-.488 2.534 2.356 2.356 0 0 1-3.252 0l-.707.707a3.3 3.3 0 0 0 5.366-3.636z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.622 28.474a8.54 8.54 0 0 0 .652.793c-.393.246-.795.489-1.218.725l-.556.31-.556-.31C4.17 23.98 3.471 14.685 4.208 6.384l.089-1.009 1-.052c5.327-.272 7.795-1.621 9.86-3.563l.343-.322.343.322c2.065 1.942 4.533 3.291 9.86 3.563l1 .052.089 1.01a36.092 36.092 0 0 1-.179 9.214 8.421 8.421 0 0 0-.98-.317 35.025 35.025 0 0 0 .163-8.809l-.013-.144-.13-.007c-5.347-.273-7.994-1.596-10.153-3.52-2.16 1.924-4.807 3.246-10.152 3.52l-.131.007-.013.144c-.709 7.98-.049 16.912 10.227 22.646l.069.038.07-.039c.372-.208.705-.428 1.052-.644zM30.8 23.5a7.3 7.3 0 1 1-7.3-7.3 7.308 7.308 0 0 1 7.3 7.3zm-1 0a6.3 6.3 0 1 0-6.3 6.3 6.307 6.307 0 0 0 6.3-6.3zm-8.751-2.451a3.45 3.45 0 0 1 1.77-.948 3.369 3.369 0 0 1 1.004-.053l.094-.996a4.505 4.505 0 0 0-1.294.068 4.471 4.471 0 0 0-3.456 3.293l.97.242a3.445 3.445 0 0 1 .912-1.606zm6.556.688l-.92.394a3.45 3.45 0 0 1-.734 3.82 3.55 3.55 0 0 1-4.902 0l-.707.707a4.467 4.467 0 0 0 7.263-4.921z"
  }));
};

var _default = ShieldCoinIcon;
exports["default"] = _default;