"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ShowOneLayerAtATimeIcon = function ShowOneLayerAtATimeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.873 9.39L0 5.522l8-4.5 8 4.5-4.902 2.758a5.786 5.786 0 0 0-.621-.034 6.014 6.014 0 0 0-1.983.351l5.466-3.075L8 2.171 2.04 5.523l5.875 3.305a8.328 8.328 0 0 0-1.042.561zm5.119 3.11a1.494 1.494 0 1 1-1.492-1.409 1.454 1.454 0 0 1 1.492 1.409zm4.008 0s-2.462 3.254-5.5 3.254S5 12.5 5 12.5s2.462-3.254 5.5-3.254S16 12.5 16 12.5zm-1.054-.002c-.77-.834-2.51-2.452-4.446-2.452-1.938 0-3.679 1.62-4.447 2.454.768.834 2.51 2.454 4.447 2.454 1.922 0 3.672-1.621 4.446-2.456z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 1L1 7.493 12 14l11-6.505zM2.967 7.494L12 2.161l9.033 5.335L12 12.838zM16.5 23c-3.989 0-7.121-4.017-7.255-4.188L9 18.5l.245-.312C9.379 18.018 12.51 14 16.5 14c3.993 0 7.14 4.024 7.27 4.195l.23.305-.23.305C23.64 18.976 20.493 23 16.5 23zm-6.4-4.5c.835.937 3.408 3.6 6.4 3.6 3.001 0 5.62-2.67 6.419-3.6-.8-.928-3.424-3.6-6.419-3.6-2.992 0-5.565 2.663-6.4 3.6zm6.4 2.4a2.4 2.4 0 1 1 2.4-2.4 2.403 2.403 0 0 1-2.4 2.4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 1L1.5 9.492 16 18l14.5-8.508zM3.478 9.493L16 2.16l12.522 7.334L16 16.841zM17.13 24.554v-.074a3.36 3.36 0 0 1 3.334-3.35h.07a3.36 3.36 0 0 1 3.335 3.35v.074a3.37 3.37 0 0 1-6.74 0zM20.5 19.1h.063c4.512.103 8.383 4.233 9.353 5.445l-.005.006.005.006c-.983 1.201-4.897 5.29-9.409 5.345h-.014c-4.512-.055-8.426-4.144-9.41-5.345l.006-.006-.005-.006c.97-1.212 4.841-5.342 9.353-5.445h.063zm0 11.702h.011c5.614-.062 10.082-5.695 10.267-5.947l.222-.298-.219-.302C30.598 24 26.19 18.321 20.577 18.2h-.154c-5.612.12-10.021 5.8-10.203 6.054l-.219.302.222.298c.185.252 4.654 5.885 10.267 5.947z"
  }));
};

var _default = ShowOneLayerAtATimeIcon;
exports["default"] = _default;