"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SnapToGridIcon = function SnapToGridIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 1v2H3V1H2v2H0v1h2v3H0v1h2v3H0v1h2v3h1v-3h3v3h1V1zm0 10H3V8h3zm0-4H3V4h3zm6-3H8v3h4a1 1 0 0 1 0 2H8v3h4a4 4 0 0 0 0-8zm-2 2H9V5h1zm0 5H9v-1h1zm2 0h-1v-1h1a2 2 0 0 0 0-4h-1V5h1a3 3 0 0 1 0 6z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10 4H6V1H5v3H1v1h4v4H1v1h4v4H1v1h4v4H1v1h4v3h1v-3h4v3h1V1h-1zM6 5h4v4H6zm0 5h4v4H6zm0 9v-4h4v4zM17.8 6H12v4h5.8a2 2 0 0 1 0 4H12v4h5.8a6 6 0 0 0 0-12zM13 7h2v2h-2zm0 8h2v2h-2zm4.8 2H16v-2h1.8a3 3 0 0 0 0-6H16V7h1.8a5 5 0 0 1 0 10z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M13 3v3H8V3H7v3H3v1h4v5H3v1h4v5H3v1h4v5H3v1h4v4h1v-4h5v4h1V3zm0 21H8v-5h5zm0-6H8v-5h5zm0-6H8V7h5zm9.8-4H16v5h6.8a3 3 0 0 1 0 6H16v5h6.8a8.183 8.183 0 0 0 8.2-8 8.183 8.183 0 0 0-8.2-8zM20 12h-3V9h3zm0 11h-3v-3h3zm2.8 0H21v-3h1.8a4 4 0 0 0 0-8H21V9h1.8a7 7 0 0 1 0 14z"
  }));
};

var _default = SnapToGridIcon;
exports["default"] = _default;