"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SoundLowIcon = function SoundLowIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.113 10l3.35 2.707A.34.34 0 0 0 8 12.43V3.57a.34.34 0 0 0-.538-.277L4.112 6H1.917A.917.917 0 0 0 1 6.917v2.166a.917.917 0 0 0 .917.917zM2 7h2.466L7 4.952v6.098L4.466 9H2zm11 1a6.739 6.739 0 0 1-1.664 4.427l-.032.038-.715-.626A6.08 6.08 0 0 0 12 8a5.732 5.732 0 0 0-1.416-3.769l.682-.663A6.485 6.485 0 0 1 13 8z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.193 4.452L6.67 9H3.376A1.376 1.376 0 0 0 2 10.376v3.248A1.376 1.376 0 0 0 3.376 15h3.293l5.524 4.548a.51.51 0 0 0 .807-.414V4.866a.51.51 0 0 0-.807-.414zM12 18.088L7.028 14H3.375A.375.375 0 0 1 3 13.625v-3.25A.375.375 0 0 1 3.375 10h3.653L12 5.911zm4.47-12.744A9.975 9.975 0 0 1 19 11.987a9.848 9.848 0 0 1-2.566 6.646l-.74-.672A8.872 8.872 0 0 0 18 11.987a8.984 8.984 0 0 0-2.277-5.978z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M15.925 6.586L9.225 12h-4.39A1.834 1.834 0 0 0 3 13.834v4.332A1.834 1.834 0 0 0 4.834 20h4.391l6.7 5.414A.68.68 0 0 0 17 24.86V7.14a.68.68 0 0 0-1.075-.554zM16 24.191L9.579 19H4.834A.835.835 0 0 1 4 18.166v-4.331A.836.836 0 0 1 4.834 13H9.58L16 7.81zm8-8.208a12.017 12.017 0 0 0-3.185-8.166l.717-.698A12.97 12.97 0 0 1 25 15.984a13.478 13.478 0 0 1-3.327 8.854l-.754-.657A12.477 12.477 0 0 0 24 15.983z"
  }));
};

var _default = SoundLowIcon;
exports["default"] = _default;