"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SoundUnavailableIcon = function SoundUnavailableIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.462 3.293L3.112 6H.917A.917.917 0 0 0 0 6.917v2.166A.917.917 0 0 0 .917 10h2.196l3.35 2.707A.34.34 0 0 0 7 12.43V3.57a.34.34 0 0 0-.538-.277zM6 11.05L3.466 9H1V7h2.466L6 4.952zm8.371-.421l-.707.707-2.146-2.147-2.164 2.165-.708-.708 2.165-2.164-2.147-2.146.708-.708 2.146 2.147 2.128-2.129.708.708-2.129 2.128z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.193 4.452L5.67 9H2.376A1.376 1.376 0 0 0 1 10.376v3.248A1.376 1.376 0 0 0 2.376 15h3.293l5.524 4.548a.51.51 0 0 0 .807-.414V4.866a.51.51 0 0 0-.807-.414zM11 18.088L6.028 14H2.375A.375.375 0 0 1 2 13.625v-3.25A.375.375 0 0 1 2.375 10h3.653L11 5.911zM18.707 12l2.647 2.646-.708.708L18 12.707l-2.646 2.647-.708-.708L17.293 12l-2.647-2.646.708-.708L18 11.293l2.646-2.647.708.708z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M14.925 6.586L8.225 12h-4.39A1.834 1.834 0 0 0 2 13.834v4.332A1.834 1.834 0 0 0 3.834 20h4.391l6.7 5.414A.68.68 0 0 0 16 24.86V7.14a.68.68 0 0 0-1.075-.554zM15 24.191L8.579 19H3.834A.835.835 0 0 1 3 18.166v-4.331A.836.836 0 0 1 3.834 13H8.58L15 7.81zm9.207-7.69l4.147 4.145-.708.708-4.146-4.147-4.146 4.147-.708-.708 4.147-4.146-4.147-4.146.708-.708 4.146 4.147 4.146-4.147.708.708-4.147 4.146z"
  }));
};

var _default = SoundUnavailableIcon;
exports["default"] = _default;