"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SpeechBubbleExclamationIcon = function SpeechBubbleExclamationIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.025 15.988V11.96H3.5A2.622 2.622 0 0 1 1 9.237v-5.5a2.622 2.622 0 0 1 2.5-2.725h9.963A2.639 2.639 0 0 1 16 3.737v5.5a2.639 2.639 0 0 1-2.537 2.724H8.946zM3.5 1.96a1.677 1.677 0 0 0-1.55 1.776v5.5a1.677 1.677 0 0 0 1.55 1.775h1.475v2.974l3.633-2.974h4.855a1.692 1.692 0 0 0 1.588-1.775v-5.5a1.692 1.692 0 0 0-1.588-1.776zm6 6.015a1 1 0 0 0-2 0v.048a1 1 0 0 0 2 0zM9 3H8v3h1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 21.963V17h-.75A3.254 3.254 0 0 1 2 13.75v-8.5A3.254 3.254 0 0 1 5.25 2h14.5A3.254 3.254 0 0 1 23 5.25v8.5A3.254 3.254 0 0 1 19.75 17h-6.926zM5.25 3A2.253 2.253 0 0 0 3 5.25v8.5A2.253 2.253 0 0 0 5.25 16H7v4l5.5-4h7.25A2.253 2.253 0 0 0 22 13.75v-8.5A2.253 2.253 0 0 0 19.75 3zM12 10h1V4h-1zm1.5 2.5a1 1 0 1 0-1 1 1 1 0 0 0 1-1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7 28.943V23h-.5A3.504 3.504 0 0 1 3 19.5v-12A3.504 3.504 0 0 1 6.5 4h20A3.504 3.504 0 0 1 30 7.5v11.94a3.458 3.458 0 0 1-.373 1.652A3.514 3.514 0 0 1 26.5 23H15.32zM6.5 5A2.503 2.503 0 0 0 4 7.5v12A2.503 2.503 0 0 0 6.5 22H8v5l7-5h11.5a2.53 2.53 0 0 0 2.246-1.38A2.496 2.496 0 0 0 29 19.44V7.5A2.503 2.503 0 0 0 26.5 5zm11 13a1 1 0 1 0-1 1 1 1 0 0 0 1-1zM16 15h1V7h-1z"
  }));
};

var _default = SpeechBubbleExclamationIcon;
exports["default"] = _default;