"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SpeechBubblePlusIcon = function SpeechBubblePlusIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 6H4V5h8zM4 9h6V8H4zm11-4.75A2.253 2.253 0 0 0 12.75 2h-9.5A2.253 2.253 0 0 0 1 4.25v5.5A2.253 2.253 0 0 0 3.25 12H4v3.5l3-2.25V12l-2 1.5V11H3.25A1.251 1.251 0 0 1 2 9.75v-5.5A1.251 1.251 0 0 1 3.25 3h9.5A1.251 1.251 0 0 1 14 4.25V11h.619A2.236 2.236 0 0 0 15 9.75zM12 12V9h-1v3H8v1h3v3h1v-3h3v-1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 8h12v1H6zm0 4h9v-1H6zm1 7.519V16H4.75A1.752 1.752 0 0 1 3 14.25v-8.5A1.752 1.752 0 0 1 4.75 4h14.5A1.752 1.752 0 0 1 21 5.75v8.5a1.73 1.73 0 0 1-.176.75h1.059a2.713 2.713 0 0 0 .117-.75v-8.5A2.753 2.753 0 0 0 19.25 3H4.75A2.753 2.753 0 0 0 2 5.75v8.5A2.753 2.753 0 0 0 4.75 17H6v4.481l4-2.908v-1.237zm14-.52V18h-4v-4h-1v4h-4v.999h4V23h1v-4.001z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24 12H8v-1h16zm-4 3H8v1h12zm6-10H6a3.003 3.003 0 0 0-3 3v12a3.003 3.003 0 0 0 3 3h1v5.472L14.66 23H19v-1h-4.66L8 26.528V22H6a2.002 2.002 0 0 1-2-2V8a2.002 2.002 0 0 1 2-2h20a2.002 2.002 0 0 1 2 2v12a2 2 0 0 1-2 2v1a3 3 0 0 0 3-3V8a3.003 3.003 0 0 0-3-3zm-3 15h-1v5h-5v.999h5V31h1v-5.001h5V25h-5z"
  }));
};

var _default = SpeechBubblePlusIcon;
exports["default"] = _default;