"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SystemManagementIcon = function SystemManagementIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 2H2v3h3zM4 4H3V3h1zm8 0H6V3h6zM2 9h3V6H2zm1-2h1v1H3zm6.833 0a3.74 3.74 0 0 0 .033 1H6V7zm6.149.239a.068.068 0 0 0-.027-.023.089.089 0 0 0-.101.008L13.993 8.67a.196.196 0 0 1-.241.006l-.873-.65a.187.187 0 0 1-.04-.037.231.231 0 0 1-.025-.045l-.417-1.064a.207.207 0 0 1 .068-.238l1.862-1.445a.092.092 0 0 0 .033-.097.07.07 0 0 0-.013-.033.088.088 0 0 0-.058-.033 3.446 3.446 0 0 0-2.46.58 2.38 2.38 0 0 0-.56 2.914.164.164 0 0 1-.033.189c-.72.69-5.823 4.909-5.823 4.909a1.393 1.393 0 0 0 1.97 1.97l4.73-5.483a.763.763 0 0 1 .643-.26 2.362 2.362 0 0 0 2.047-.291A3.56 3.56 0 0 0 16 7.303a.083.083 0 0 0-.017-.064zM7 15H6v-1h1zm-.3-4H0V0h14v3.813c-.063-.002-.124-.013-.188-.013a4.85 4.85 0 0 0-.812.074V1H1v9h6.895l-1.196 1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M19 7H8V6h11zM8 15h6.363l1.17-1H8zm-6 3V3h19v5h1V2H1v17h8.736c.038-.043.066-.09.107-.131l.087-.081.922-.788zm15.49-8H8v1h9.106a3.802 3.802 0 0 1 .385-1zM12 21h1v-1h-1zm-8-8h3v3H4zm1 2h1v-1H5zm2-7H4V5h3zM6 6H5v1h1zm18 5.886a4.072 4.072 0 0 1-1.4 2.621 2.805 2.805 0 0 1-2.496.385l-.057-.013-6.661 7.489a1.99 1.99 0 1 1-2.835-2.793c.026-.025 6.462-5.523 7.663-6.552a2.872 2.872 0 0 1 .808-3.317 3.873 3.873 0 0 1 2.843-.635.544.544 0 0 1 .487.46.603.603 0 0 1-.301.606l-1.646 1.285.309.788.63.469 1.708-1.327a.584.584 0 0 1 .652-.06.61.61 0 0 1 .296.594zm-1.396 1.08l-.824.64a.702.702 0 0 1-.853.009l-1.011-.781a.855.855 0 0 1-.09-.152l-.432-1.1a.713.713 0 0 1 .228-.817l.863-.67a2.384 2.384 0 0 0-.85.4 1.898 1.898 0 0 0-.416 2.332.67.67 0 0 1-.134.766c-.019.017-.037.035-7.856 6.716a.986.986 0 0 0 .03 1.373 1.015 1.015 0 0 0 1.4 0l6.745-7.585a.687.687 0 0 1 .787-.214l.142.035a1.856 1.856 0 0 0 1.652-.2 2.515 2.515 0 0 0 .62-.752zM7 12H4V9h3zm-1-2H5v1h1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30.668 15.985a.612.612 0 0 0-.692.046l-2.282 1.772-.93-.693-.452-1.151 2.29-1.778a.585.585 0 0 0 .232-.58.645.645 0 0 0-.517-.521 4.946 4.946 0 0 0-3.582.855 3.626 3.626 0 0 0-.959 4.206c-.462.408-2.249 1.982-8.984 7.88a2.263 2.263 0 0 0-.113 3.297 2.233 2.233 0 0 0 1.593.661h.058a2.236 2.236 0 0 0 1.62-.744c2.96-3.297 7.366-8.192 8.059-8.934l.128.032a3.532 3.532 0 0 0 3.084-.47 5.148 5.148 0 0 0 1.744-3.26.658.658 0 0 0-.297-.618zm-2.06 3.089a2.625 2.625 0 0 1-2.31.27.971.971 0 0 0-.802.074c-.085.051-.16.096-8.29 9.147a1.242 1.242 0 0 1-.9.414 1.274 1.274 0 0 1-.92-.368 1.24 1.24 0 0 1-.364-.926 1.257 1.257 0 0 1 .43-.913c4.106-3.595 9.03-7.91 9.17-8.047a.71.71 0 0 0 .144-.82 2.63 2.63 0 0 1 .583-3.18 3.675 3.675 0 0 1 1.774-.662l-1.566 1.216a.766.766 0 0 0-.24.881l.552 1.408a.786.786 0 0 0 .087.15l1.285.995a.766.766 0 0 0 .925-.01l1.536-1.194a3.796 3.796 0 0 1-1.095 1.565zM16 27h1v1h-1zm9-18H11V8h14zM9 12H6v3h3zm-1 2H7v-1h1zm3 4h11.423l-1.137 1H11zm4.581 6H2V3h27v9h-1V4H3v19h13.723l-1.142 1zM9 7H6v3h3zM8 9H7V8h1zm15.316 5H11v-1h13.35c-.073.05-.158.09-.228.145a3.996 3.996 0 0 0-.806.855zM6 20h3v-3H6zm1-2h1v1H7z"
  }));
};

var _default = SystemManagementIcon;
exports["default"] = _default;