"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TakePedestrianRampIcon = function TakePedestrianRampIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 5.1v-.917l1.852 1.04a.4.4 0 0 1-.196.749.394.394 0 0 1-.196-.052zM7.747 2.469a1 1 0 1 0-1.216-.722 1 1 0 0 0 1.216.722zM7.414 3h.042a.498.498 0 0 1 .368.162.479.479 0 0 1 .13.372l.044 2.751 1.83 1.729a.5.5 0 0 1 .154.311l.215 2.058a.493.493 0 0 1-.095.342L15 9.5V15H1v-2l4.805-1.201a.492.492 0 0 1-.009-.473l1.398-3.029-.003-.024.78.738-1.18 2.541 2.693-.673a.495.495 0 0 1-.28-.393l-.197-1.873-1.81-1.711a.64.64 0 0 1-.196-.396l-.274-2.533-1.282 2.18a.4.4 0 0 1-.69-.406L6.371 3zM14 10.781l-12 3V14h12z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.1 2.5a1.4 1.4 0 1 1 1.4 1.4 1.399 1.399 0 0 1-1.4-1.4zm5.381 6.824a.635.635 0 0 0 .643-1.059l-2.314-1.27.109 1.46zM22 13.136V22H2v-3.091l6.305-1.82a.713.713 0 0 1-.395-.146.726.726 0 0 1-.15-.955l2.216-3.443.441-1.626 1.292 1.14-.365 1.3-2.376 3.435a.717.717 0 0 1-.157.149l5.341-1.542a.642.642 0 0 1-.169-.05.659.659 0 0 1-.323-.5l-.305-2.862-2.348-1.884-.298-3.223-1.66 2.859a.532.532 0 0 1-.739.206.52.52 0 0 1-.205-.675c.446-.919 1.507-3.083 2.163-4.248 1.139.07 2.405.16 2.472 1.086l.291 3.886 1.746 1.432.196 3.314a.652.652 0 0 1-.17.472zm-1 1.329L3 19.66V21h18z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20.878 21.144a1.057 1.057 0 0 0 .17-.603.953.953 0 0 0-.03-.202c-.03-.113-1.16-4.578-1.16-4.578l-1.926-1.878s-.343-4.121-.454-5.405c-.109-1.284-1.869-1.39-3.45-1.469a149.358 149.358 0 0 0-3.037 5.935.721.721 0 0 0 .296.934.74.74 0 0 0 1.024-.298l2.16-3.985.479 4.44 2.844 2.694 1.173 4.308a1.097 1.097 0 0 0 .416.48l-7.766 1.942a1.093 1.093 0 0 0 .445-.42l3.527-4.484.446-2.114-1.633-1.548-.782 2.462-3.366 4.485a1.082 1.082 0 0 0 .876 1.74L2 25.864V30h28V18.863zM29 29H3v-2.355l26-6.5zM18.753 11.689l-.165-1.967 3.162 1.765a.881.881 0 0 1-.824 1.51c-.611-.37-2.173-1.308-2.173-1.308zM14.1 4A1.9 1.9 0 1 1 16 5.9 1.899 1.899 0 0 1 14.1 4z"
  }));
};

var _default = TakePedestrianRampIcon;
exports["default"] = _default;