"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ThreeDGlassesIcon = function ThreeDGlassesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5.03 3.03L5 3a.5.5 0 0 0-.707 0L1.27 6.023A1.498 1.498 0 0 0 0 7.5v4A1.502 1.502 0 0 0 1.5 13h4.69a1.495 1.495 0 0 0 1.342-.827c.016-.033.03-.066.043-.1L8 10.936l.425 1.137c.013.034.027.067.043.1A1.495 1.495 0 0 0 9.81 13h4.69a1.502 1.502 0 0 0 1.5-1.5v-4a1.498 1.498 0 0 0-1.27-1.477L11.707 3A.5.5 0 0 0 11 3l-.03.03a.5.5 0 0 0-.03.675L12.861 6H3.14l1.92-2.295a.5.5 0 0 0-.03-.675zM15 7.5v4a.5.5 0 0 1-.5.5H9.81a.5.5 0 0 1-.448-.277l-.915-2.447a.5.5 0 0 0-.894 0l-.915 2.447a.5.5 0 0 1-.447.277H1.5a.5.5 0 0 1-.5-.5v-4a.5.5 0 0 1 .5-.5h13a.5.5 0 0 1 .5.5zM5.5 8h-3a.5.5 0 0 0-.5.5v2a.5.5 0 0 0 .5.5h2.333a.5.5 0 0 0 .475-.342l.666-2A.5.5 0 0 0 5.5 8zm-1.027 2H3V9h1.806zM13.5 8h-3a.5.5 0 0 0-.474.658l.666 2a.5.5 0 0 0 .475.342H13.5a.5.5 0 0 0 .5-.5v-2a.5.5 0 0 0-.5-.5zm-.5 2h-1.473l-.333-1H13z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2 10a1 1 0 0 0-1 1v7a1 1 0 0 0 1 1h8.151a1 1 0 0 0 .949-.684l.9-2.7.901 2.7a1 1 0 0 0 .949.684H22a1 1 0 0 0 1-1v-7a1 1 0 0 0-1-1h-.36l-5.118-4.752a.906.906 0 0 0-1.03-.139.917.917 0 0 0-.37 1.269L17.2 10H6.8l2.08-3.622a.917.917 0 0 0-.371-1.269.906.906 0 0 0-1.03.139L2.36 10zm13.729-3.97a.217.217 0 0 1 .059-.281.086.086 0 0 1 .026-.02.69.69 0 0 1 .106-.01.165.165 0 0 1 .123.04l4.566 4.239V10h-2.547zM3.391 9.997l4.566-4.24a.165.165 0 0 1 .123-.038.69.69 0 0 1 .106.01.086.086 0 0 1 .027.019.217.217 0 0 1 .059.28L5.939 10H3.391zM21.5 11a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-.5.5h-7.29a.5.5 0 0 1-.474-.342l-.787-2.36a1 1 0 0 0-1.898 0l-.786 2.36A.5.5 0 0 1 9.79 18H2.5a.5.5 0 0 1-.5-.5v-6a.5.5 0 0 1 .5-.5zm-7.158 5.316a1 1 0 0 0 .949.684H20a1 1 0 0 0 1-1v-3a1 1 0 0 0-1-1h-5.71a1 1 0 0 0-.949 1.316zM20 13v3h-4.71l-1-3zM4 17h4.71a1 1 0 0 0 .948-.684l1-3A1 1 0 0 0 9.709 12H4a1 1 0 0 0-1 1v3a1 1 0 0 0 1 1zm0-4h5.71l-1 3H4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M29.968 13.26l-5.114-5.114a1.208 1.208 0 0 0-1.707 0l-.097.097a1.211 1.211 0 0 0-.16 1.507L24.984 13H7.016L9.11 9.751a1.212 1.212 0 0 0-.16-1.508l-.096-.097a1.208 1.208 0 0 0-1.707 0l-5.115 5.115A1.993 1.993 0 0 0 1 15v8a2.002 2.002 0 0 0 2 2h9.381a1.99 1.99 0 0 0 1.79-1.105.966.966 0 0 0 .042-.098L16 19.016l1.787 4.78a.966.966 0 0 0 .042.099A1.99 1.99 0 0 0 19.62 25H29a2.002 2.002 0 0 0 2-2v-8a1.993 1.993 0 0 0-1.032-1.74zm-6.239-4.052a.207.207 0 0 1 .028-.258l.097-.096a.209.209 0 0 1 .293 0L28.293 13h-2.12zM7.853 8.854a.209.209 0 0 1 .293 0l.097.096a.208.208 0 0 1 .028.259L5.827 13h-2.12zM30 23a1 1 0 0 1-1 1h-9.381a1.001 1.001 0 0 1-.895-.553l-1.83-4.894a1 1 0 0 0-1.788 0l-1.83 4.894a1.001 1.001 0 0 1-.895.553H3a1 1 0 0 1-1-1v-8a1 1 0 0 1 1-1h26a1 1 0 0 1 1 1zm-17.387-7H5a1 1 0 0 0-1 1v4a1 1 0 0 0 1 1h6.28a1 1 0 0 0 .948-.684l1.333-4A1 1 0 0 0 12.613 16zm-1.334 5H5v-4h7.612zM27 16h-7.613a1 1 0 0 0-.948 1.316l1.333 4a1 1 0 0 0 .949.684H27a1 1 0 0 0 1-1v-4a1 1 0 0 0-1-1zm0 5h-6.28l-1.333-4H27z"
  }));
};

var _default = ThreeDGlassesIcon;
exports["default"] = _default;