"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ThumbsDownIcon = function ThumbsDownIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 1v1h-.757l-1.6-1H3.646a1.595 1.595 0 0 0-1.446.894 1.469 1.469 0 0 0-.108 1.037 1.686 1.686 0 0 0-.628.943 1.796 1.796 0 0 0 .104 1.23 1.6 1.6 0 0 0-.539.953 1.541 1.541 0 0 0 .234 1.083 1.92 1.92 0 0 0-.28 1.681A1.502 1.502 0 0 0 2.392 10h2.873l.228.001-.04.068a3.73 3.73 0 0 0-.573 2.166c0 1.526.306 2.423.935 2.745a1.087 1.087 0 0 0 .499.12 1.38 1.38 0 0 0 .754-.245l.206-.15.001-.255a4.791 4.791 0 0 1 .722-2.34c.089-.133.175-.27.26-.407a4.665 4.665 0 0 1 .948-1.2 1.818 1.818 0 0 0 .422-.496L10.788 8H11v1h4V1zm0 6h-.788l-1.45 2.507a.832.832 0 0 1-.189.22 5.515 5.515 0 0 0-1.162 1.444c-.08.13-.162.258-.246.384a5.697 5.697 0 0 0-.87 2.542.07.07 0 0 1-.026-.01c-.016-.007-.39-.226-.39-1.852a2.774 2.774 0 0 1 .44-1.666c.069-.118.136-.236.2-.364a.863.863 0 0 0 .043-.845C6.337 9 5.934 9 5.265 9H2.393c-.303 0-.428-.379-.45-.455a.837.837 0 0 1 .279-.943l.58-.364-.524-.442a.637.637 0 0 1-.261-.583.689.689 0 0 1 .458-.507l.747-.305-.605-.533a.746.746 0 0 1-.186-.741.623.623 0 0 1 .431-.47l.777-.168-.486-.628a.48.48 0 0 1-.056-.527A.603.603 0 0 1 3.645 2h4.711l1.6 1H11zm3 1h-2V2h2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M17 1v2h-1.796l-2.47-.966L5.81 2a2.22 2.22 0 0 0-2.045 1.166 1.755 1.755 0 0 0-.062 1.425A2.15 2.15 0 0 0 2.65 5.939a2.19 2.19 0 0 0 .262 1.713 2.253 2.253 0 0 0-.923 1.461 2.165 2.165 0 0 0 .445 1.672 2.705 2.705 0 0 0-.523 2.564A2.084 2.084 0 0 0 3.85 15h3.39c.242 0 .56 0 .8.015a4.966 4.966 0 0 0-1.242 3.153c0 2.194.42 3.457 1.284 3.861a1.363 1.363 0 0 0 .58.126 2.013 2.013 0 0 0 1.213-.46l.179-.151v-.232a7.073 7.073 0 0 1 1.174-3.496 8.993 8.993 0 0 1 2.49-2.649L16.04 12H17v2h5V1zm0 10h-1.473l-2.448 3.395a9.933 9.933 0 0 0-2.683 2.867 8.134 8.134 0 0 0-1.328 3.772.658.658 0 0 1-.562.09c-.166-.08-.708-.521-.708-2.956a4.09 4.09 0 0 1 1.101-2.614 1.051 1.051 0 0 0 .237-1.06C8.886 14 8.266 14 7.24 14H3.85c-.524 0-.847-.48-.976-.928a1.616 1.616 0 0 1 .556-1.821l.582-.363-.525-.443a1.27 1.27 0 0 1-.508-1.175 1.359 1.359 0 0 1 .892-1.013l.747-.305-.604-.533a1.208 1.208 0 0 1-.395-1.227 1.167 1.167 0 0 1 .908-.851l.775-.167-.485-.628a.858.858 0 0 1-.153-.939A1.25 1.25 0 0 1 5.811 3h6.646l2.472.966L17 3.993zm4 2h-3V2h3z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M2.122 18.034A2.564 2.564 0 0 0 4.578 20h4.61a12.784 12.784 0 0 1 1.447.054 4.448 4.448 0 0 1-.078.083c-.063.051-1.522 1.33-1.522 4.903 0 2.832.52 4.436 1.591 4.904a2.336 2.336 0 0 0 2.283-.577l.16-.148.001-.218a9.143 9.143 0 0 1 1.608-4.53 12.855 12.855 0 0 1 3.396-3.745L21.22 16H23v2h6V3h-6v2h-2.767L16.87 3H7.206a2.807 2.807 0 0 0-2.534 1.58 2.586 2.586 0 0 0-.068 2.196A2.683 2.683 0 0 0 3.139 8.55a2.773 2.773 0 0 0 .42 2.298 2.873 2.873 0 0 0-1.303 1.938 2.754 2.754 0 0 0 .653 2.22 3.037 3.037 0 0 0-.787 3.03zM24 4h4v13h-4zM3.927 15.477l.582-.364-.525-.442a1.889 1.889 0 0 1-.74-1.73 2.006 2.006 0 0 1 1.299-1.487l.748-.305-.605-.533a1.786 1.786 0 0 1-.58-1.814A1.725 1.725 0 0 1 5.447 7.54l.776-.167-.485-.628a1.589 1.589 0 0 1-.17-1.725A1.813 1.813 0 0 1 7.206 4h9.389l3.363 2H23v9h-2.32l-3.255 4.96a13.852 13.852 0 0 0-3.58 3.957 10.348 10.348 0 0 0-1.764 4.833 1.222 1.222 0 0 1-1.055.278c-.297-.13-.99-.78-.99-3.988 0-3.06 1.16-4.135 1.197-4.169.194-.193.705-.706.483-1.244-.25-.599-1.037-.627-2.528-.627h-4.61a1.58 1.58 0 0 1-1.495-1.241 1.99 1.99 0 0 1 .844-2.282z"
  }));
};

var _default = ThumbsDownIcon;
exports["default"] = _default;