"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TwelveXIcon = function TwelveXIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10 16H6v-.5a3.178 3.178 0 0 1 1.766-2.724C8.53 12.246 9 11.882 9 11.1a1.008 1.008 0 0 0-.998-1.109.932.932 0 0 0-.726.27 1.206 1.206 0 0 0-.285.739L6 10.998a2.11 2.11 0 0 1 .556-1.431A1.884 1.884 0 0 1 8.002 9 1.897 1.897 0 0 1 10 11.1a2.94 2.94 0 0 1-1.665 2.5c-.662.458-1.12.805-1.275 1.401H10zM2 .911l-1.966.823.386.923.58-.243V8h1zm5.709 1.504L6.799 2 1.055 14.585l.91.415zM14.721 6l-1.219 1.639L12.282 6h-1.277l1.858 2.498L11.002 11h1.278l1.222-1.643L14.724 11H16l-1.86-2.502L16 6z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 23H8.1v-.5c0-2.157 1.762-3.105 3.316-3.942 1.392-.748 2.593-1.394 2.593-2.721 0-1.046-1.184-1.837-2.47-1.855a2.38 2.38 0 0 0-2.001.72A2.118 2.118 0 0 0 8.973 16h-.97a2.954 2.954 0 0 1 .823-2 3.437 3.437 0 0 1 2.727-1c1.828 0 3.438 1.245 3.438 2.837 0 1.924-1.639 2.815-3.1 3.602-1.273.685-2.482 1.335-2.74 2.561H15zM11 3.422l-.916-.4-8.077 18.57.916.4zM4 2.207L1.011 3.634l.43.903L3 3.793v8.167h1zM22.689 9L20.5 11.696 18.311 9h-1.306l2.842 3.5-2.842 3.5h1.306l2.189-2.696L22.689 16h1.306l-2.842-3.5L23.995 9z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M18 29h-8v-.5c0-2.448 2.049-3.692 3.856-4.789 1.615-.98 3.14-1.906 3.14-3.522 0-1.09-.816-2.207-2.64-2.207A3.074 3.074 0 0 0 10.99 21H10a4.067 4.067 0 0 1 4.355-4C16.503 17 18 18.312 18 20.19c0 2.176-1.837 3.293-3.618 4.374-1.575.957-3.071 1.864-3.334 3.436H18zM5 4L.981 5.608l.371.929L4 5.477V16h1zm9 1.415L13.09 5 2.616 28.585l.909.415zM29.623 13l-3.108 3.678L23.407 13h-1.346l3.78 4.475L22.019 22h1.346l3.151-3.729L29.665 22H31v-.015l-3.812-4.51L30.97 13z"
  }));
};

var _default = TwelveXIcon;
exports["default"] = _default;