"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TwoXIcon = function TwoXIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10 13H2.317c.261-1.633 2.304-2.464 3.93-3.339C8.092 8.668 10 7.641 10 5.356 10 3.443 7.992 2 6.185 2a4.03 4.03 0 0 0-3.222 1.183A3.648 3.648 0 0 0 2.009 6h.982a2.597 2.597 0 0 1 .69-2.121 3.795 3.795 0 0 1 2.504-.915A2.752 2.752 0 0 1 9 5.356C9 7.044 7.505 7.849 5.773 8.78 3.9 9.788 1.278 10.93 1.278 13.5v.5H10zm6-7l-1.86 2.498L16 11h-1.276l-1.222-1.643L12.279 11h-1.277l1.861-2.502L11.005 6h1.277l1.22 1.639L14.722 6z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13 20H2.004v-.5c0-3.497 2.885-5.076 5.43-6.469 2.352-1.287 4.575-2.504 4.575-5.007a4.172 4.172 0 0 0-4.173-4.038A4.693 4.693 0 0 0 4.31 5.304a5.604 5.604 0 0 0-1.315 3.685l-.989.005A6.475 6.475 0 0 1 3.59 4.611a5.63 5.63 0 0 1 4.246-1.598A5.155 5.155 0 0 1 13 8.024c0 3.096-2.581 4.514-5.086 5.884-2.376 1.3-4.627 2.532-4.886 5.092H13zm8.689-11L19.5 11.696 17.311 9h-1.306l2.842 3.5-2.842 3.5h1.306l2.189-2.696L21.689 16h1.306l-2.842-3.5L22.995 9z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M18 27H3.306v-.5c0-4.428 3.606-6.375 7.094-8.257 3.15-1.701 6.127-3.307 6.127-6.62 0-2.722-2.238-4.677-5.443-4.677-6.701 0-6.778 5.805-6.778 6.054h-1c0-.07.089-7 7.778-7 4.427 0 6.443 2.915 6.443 5.622 0 3.91-3.381 5.735-6.652 7.5-3.228 1.743-6.284 3.393-6.55 6.878H18zm10.623-14l-3.108 3.678L22.407 13h-1.346l3.78 4.475L21.019 22h1.346l3.151-3.729L28.665 22H30v-.015l-3.812-4.51L29.97 13z"
  }));
};

var _default = TwoXIcon;
exports["default"] = _default;