"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UngroupItemsIcon = function UngroupItemsIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 0v1H3V0H0v3h1v5H0v3h3v-1h2V9H3V8H2V3h1V2h5v1h1v2h1V3h1V0zM2 10H1V9h1zm0-8H1V1h1zm8 0H9V1h1zm6 6V5h-3v1H8V5H5v3h1v5H5v3h3v-1h5v1h3v-3h-1V8zM6 6h1v1H6zm1 9H6v-1h1zm6-1H8v-1H7V8h1V7h5v1h1v5h-1zm2 1h-1v-1h1zm-1-8V6h1v1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 2v1H5V2H2v3h1v7H2v3h3v-1h4v-1H5v-1H4V5h1V4h7v1h1v4h1V5h1V2zM4 14H3v-1h1zM4 4H3V3h1zm10 0h-1V3h1zm8 8V9h-3v1h-7V9H9v3h1v7H9v3h3v-1h7v1h3v-3h-1v-7zm-12-2h1v1h-1zm1 11h-1v-1h1zm8-1h-7v-1h-1v-7h1v-1h7v1h1v7h-1zm2 1h-1v-1h1zm-1-10v-1h1v1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M11 19H6v-1H5V6h1V5h12v1h1v5h1V6h1V3h-3v1H6V3H3v3h1v12H3v3h3v-1h5zm8-15h1v1h-1zM4 4h1v1H4zm1 16H4v-1h1zm24-6v-3h-3v1H14v-1h-3v3h1v12h-1v3h3v-1h12v1h3v-3h-1V14zm-17-2h1v1h-1zm1 16h-1v-1h1zm13-1H14v-1h-1V14h1v-1h12v1h1v12h-1zm2 1h-1v-1h1zm-1-15v-1h1v1z"
  }));
};

var _default = UngroupItemsIcon;
exports["default"] = _default;