"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UnpinIcon = function UnpinIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 8.804V10H9.828l1-1H13v-.196a.497.497 0 0 0-.319-.466l-.857-.333.772-.773.448.174A1.5 1.5 0 0 1 14 8.804zM8 15l.5 1 .5-1v-4.172l-1 1zm7.925-13.218L1.782 15.925l-.707-.707L6.293 10H3V8.804a1.5 1.5 0 0 1 .956-1.398L5 7l1.037-4-1.77-1.744A.511.511 0 0 1 4 .808V0h9v.808a.511.511 0 0 1-.266.448L10.963 3l.48 1.85 3.775-3.775zM6.447 2h4.106l1.015-1H5.432zm-.414 5h3.26l1.33-1.33L9.93 3H7.07zm1.26 2l1-1H5.188l-.87.338A.497.497 0 0 0 4 8.804V9z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20 14.274V15h-7v7l-.5 1-.5-1v-6.172L13.828 14h5.163c-.051-.65-.332-.856-1.333-1.515L16.93 12h-1.1l1.16-1.161.927.618c1.302.868 2.084 1.252 2.084 2.817zm2.4-10.966L3.307 22.399l-.707-.707L9.293 15H5v-.726c0-1.565.782-1.95 2.084-2.817l1.147-.765L10 4l-1.522-.43A2.029 2.029 0 0 1 7 1.619V1h11v.618a2.029 2.029 0 0 1-1.478 1.953L15 4l1.107 4.186L21.692 2.6zM10.137 3h4.724l1.388-.392A1.033 1.033 0 0 0 16.926 2H8.074a1.033 1.033 0 0 0 .676.608zm-.954 8h4.109l1.995-1.995L13.966 4h-2.931zm1.109 3l2-2H8.07l-.73.485c-1 .659-1.28.866-1.332 1.515z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M26 20.154V21h-9v9.09l-.5 1-.5-1v-8.262L17.828 20h7.168a2.752 2.752 0 0 0-1.527-2.324L22.116 17h-1.288l1.175-1.175 1.913.956A3.77 3.77 0 0 1 26 20.154zM5.48 30.227l-.354-.354-.354-.353 8.52-8.52H7v-.847a3.77 3.77 0 0 1 2.084-3.371l2.151-1.076 1.647-8.47-2.842-1.551A1.995 1.995 0 0 1 9 3.933V3h15v.933a1.995 1.995 0 0 1-1.04 1.752l-2.842 1.55 1.13 5.81 8.273-8.273.353.354.354.353zm5.039-25.421L12.706 6h7.588l2.187-1.193A.994.994 0 0 0 22.998 4H10.002a.994.994 0 0 0 .517.807zM12.197 16h6.096l2.101-2.102L19.054 7h-5.107zm2.096 4l3-3h-6.41l-1.352.676A2.752 2.752 0 0 0 8.004 20z"
  }));
};

var _default = UnpinIcon;
exports["default"] = _default;