"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserDownIcon = function UserDownIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 6.765a2.8 2.8 0 1 0-2.8-2.8 2.803 2.803 0 0 0 2.8 2.8zm0-4.667a1.867 1.867 0 1 1-1.867 1.867A1.869 1.869 0 0 1 8 2.098zm7.354 10.256L12.5 15.207l-2.854-2.853.707-.707L12 13.293V6h1v7.293l1.646-1.646zM9.079 14l1 1H3v-3.5A3.504 3.504 0 0 1 6.5 8h3a3.46 3.46 0 0 1 1.5.351V9H6.5A2.502 2.502 0 0 0 4 11.5V14z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 1.165a4.8 4.8 0 1 0 4.8 4.8 4.805 4.805 0 0 0-4.8-4.8zm0 8.6a3.8 3.8 0 1 1 3.8-3.8 3.804 3.804 0 0 1-3.8 3.8zm11.354 9.589L19.5 23.207l-3.854-3.854.707-.707L19 21.293V10h1v11.293l2.646-2.646zM15.064 22H4v-4.5A5.507 5.507 0 0 1 9.5 12h5a5.458 5.458 0 0 1 2.5.607V13H9.5A4.505 4.505 0 0 0 5 17.5V21h9.065z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 13.765a5.8 5.8 0 1 1 5.8-5.8 5.806 5.806 0 0 1-5.8 5.8zm0-10.6a4.8 4.8 0 1 0 4.8 4.8 4.805 4.805 0 0 0-4.8-4.8zm12.646 21.481L25 28.293V15h-1v13.293l-3.646-3.646-.707.707 4.853 4.853 4.854-4.854zM19 28H7v-6.5a5.507 5.507 0 0 1 5.5-5.5H22v-.499A6.462 6.462 0 0 0 19.5 15h-7a6.499 6.499 0 0 0-6.49 6.5L6 29h14z"
  }));
};

var _default = UserDownIcon;
exports["default"] = _default;