"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserXIcon = function UserXIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.093 15H3v-3.5A3.504 3.504 0 0 1 6.5 8h3a3.46 3.46 0 0 1 .858.119 1.999 1.999 0 0 0-.993.538L9.022 9H6.5A2.503 2.503 0 0 0 4 11.5V14h4.5a1.977 1.977 0 0 0-.407 1zM10.8 4A2.8 2.8 0 1 0 8 6.8 2.803 2.803 0 0 0 10.8 4zm-.933 0A1.867 1.867 0 1 1 8 2.133 1.869 1.869 0 0 1 9.867 4zm6.061 6.879l-.707-.707L13 12.292l-2.221-2.22-.707.707L12.292 13l-2.22 2.221.707.707L13 13.708l2.221 2.22.707-.707L13.708 13z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 1.2A4.8 4.8 0 1 0 16.8 6 4.805 4.805 0 0 0 12 1.2zm0 8.6A3.8 3.8 0 1 1 15.8 6 3.804 3.804 0 0 1 12 9.8zM11.996 22H4v-4.5A5.507 5.507 0 0 1 9.5 12h5a5.499 5.499 0 0 1 4.562 2.43c-.05.041-.102.075-.147.12l-.597.597A4.488 4.488 0 0 0 14.5 13h-5A4.505 4.505 0 0 0 5 17.5V21h7.48a1.984 1.984 0 0 0-.484 1zm1.968.328l2.83-2.829-2.829-2.828.707-.707 2.828 2.829 2.828-2.829.707.708-2.828 2.828 2.829 2.828-.707.707-2.828-2.829-2.83 2.83z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 13.8A5.8 5.8 0 1 1 21.8 8a5.806 5.806 0 0 1-5.8 5.8zm0-10.6A4.8 4.8 0 1 0 20.8 8 4.805 4.805 0 0 0 16 3.2zM7 28v-6.5a5.507 5.507 0 0 1 5.5-5.5h7a5.488 5.488 0 0 1 5.263 3.995l.79-.79A6.488 6.488 0 0 0 19.5 15h-7a6.499 6.499 0 0 0-6.49 6.5L6 29h12a1.992 1.992 0 0 1-.255-1zm13.664 1.043l3.837-3.837 3.835 3.836.707-.706-3.836-3.836 3.836-3.836-.707-.707-3.836 3.836-3.836-3.836-.706.707 3.836 3.835-3.837 3.837z"
  }));
};

var _default = UserXIcon;
exports["default"] = _default;