"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var VertexGpsIcon = function VertexGpsIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 5V3h6V2H6V0H1v5h.889L0 10.731.807 11l1.978-6zM2 4V1h3v3zm8.5 5a1.5 1.5 0 1 0 1.5 1.5A1.5 1.5 0 0 0 10.5 9zm0 2a.5.5 0 1 1 .5-.5.501.501 0 0 1-.5.5zm5.5-1h-2.05A3.488 3.488 0 0 0 11 7.05V5h-1v2.05A3.488 3.488 0 0 0 7.05 10H5v1h2.05A3.488 3.488 0 0 0 10 13.95V16h1v-2.05A3.488 3.488 0 0 0 13.95 11H16zm-5.5 3a2.5 2.5 0 1 1 2.5-2.5 2.502 2.502 0 0 1-2.5 2.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M24 16h-2.25A5.265 5.265 0 0 0 17 11.25V9h-1v2.25A5.265 5.265 0 0 0 11.25 16H9v1h2.25A5.265 5.265 0 0 0 16 21.75V24h1v-2.25A5.265 5.265 0 0 0 21.75 17H24zm-7.5 4.8a4.3 4.3 0 1 1 4.3-4.3 4.304 4.304 0 0 1-4.3 4.3zM9 4h9V3H9V1H4v5h1.48L1.52 17.679l.948.321L6.537 6H9zM5 5V2h3v3zm11.5 9a2.5 2.5 0 1 0 2.5 2.5 2.5 2.5 0 0 0-2.5-2.5zm0 4a1.5 1.5 0 1 1 1.5-1.5 1.502 1.502 0 0 1-1.5 1.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M31 21h-3.225A6.294 6.294 0 0 0 22 15.225V12h-1v3.225A6.294 6.294 0 0 0 15.225 21H12v1h3.225A6.294 6.294 0 0 0 21 27.775V31h1v-3.225A6.294 6.294 0 0 0 27.775 22H31zm-9.5 5.8a5.3 5.3 0 1 1 5.3-5.3 5.306 5.306 0 0 1-5.3 5.3zm0-8.8a3.5 3.5 0 1 0 3.5 3.5 3.5 3.5 0 0 0-3.5-3.5zm0 6a2.5 2.5 0 1 1 2.5-2.5 2.5 2.5 0 0 1-2.5 2.5zM12 9V6h16V5H12V2H5v7h1.977L2 23.679l.947.321L8.033 9zM6 8V3h5v5z"
  }));
};

var _default = VertexGpsIcon;
exports["default"] = _default;