"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var BrowserMapIcon = function BrowserMapIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M0 1v14h16V1zm1 13V5h3v9zm4 0V5h6.958a1.18 1.18 0 0 0-.053.613 3.213 3.213 0 0 1 .067.414 1.987 1.987 0 0 0-.649.67 1.462 1.462 0 0 0-.674-.166 1.447 1.447 0 0 0-1.383 1.086 1.443 1.443 0 0 0-1.086-.469 1.62 1.62 0 0 0-1.591 1.643c0 .254.113.293.084.574s-.29.535-.29 1.022a1.371 1.371 0 0 0 .984 1.29 1.583 1.583 0 0 0-.003 1.549c.143.286.636.774.534.774zm10 0h-2.918c-.005-.037-.113-.274-.122-.309a1.498 1.498 0 0 0 .718-1.267 1.24 1.24 0 0 0-.053-.358 1.594 1.594 0 0 0 .326-.607c.03.002.062.003.093.003a1.415 1.415 0 0 0 .836-.266 1.517 1.517 0 0 0 .126.124 2.758 2.758 0 0 0 .994.58zm0-3.187a2.377 2.377 0 0 1-.336-.246c-.264-.23-.258-.782-.617-.782-.482 0-.52.677-1.003.677-.219 0-.38-.177-.599-.177-.193 0-.445.102-.445.293v.502c0 .424-.506.508-.506.934 0 .171.184.236.184.41 0 .58-.893.502-.893 1.08 0 .191.215.305.215.486V14H9.375a1.545 1.545 0 0 0 .09-.502c0-.547-1.043-.393-1.207-.72-.407-.813.693-1.022.693-1.673 0-.16-.082-.488-.334-.513-.351-.035-.443.154-.797.154a.406.406 0 0 1-.437-.36c0-.386.308-.566.308-.952 0-.25-.102-.393-.102-.643a.619.619 0 0 1 .59-.643c.323 0 .464.264.618.54a.642.642 0 0 0 .617.308c.49 0 .798-.61.798-.977a.471.471 0 0 1 .437-.488c.347 0 .476.36.824.36.57 0 .55-.756 1.053-1.03.618-.332.438-1.052.36-1.44-.023-.12.135-.319.29-.421H15zM15 4h-1V3h-1v1H1V2h14z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21 6h-1V5h1zm2-3v18H1V3zM6 20V8H2v12zm5.677 0l.029-.09.046-.13a1.807 1.807 0 0 0 .122-.62c-.056-.087-.397-.166-.58-.208a1.413 1.413 0 0 1-1.046-.585 1.52 1.52 0 0 1 .505-1.928c.253-.253.408-.42.408-.596a.496.496 0 0 0-.081-.267h-.007a.808.808 0 0 0-.323.084 1.788 1.788 0 0 1-.695.146 1.02 1.02 0 0 1-1.068-.96 1.754 1.754 0 0 1 .27-.881.9.9 0 0 0 .158-.44 1.234 1.234 0 0 0-.056-.328 2.126 2.126 0 0 1-.086-.563 1.32 1.32 0 0 1 1.28-1.352 1.45 1.45 0 0 1 1.246.959c.051.092.119.216.466.216.365 0 .643-.594.643-.892a1.106 1.106 0 0 1 1.068-1.139 1.35 1.35 0 0 1 .849.342c.147.111.215.156.293.156.146 0 .215-.071.429-.451a2.138 2.138 0 0 1 .812-.92c.433-.233.433-.68.281-1.421A.934.934 0 0 1 16.63 8H7v12zM22 16.588a2.857 2.857 0 0 1-1.377-.775 1.816 1.816 0 0 1-.437-.689 1.303 1.303 0 0 0-.153-.296.71.71 0 0 0-.37.202 1.467 1.467 0 0 1-.981.382 1.384 1.384 0 0 1-.608-.165.46.46 0 0 0-.377-.049v.61a1.34 1.34 0 0 1-.484.97c-.17.172-.217.231-.217.324.001-.048.064.024.108.074a1.068 1.068 0 0 1 .332.679c0 .754-.714.951-1.098 1.057a1.41 1.41 0 0 0-.422.158c.02-.014.07.067.108.117a1.084 1.084 0 0 1 .287.654.697.697 0 0 1-.02.159H22zM22 8h-4.444a1.974 1.974 0 0 1-.758 2.367 1.372 1.372 0 0 0-.446.56 1.408 1.408 0 0 1-1.234.921 1.356 1.356 0 0 1-.85-.342c-.146-.11-.214-.156-.292-.156-.07 0-.144.11-.144.215 0 .74-.611 1.816-1.568 1.816a1.33 1.33 0 0 1-1.26-.666c-.223-.4-.306-.51-.45-.51a.4.4 0 0 0-.357.43 1.236 1.236 0 0 0 .056.328 2.126 2.126 0 0 1 .086.562 1.755 1.755 0 0 1-.27.882.9.9 0 0 0-.158.44.258.258 0 0 0 .144.035.878.878 0 0 0 .36-.083 1.502 1.502 0 0 1 .79-.128 1.107 1.107 0 0 1 .88 1.172 1.78 1.78 0 0 1-.68 1.25c-.411.411-.49.54-.33.86.03.005.27.062.429.099.484.113 1.294.302 1.294 1.107a2.58 2.58 0 0 1-.15.841h2.663c.022-.051.046-.106.06-.143a3.316 3.316 0 0 0-.08-.107 1.122 1.122 0 0 1-.294-.675c0-.752.686-.941 1.096-1.054a1.71 1.71 0 0 0 .41-.147c-.022-.004-.068-.059-.102-.097a1.06 1.06 0 0 1-.33-.675 1.345 1.345 0 0 1 .486-.975c.17-.17.216-.23.216-.32v-.695a.987.987 0 0 1 1.08-.868 1.405 1.405 0 0 1 .61.165.711.711 0 0 0 .219.08.578.578 0 0 0 .41-.186 1.464 1.464 0 0 1 .98-.383c.602 0 .828.526.963.839a1.218 1.218 0 0 0 .197.36 2.846 2.846 0 0 0 .768.532zm0-4H2v3h20z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M2 5v23h28V5zm1 22V11h4v16zm5 0V11h11.508a1.21 1.21 0 0 0-.09.698l.021.102c.19.923.14 1.28-.205 1.465a3.306 3.306 0 0 0-1.131 1.437 1.971 1.971 0 0 1-.279.423c-.03-.016-.13-.093-.196-.143a2.03 2.03 0 0 0-1.236-.661 1.672 1.672 0 0 0-1.625 1.713c0 .3-.298.828-.515.828-.262 0-.295-.058-.312-.09a2.107 2.107 0 0 0-1.828-1.381 1.941 1.941 0 0 0-1.891 1.982 2.901 2.901 0 0 0 .116.775 1.293 1.293 0 0 1 .061.339.896.896 0 0 1-.161.41 2.473 2.473 0 0 0-.373 1.24 1.563 1.563 0 0 0 1.625 1.49 2.465 2.465 0 0 0 .974-.204 4.9 4.9 0 0 1 .12-.045v.006c0 .116-.236.35-.425.54-.48.48-1.548 1.284-.86 2.658a2.45 2.45 0 0 0 1.672.968 5.06 5.06 0 0 1 .496.135 2.246 2.246 0 0 1-.128.527l-.058.163a6.048 6.048 0 0 0-.197.625zm21 0h-9.449c.185-.882-.202-1.16-.325-1.214a1.242 1.242 0 0 0 .007-.128c.405-.288 1.569-.653 1.569-1.905a1.35 1.35 0 0 0-.268-.793c.04-.046.096-.102.138-.144a1.97 1.97 0 0 0 .697-1.432v-.566a1.303 1.303 0 0 1 .131.045 2.248 2.248 0 0 0 .838.186 1.935 1.935 0 0 0 1.592-1.02l.104-.147a2.62 2.62 0 0 0 .582.805 2.366 2.366 0 0 0 1.674.545l1.6-.007a2.616 2.616 0 0 0 .903-.248l.207-.08zm0-7.102a1.009 1.009 0 0 0-.352.063l-.218.084a3.176 3.176 0 0 1-.54.18l-1.6.007a1.397 1.397 0 0 1-1.014-.296 1.728 1.728 0 0 1-.355-.515.998.998 0 0 0-.818-.53.85.85 0 0 0-.07-.003 1.013 1.013 0 0 0-.816.419l-.106.148c-.289.41-.468.594-.773.594a1.314 1.314 0 0 1-.47-.116 2.42 2.42 0 0 0-.237-.08 1 1 0 0 0-1.262.965v.566a1.021 1.021 0 0 1-.413.733c-.05.051-.116.118-.165.172a1 1 0 0 0-.071 1.252.352.352 0 0 1 .082.212c0 .368-.23.562-.718.836a12.11 12.11 0 0 0-.427.25 1.02 1.02 0 0 0-.425.83 1.002 1.002 0 0 0 .378.905 2.536 2.536 0 0 1-.085.426H14.13c.032-.097.06-.198.094-.291l.06-.169a3.231 3.231 0 0 0 .179-.756 1 1 0 0 0-.653-1.039 6.17 6.17 0 0 0-.612-.168c-.844-.198-.985-.404-1.005-.443-.254-.506-.112-.753.506-1.341l.18-.174a1.806 1.806 0 0 0 .705-1.241 1 1 0 0 0-1.325-.946l-.16.06a1.487 1.487 0 0 1-.61.134.577.577 0 0 1-.624-.49 1.53 1.53 0 0 1 .248-.758 1.752 1.752 0 0 0 .286-.892 2.245 2.245 0 0 0-.094-.597 1.906 1.906 0 0 1-.083-.516.941.941 0 0 1 .891-.982c.398 0 .596.227.943.845a1.232 1.232 0 0 0 1.197.625c.911 0 1.516-1.1 1.516-1.827a.674.674 0 0 1 .625-.713c.098 0 .277.157.407.27.083.073.158.138.253.21a3.494 3.494 0 0 0 .29.2.997.997 0 0 0 1.037-.045 2.014 2.014 0 0 0 .594-.764l.116-.214a2.143 2.143 0 0 1 .618-.832c1.111-.6.85-1.866.712-2.542l-.02-.098a.522.522 0 0 1 .162-.344A1.281 1.281 0 0 1 20.73 11H29zM29 10H3V6h26zm-2-2h-1V7h1z"
  }));
};

var _default = BrowserMapIcon;
exports["default"] = _default;