"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ClassifyPixelsIcon = function ClassifyPixelsIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.767 1H1v14h14V1zM2 2h6.59a3.957 3.957 0 0 0-2.064 1.798 2.092 2.092 0 0 0 .687 2.389c.037.037.064.068.085.093a5.856 5.856 0 0 1-1.055.303 3.494 3.494 0 0 0-1.63.63 1.908 1.908 0 0 0-.58 1.31c-.045.444-.097.902-2.033 1.757zm1.065 12H2v-2.63c2.66-1.11 2.937-1.843 3.028-2.746a.93.93 0 0 1 .292-.704 3.937 3.937 0 0 1 1.144-.362c.86-.194 1.672-.378 1.853-1.004A1.085 1.085 0 0 0 7.92 5.48c-.713-.713-.53-1.154-.47-1.3C7.948 2.978 11.023 2 12.767 2H14v1.62c-1.378.09-3.305.552-4.071 1.616a1.733 1.733 0 0 0-.237 1.622 2.837 2.837 0 0 1 .147 2.196c-.206.326-.658.516-1.467.616a4.226 4.226 0 0 0-3.51 2.34A6.504 6.504 0 0 1 3.065 14zm1.544 0A9.198 9.198 0 0 0 5.7 12.557a3.292 3.292 0 0 1 2.795-1.894 2.852 2.852 0 0 0 2.19-1.075c.433-.688.42-1.656-.043-3.046a.733.733 0 0 1 .097-.721c.48-.666 1.966-1.108 3.261-1.202v1.676c-1.881.423-1.96 2.094-1.999 3.35-.048 1.51-.138 2.301-1.543 2.393-1.804.118-2.934.766-3.455 1.962zM14 14H8.129a3.023 3.023 0 0 1 2.393-.964c2.377-.155 2.436-2.007 2.479-3.36.041-1.302.112-2.08.999-2.37z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7.45 4.18c-.06.146-.243.587.47 1.3a1.085 1.085 0 0 1 .397 1.074c-.181.626-.994.81-1.853 1.004a3.937 3.937 0 0 0-1.144.362.93.93 0 0 0-.292.704c-.09.903-.368 1.636-3.028 2.745V14h1.065a6.504 6.504 0 0 0 1.797-1.99 4.226 4.226 0 0 1 3.51-2.34c.809-.1 1.26-.29 1.467-.616a2.837 2.837 0 0 0-.147-2.196 1.733 1.733 0 0 1 .237-1.622C10.695 4.172 12.622 3.71 14 3.62V2h-1.233c-1.744 0-4.819.977-5.317 2.18z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 7.306c-.887.29-.958 1.068-.999 2.37-.043 1.353-.102 3.205-2.479 3.36A3.023 3.023 0 0 0 8.13 14H14z",
      opacity: ".75"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 4.619c-1.295.094-2.78.536-3.26 1.202a.733.733 0 0 0-.098.721c.462 1.39.476 2.358.043 3.046a2.852 2.852 0 0 1-2.19 1.075A3.292 3.292 0 0 0 5.7 12.557 9.198 9.198 0 0 1 4.61 14h2.393c.521-1.196 1.651-1.844 3.455-1.962 1.405-.092 1.495-.883 1.543-2.392.04-1.257.118-2.928 1.999-3.351z",
      opacity: ".5"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21 12.257c-1.87.487-1.812 1.78-1.737 3.381.068 1.492.153 3.349-2.225 3.644-2.683.333-3.125 1.119-3.295 1.718H21z",
      opacity: ".75"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21 8.853c-2.233-.476-3.917.348-5.581 1.317-1.638.955-1.183 1.737-.607 2.727.326.562.664 1.143.384 1.707-.228.459-.788.72-1.815.848-3.175.393-3.849 2.036-4.211 2.919a3.063 3.063 0 0 1-.233.488 8.424 8.424 0 0 0-.498.9A6.94 6.94 0 0 1 7.7 21h5.01l.014-.054c.26-1.066.82-2.239 4.19-2.656 1.398-.174 1.424-.969 1.349-2.606-.075-1.625-.168-3.82 2.736-4.448z",
      opacity: ".5"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21 3h-1.286a21.544 21.544 0 0 0-9.27 3.325l-.215.126c-.768.447-1.181.96-1.134 1.404.038.357.384.685.905.855a1.87 1.87 0 0 1 1.508 1.92 2.802 2.802 0 0 1-2.526 2.218C6.3 13.181 6.355 14.19 6.4 15.002a1.47 1.47 0 0 1-.141.935C5.472 17.117 4.326 17.385 3 17.69V21h2.961c.835-.213 1.169-.863 1.584-1.689a9.411 9.411 0 0 1 .56-1.006 2.101 2.101 0 0 0 .14-.314c.377-.918 1.258-3.066 5.013-3.532.915-.113 1.042-.3 1.043-.301a2.486 2.486 0 0 0-.354-.759c-.536-.921-1.532-2.636.968-4.093A8.461 8.461 0 0 1 21 7.85z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M19.696 2H2v20h20V2zm-4.675 1A29.014 29.014 0 0 0 9.94 5.461l-.214.125C8.186 6.483 8.047 7.46 8.1 7.96a2.11 2.11 0 0 0 1.588 1.7c.402.131.87.39.823.875a1.83 1.83 0 0 1-1.653 1.321c-3.611.447-3.506 2.308-3.457 3.202.008.131.018.311.025.324A3.463 3.463 0 0 1 3 16.664V3zM21 21h-7.257c.17-.6.612-1.385 3.295-1.718 2.378-.295 2.293-2.152 2.225-3.644-.075-1.6-.133-2.894 1.737-3.381zm0-9.764c-2.904.628-2.81 2.823-2.736 4.448.075 1.637.049 2.432-1.349 2.606-3.37.417-3.93 1.59-4.19 2.656L12.71 21H7.7a6.94 6.94 0 0 0 .737-1.24 8.424 8.424 0 0 1 .498-.9 3.063 3.063 0 0 0 .234-.49c.362-.882 1.036-2.525 4.21-2.918 1.028-.128 1.588-.389 1.816-.849.28-.564-.058-1.144-.385-1.706-.575-.99-1.03-1.773.608-2.727C17.083 9.2 18.767 8.377 21 8.853zm0-3.387a8.461 8.461 0 0 0-6.085 1.457c-2.5 1.457-1.504 3.172-.968 4.093a2.486 2.486 0 0 1 .354.759c-.001.002-.128.188-1.043.301-3.755.466-4.636 2.614-5.013 3.532a2.101 2.101 0 0 1-.14.314 9.411 9.411 0 0 0-.56 1.006c-.415.826-.75 1.476-1.584 1.689H3v-3.31c1.326-.305 2.472-.573 3.259-1.753a1.47 1.47 0 0 0 .141-.935c-.045-.812-.101-1.821 2.582-2.154a2.802 2.802 0 0 0 2.526-2.218A1.87 1.87 0 0 0 10 8.71c-.52-.17-.867-.498-.905-.855-.047-.445.366-.957 1.134-1.404l.215-.126A21.544 21.544 0 0 1 19.714 3H21z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28 11.73a12.106 12.106 0 0 0-8.638.998 2.573 2.573 0 0 0-1.37 1.498c-.192.86.486 1.836 1.082 2.697.602.868 1.17 1.687.835 2.436-.25.56-.901.876-2.111 1.026-4.268.529-5.178 2.746-5.667 3.937a3.696 3.696 0 0 1-.293.616A12.328 12.328 0 0 1 9.122 28h7.962c.024-.052.047-.089.074-.15.487-1.082 1.393-3.099 6.259-3.702 2.07-.256 2.062-1.57 1.874-3.87-.17-2.066-.37-4.609 2.709-5.168z",
    opacity: ".5"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28 4h-1.855c-5.415.386-9.874 2.994-12.273 4.396l-.282.166c-1.067.621-1.639 1.35-1.57 2a1.697 1.697 0 0 0 1.3 1.26 2.312 2.312 0 0 1 1.874 2.361 3.523 3.523 0 0 1-3.183 2.776c-3.679.456-3.6 1.867-3.536 3a1.794 1.794 0 0 1-.16 1.133C7.308 22.6 5.892 22.926 4.1 23.338l-.1.024V28h2.9c1.365-.339 2.71-1.52 4.106-3.617a2.894 2.894 0 0 0 .2-.44c.526-1.282 1.621-3.95 6.469-4.55 1.133-.141 1.3-.393 1.321-.442.106-.235-.385-.942-.743-1.458-.679-.979-1.524-2.197-1.238-3.484a3.448 3.448 0 0 1 1.843-2.145A13.066 13.066 0 0 1 28 10.72z",
    opacity: ".25"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28 16.124c-1.906.424-1.895 1.86-1.713 4.072.167 2.03.375 4.557-2.747 4.944-3.92.486-4.9 1.924-5.35 2.86H28z",
    opacity: ".75"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M26.127 3H3v26h26V3zm-5.138 1a36.236 36.236 0 0 0-7.62 3.533l-.283.164c-1.946 1.136-2.126 2.349-2.06 2.971a2.628 2.628 0 0 0 1.983 2.103c.476.156 1.265.534 1.19 1.316a2.532 2.532 0 0 1-2.311 1.88c-4.607.57-4.48 2.833-4.411 4.048a3.051 3.051 0 0 1 .005.523C6.717 21.685 5.627 21.96 4 22.335V4zM28 28h-9.81c.45-.936 1.43-2.374 5.35-2.86 3.122-.387 2.914-2.914 2.747-4.944-.182-2.211-.193-3.648 1.713-4.072zm0-12.89c-3.08.559-2.879 3.102-2.709 5.167.188 2.3.195 3.615-1.874 3.87-4.866.604-5.771 2.62-6.259 3.704-.027.06-.05.097-.074.149H9.122a12.328 12.328 0 0 0 2.716-3.062 3.696 3.696 0 0 0 .293-.616c.49-1.19 1.4-3.408 5.667-3.937 1.21-.15 1.861-.467 2.111-1.026.335-.75-.233-1.568-.835-2.436-.596-.861-1.274-1.837-1.083-2.697a2.573 2.573 0 0 1 1.371-1.497 12.106 12.106 0 0 1 8.638-1zm0-4.39a13.066 13.066 0 0 0-9.142 1.144 3.448 3.448 0 0 0-1.843 2.145c-.286 1.287.56 2.505 1.238 3.484.358.516.849 1.223.743 1.458-.021.049-.188.3-1.321.442-4.848.6-5.943 3.268-6.469 4.55a2.894 2.894 0 0 1-.2.44C9.609 26.48 8.265 27.661 6.9 28H4v-4.638l.1-.024c1.793-.412 3.209-.738 4.214-2.246a1.794 1.794 0 0 0 .16-1.133c-.063-1.133-.142-2.544 3.537-3a3.523 3.523 0 0 0 3.183-2.776 2.312 2.312 0 0 0-1.875-2.362 1.697 1.697 0 0 1-1.298-1.259c-.07-.65.502-1.379 1.569-2l.282-.166C16.271 6.994 20.73 4.386 26.145 4H28z"
  }));
};

var _default = ClassifyPixelsIcon;
exports["default"] = _default;