"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var MultipleVariablesIcon = function MultipleVariablesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 6.85A2.85 2.85 0 1 1 14.85 4 2.853 2.853 0 0 1 12 6.85zm0-4.81A1.96 1.96 0 1 0 13.96 4 1.962 1.962 0 0 0 12 2.04zM7.348 12H2.652L1 7.515 5 4l4 3.515zm-4-1h3.304l1.143-3.2L5 5.37 2.205 7.8zM12 9.118l-3 2.226L10.308 15h3.487L15 11.344z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M17.5 10.85a4.35 4.35 0 1 1 4.35-4.35 4.355 4.355 0 0 1-4.35 4.35zm0-7.743A3.393 3.393 0 1 0 20.893 6.5 3.396 3.396 0 0 0 17.5 3.107zM10.78 18H3.66L1 11.31 7 7l6 4.296zm-6.44-1h5.715l1.734-5.323L7 8.257l-4.75 3.405zm13.16-4L13 16.732 15 22h5l2-5.268z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M23 14.85A5.85 5.85 0 1 1 28.85 9 5.857 5.857 0 0 1 23 14.85zm0-10.8A4.95 4.95 0 1 0 27.95 9 4.956 4.956 0 0 0 23 4.05zm-8.738 19.94L4.623 24 2 15.106 9.5 10l7.5 5.11zM5.377 23h8.14l2.282-7.48L9.5 11.236l-6.309 4.286zM23.5 18.235L18 22.309 20.399 29h6.392L29 22.31z"
  }));
};

var _default = MultipleVariablesIcon;
exports["default"] = _default;