"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NoAttachmentIcon = function NoAttachmentIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.02 10.007l1.588-1.571.707.707-1.592 1.574a.75.75 0 1 0 1.06 1.06l1.574-1.591.707.706-1.57 1.588A1.735 1.735 0 0 1 5.25 13a1.75 1.75 0 0 1-1.23-2.993zm3.153 4.062a3 3 0 1 1-4.324-4.16l2.086-2.146-.707-.707-2.096 2.156a4 4 0 1 0 5.765 5.546l1.967-2.065-.707-.708zm8.18.577l-.706.707-14-14 .707-.707L5.97 5.264 10.278.833A2.75 2.75 0 0 1 15 2.75a2.732 2.732 0 0 1-.795 1.934L9.822 9.115l1.06 1.06 2.612-2.744.725.69-2.63 2.76zM6.679 5.971l.707.707L9.53 4.556l.703.71-2.141 2.119 1.023 1.023 4.38-4.428a1.75 1.75 0 1 0-2.5-2.45z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.732 14.732l2.586-2.586.707.708-2.586 2.585a1.5 1.5 0 0 0 2.117 2.126l2.606-2.575.706.707-2.61 2.58a2.5 2.5 0 0 1-3.526-3.545zm3.964 5.935a4.5 4.5 0 1 1-6.364-6.363l3.59-3.553-.706-.707-3.587 3.55a5.5 5.5 0 1 0 7.778 7.777l3.549-3.587-.708-.708zm11.658.98l-.707.706-20-20 .707-.707 6.639 6.64 6.192-6.127a4 4 0 1 1 5.63 5.683l-6.169 6.097 1.36 1.36 3.67-3.71.712.702-3.675 3.715zM9.7 8.992l1.386 1.386 3.646-3.647.707.707-3.646 3.647 2.146 2.146 6.172-6.1a3 3 0 1 0-4.223-4.263z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20.243 23.071l.708.708-4.219 4.095A7.5 7.5 0 0 1 6.167 17.227l4.09-4.142.707.707-4.086 4.137a6.5 6.5 0 0 0 9.156 9.228zM9 21.5a3.5 3.5 0 0 0 5.99 2.46l3.05-3.092-.707-.707-3.055 3.096a2.5 2.5 0 1 1-3.546-3.525l3.086-3.086-.707-.707-3.086 3.086A3.475 3.475 0 0 0 9 21.5zm21.354 8.146l-.707.707-28-28 .707-.707 9.66 9.66 7.597-7.695a5.5 5.5 0 0 1 7.801 7.754l-7.617 7.723 2.242 2.242 5.707-5.54.697.718-5.696 5.53zM12.72 12.013l2.159 2.159 5.57-5.57.706.707-5.57 5.57 3.503 3.502 6.737-6.83.862-.874a4.5 4.5 0 0 0-6.369-6.36l-7.598 7.696z"
  }));
};

var _default = NoAttachmentIcon;
exports["default"] = _default;