"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NotebookSnapshotIcon = function NotebookSnapshotIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 1H1v2H0V0h3zm13-1h-3v1h2v2h1zm0 13h-1v2h-2v1h3zM3 15H1v-2H0v3h3zm1-2v-1H3v-1h1v-.5h1V12h1V4H4V3h9v10zm3-1h5V4H7zM3 9v1h2V8.5H4V9zm2-2.5H4V7H3v1h2zm0-2H4V5H3v1h2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5 2H2v3H1V1h4zm14 0h3v3h1V1h-4zM2 19H1v4h4v-1H2zm20 3h-3v1h4v-4h-1zm-3-3H6v-2h1v1h1V6H7v1H6V5h13zM18 6H9v12h9zM7 8H6v1H5v1h2zm0 3H6v1H5v1h2zm0 3H6v1H5v1h2z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7 30H2v-5h1v4h4zM25 2v1h4v4h1V2zM3 3h4V2H2v5h1zm26 26h-4v1h5v-5h-1zM9 11H8v1H7v1h2zm-2 5h2v-2H8v1H7zm0 3h2v-2H8v1H7zm0 3h2v-2H8v1H7zM7 9h1V7h16v18H8v-2h1v1h1V8H9v2H7zm4 15h12V8H11z"
  }));
};

var _default = NotebookSnapshotIcon;
exports["default"] = _default;