"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NullIcon = function NullIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14.854 1.854l-.707-.707-2.44 2.439A4.348 4.348 0 0 0 8 1.2C5.264 1.2 3.2 4.123 3.2 8a9.325 9.325 0 0 0 .632 3.461l-2.686 2.685.707.707 2.44-2.439A4.348 4.348 0 0 0 8 14.8c2.736 0 4.8-2.923 4.8-6.8a9.325 9.325 0 0 0-.632-3.461zM4.2 8c0-3.307 1.634-5.8 3.8-5.8a3.465 3.465 0 0 1 2.977 2.116l-6.37 6.37A8.673 8.673 0 0 1 4.2 8zm7.6 0c0 3.307-1.634 5.8-3.8 5.8a3.465 3.465 0 0 1-2.977-2.116l6.37-6.37A8.673 8.673 0 0 1 11.8 8z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22.354 2.354l-.707-.707-3.436 3.435C16.743 2.595 14.505 1 12 1 7.589 1 4 5.935 4 12a14.024 14.024 0 0 0 1.3 5.993l-3.654 3.653.707.707 3.436-3.435C7.257 21.405 9.495 23 12 23c4.411 0 8-4.935 8-11a14.024 14.024 0 0 0-1.3-5.993zM5 12C5 6.486 8.14 2 12 2c2.222 0 4.202 1.492 5.486 3.807L6.05 17.242A13.23 13.23 0 0 1 5 12zm14 0c0 5.514-3.14 10-7 10-2.222 0-4.202-1.492-5.486-3.807L17.95 6.758A13.23 13.23 0 0 1 19 12z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30.354 2.354l-.707-.707-5.385 5.384A9.966 9.966 0 0 0 16 2.201C9.944 2.2 5.2 8.26 5.2 16a16.594 16.594 0 0 0 2.006 8.086l-5.56 5.56.707.707 5.385-5.384A9.966 9.966 0 0 0 16 29.799c6.056 0 10.8-6.06 10.8-13.799a16.594 16.594 0 0 0-2.006-8.086zM6.2 16c0-7.178 4.305-12.8 9.8-12.8a9.031 9.031 0 0 1 7.544 4.549L7.938 23.355A15.733 15.733 0 0 1 6.2 16zm19.6 0c0 7.178-4.305 12.8-9.8 12.8a9.031 9.031 0 0 1-7.544-4.549L24.062 8.645A15.733 15.733 0 0 1 25.8 16z"
  }));
};

var _default = NullIcon;
exports["default"] = _default;