"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberCircle3Icon = function NumberCircle3Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.2a7.3 7.3 0 1 0 7.3 7.3 7.3 7.3 0 0 0-7.3-7.3zm0 13.6a6.3 6.3 0 1 1 6.3-6.3 6.307 6.307 0 0 1-6.3 6.3zm0-2.8A2.24 2.24 0 0 1 6 10h1c0 .56.659 1 1.5 1 .813 0 1.5-.499 1.5-1.088C10 9.285 9.223 9 8.5 9V8c.813 0 1.5-.458 1.5-1s-.687-1-1.5-1S7 6.458 7 7H6a2.295 2.295 0 0 1 2.5-2A2.295 2.295 0 0 1 11 7a1.84 1.84 0 0 1-.797 1.463A1.714 1.714 0 0 1 11 9.912 2.325 2.325 0 0 1 8.5 12z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm0 19.6a9.3 9.3 0 1 1 9.3-9.3 9.31 9.31 0 0 1-9.3 9.3zm0-4.8a3.086 3.086 0 0 1-3.25-2.882h1A2.093 2.093 0 0 0 12.5 16a2.093 2.093 0 0 0 2.25-1.882c0-.997-.967-1.748-2.25-1.748v-1c1.283 0 2.25-.697 2.25-1.62A2.05 2.05 0 0 0 12.5 8a2.05 2.05 0 0 0-2.25 1.75h-1A3.035 3.035 0 0 1 12.5 7a3.035 3.035 0 0 1 3.25 2.75 2.458 2.458 0 0 1-1.313 2.131 2.598 2.598 0 0 1 1.313 2.237A3.086 3.086 0 0 1 12.5 17z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm0 25.6a12.3 12.3 0 1 1 12.3-12.3 12.314 12.314 0 0 1-12.3 12.3zm0-5.8a3.853 3.853 0 0 1-4-3.676h1a2.855 2.855 0 0 0 3 2.676 2.855 2.855 0 0 0 3-2.676 2.785 2.785 0 0 0-3-2.585v-1c1.49 0 3-.769 3-2.239a2.788 2.788 0 0 0-3-2.5 2.788 2.788 0 0 0-3 2.5h-1a3.78 3.78 0 0 1 4-3.5 3.78 3.78 0 0 1 4 3.5 3.065 3.065 0 0 1-1.857 2.78 3.483 3.483 0 0 1 1.857 3.044 3.853 3.853 0 0 1-4 3.676z"
  }));
};

var _default = NumberCircle3Icon;
exports["default"] = _default;