"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberCircle5Icon = function NumberCircle5Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.2a7.3 7.3 0 1 0 7.3 7.3 7.3 7.3 0 0 0-7.3-7.3zm0 13.6a6.3 6.3 0 1 1 6.3-6.3 6.307 6.307 0 0 1-6.3 6.3zM11 5H7v3.68a3.486 3.486 0 0 1 .73-.28 3.225 3.225 0 0 1 .82-.11 2.176 2.176 0 0 1 .63.09 1.496 1.496 0 0 1 .53.281 1.349 1.349 0 0 1 .365.487 1.67 1.67 0 0 1 .135.697 1.616 1.616 0 0 1-.115.622 1.451 1.451 0 0 1-.315.482 1.411 1.411 0 0 1-.47.31 1.512 1.512 0 0 1-.58.111 1.42 1.42 0 0 1-.845-.26 1.51 1.51 0 0 1-.535-.69l-.88.35a2.372 2.372 0 0 0 .86 1.03 2.467 2.467 0 0 0 1.4.38 2.68 2.68 0 0 0 .98-.175 2.351 2.351 0 0 0 .78-.49 2.264 2.264 0 0 0 .52-.765 2.567 2.567 0 0 0 .19-1.01 2.3 2.3 0 0 0-.18-.925 2.048 2.048 0 0 0-.495-.705 2.167 2.167 0 0 0-.75-.445 2.794 2.794 0 0 0-.945-.155 3.828 3.828 0 0 0-.465.03 1.414 1.414 0 0 0-.365.1L7.98 6H11z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm0 19.6a9.3 9.3 0 1 1 9.3-9.3 9.31 9.31 0 0 1-9.3 9.3zM16 8h-5v2.898a4.797 4.797 0 0 1 .753-.165 5.27 5.27 0 0 1 .742-.055 4.16 4.16 0 0 1 1.38.22 3.314 3.314 0 0 1 1.096.627 2.813 2.813 0 0 1 .72.971 2.978 2.978 0 0 1 .254 1.24 3.29 3.29 0 0 1-.255 1.301 3.008 3.008 0 0 1-.72 1.033 3.38 3.38 0 0 1-1.117.682A3.996 3.996 0 0 1 12.42 17a3.733 3.733 0 0 1-1.95-.475 3.274 3.274 0 0 1-1.23-1.288l.976-.4a2.228 2.228 0 0 0 .865.965 2.393 2.393 0 0 0 1.286.358 2.82 2.82 0 0 0 1.001-.173 2.352 2.352 0 0 0 .79-.483 2.226 2.226 0 0 0 .519-.74 2.402 2.402 0 0 0-.015-1.899 2.177 2.177 0 0 0-.557-.74 2.532 2.532 0 0 0-.835-.469 3.212 3.212 0 0 0-1.053-.166 4.537 4.537 0 0 0-1.136.145 5.692 5.692 0 0 0-1.075.393L10 7h6z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm0 25.6a12.3 12.3 0 1 1 12.3-12.3 12.314 12.314 0 0 1-12.3 12.3zm.026-5.8a4.694 4.694 0 0 1-4.466-2.3l.9-.4a3.775 3.775 0 0 0 3.566 1.774c.74 0 3.501-.548 3.501-3.23a3.222 3.222 0 0 0-3.378-3.288 7.301 7.301 0 0 0-2.897.592l-.732.355L13.019 10h6.975v.926H14v4.119a8.807 8.807 0 0 1 2.65-.415 4.187 4.187 0 0 1 4.377 4.214c0 3.14-3.032 4.156-4.5 4.156z"
  }));
};

var _default = NumberCircle5Icon;
exports["default"] = _default;