"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberCircle6Icon = function NumberCircle6Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 1.2a7.3 7.3 0 1 0 7.3 7.3 7.3 7.3 0 0 0-7.3-7.3zm0 13.6a6.3 6.3 0 1 1 6.3-6.3 6.307 6.307 0 0 1-6.3 6.3zm-.655-7.052l.01.02a1.303 1.303 0 0 1 .4-.136 2.553 2.553 0 0 1 .48-.048 2.341 2.341 0 0 1 .866.16 2.15 2.15 0 0 1 .704.443 2.028 2.028 0 0 1 .47.68 2.149 2.149 0 0 1 .17.857 2.27 2.27 0 0 1-.185.931 2.096 2.096 0 0 1-.515.718 2.341 2.341 0 0 1-.775.463 2.919 2.919 0 0 1-1.945-.005 2.348 2.348 0 0 1-.775-.467 2.134 2.134 0 0 1-.51-.714 2.176 2.176 0 0 1-.185-.897 2.59 2.59 0 0 1 .19-1.012 5.751 5.751 0 0 1 .5-.926L8.595 5h1.15zm-.8 2.02a1.542 1.542 0 0 0 .104.566 1.327 1.327 0 0 0 .298.46 1.473 1.473 0 0 0 1.058.425 1.557 1.557 0 0 0 .59-.106 1.323 1.323 0 0 0 .458-.306 1.37 1.37 0 0 0 .298-.464 1.593 1.593 0 0 0 .104-.585 1.528 1.528 0 0 0-.104-.57 1.401 1.401 0 0 0-.289-.455 1.244 1.244 0 0 0-.45-.3 1.603 1.603 0 0 0-.597-.107 1.642 1.642 0 0 0-.601.107 1.318 1.318 0 0 0-.765.755 1.555 1.555 0 0 0-.104.58z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 2.2a10.3 10.3 0 1 0 10.3 10.3A10.299 10.299 0 0 0 12.5 2.2zm0 19.6a9.3 9.3 0 1 1 9.3-9.3 9.31 9.31 0 0 1-9.3 9.3zm-1.22-10.544l.028.028a1.748 1.748 0 0 1 .63-.262 3.41 3.41 0 0 1 .784-.096 3.214 3.214 0 0 1 1.198.22 2.927 2.927 0 0 1 .959.613 2.795 2.795 0 0 1 .636.95 3.15 3.15 0 0 1 .232 1.22 3.203 3.203 0 0 1-.239 1.253 2.744 2.744 0 0 1-.671.964 3.174 3.174 0 0 1-1.023.627 3.762 3.762 0 0 1-2.575 0 3.174 3.174 0 0 1-1.023-.627 2.731 2.731 0 0 1-.671-.964 3.186 3.186 0 0 1-.239-1.254 3.652 3.652 0 0 1 .267-1.404 8.502 8.502 0 0 1 .63-1.24L12.905 7h1.161zm-.966 2.672a2.39 2.39 0 0 0 .161.89 2.06 2.06 0 0 0 .455.701 2.172 2.172 0 0 0 .7.469 2.42 2.42 0 0 0 1.792 0 2.172 2.172 0 0 0 .7-.469 2.074 2.074 0 0 0 .456-.702 2.409 2.409 0 0 0 .16-.889 2.45 2.45 0 0 0-.153-.874 2.033 2.033 0 0 0-.442-.703 1.987 1.987 0 0 0-.7-.461 2.627 2.627 0 0 0-1.834 0 1.974 1.974 0 0 0-.7.461 2.033 2.033 0 0 0-.44.703 2.45 2.45 0 0 0-.155.874z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 3.2a13.3 13.3 0 1 0 13.3 13.3A13.3 13.3 0 0 0 16.5 3.2zm0 25.6a12.3 12.3 0 1 1 12.3-12.3 12.314 12.314 0 0 1-12.3 12.3zm-2.08-12.982l.038.036a2.566 2.566 0 0 1 .978-.512 4.227 4.227 0 0 1 1.244-.189 4.38 4.38 0 0 1 1.597.288 3.82 3.82 0 0 1 1.282.808 3.723 3.723 0 0 1 .846 1.23 3.958 3.958 0 0 1 .304 1.57 4.02 4.02 0 0 1-.314 1.608 3.6 3.6 0 0 1-.883 1.248 4.045 4.045 0 0 1-1.35.808 5.23 5.23 0 0 1-3.419 0 3.947 3.947 0 0 1-1.34-.808 3.653 3.653 0 0 1-.874-1.248 4.02 4.02 0 0 1-.313-1.607 4.796 4.796 0 0 1 .313-1.733 9.372 9.372 0 0 1 .864-1.679L17.023 10h1.254zm-1.14 3.232a3.145 3.145 0 0 0 .237 1.23 2.935 2.935 0 0 0 1.654 1.625 3.637 3.637 0 0 0 2.564 0 2.935 2.935 0 0 0 1.653-1.626 3.145 3.145 0 0 0 .238-1.23 3.225 3.225 0 0 0-.228-1.212 2.939 2.939 0 0 0-.636-.978 2.882 2.882 0 0 0-.989-.646 3.409 3.409 0 0 0-1.282-.234 3.534 3.534 0 0 0-1.312.234 2.917 2.917 0 0 0-1.662 1.624 3.103 3.103 0 0 0-.237 1.213z"
  }));
};

var _default = NumberCircle6Icon;
exports["default"] = _default;