"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NumberIcon = function NumberIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1 5v1h2v5H1v1h4v-1H4V5zm13 7a1.001 1.001 0 0 0 1-1V6a1.001 1.001 0 0 0-1-1h-3v1h3v2h-3v1h3v2h-3v1zm-4 0H7a1.001 1.001 0 0 1-1-1V9a1.001 1.001 0 0 1 1-1h2V6H6V5h3a1.001 1.001 0 0 1 1 1v2a1 1 0 0 1-1 1H7v2h3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 7H3v1h2v9H3v1h5v-1H6zm7.75 0H10v1h3.75a.25.25 0 0 1 .25.25v3.5a.25.25 0 0 1-.25.25h-2.5A1.251 1.251 0 0 0 10 13.25v3.5A1.251 1.251 0 0 0 11.25 18H15v-1h-3.75a.25.25 0 0 1-.25-.25v-3.5a.25.25 0 0 1 .25-.25h2.5A1.251 1.251 0 0 0 15 11.75v-3.5A1.251 1.251 0 0 0 13.75 7zM22 8.25A1.251 1.251 0 0 0 20.75 7H17v1h3.75a.25.25 0 0 1 .25.25V12h-4v1h4v3.75a.25.25 0 0 1-.25.25H17v1h3.75A1.251 1.251 0 0 0 22 16.75z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M11 24H4v-1h3V11H4v-1h4v13h3zm3.5 0H20v-1h-5.5a.5.5 0 0 1-.5-.5v-5a.5.5 0 0 1 .5-.5h4a1.502 1.502 0 0 0 1.5-1.5v-4a1.502 1.502 0 0 0-1.5-1.5H13v1h5.5a.5.5 0 0 1 .5.5v4a.5.5 0 0 1-.5.5h-4a1.502 1.502 0 0 0-1.5 1.5v5a1.502 1.502 0 0 0 1.5 1.5zm13-14H22v1h5.5a.5.5 0 0 1 .5.5V16h-6v1h6v5.5a.5.5 0 0 1-.5.5H22v1h5.5a1.502 1.502 0 0 0 1.5-1.5v-11a1.502 1.502 0 0 0-1.5-1.5z"
  }));
};

var _default = NumberIcon;
exports["default"] = _default;