"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PartlyCloudyIcon = function PartlyCloudyIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.482 2.52L3.856.335l.96-.275.627 2.183a3.797 3.797 0 0 0-.961.275zM2.347 7.046a3.807 3.807 0 0 1-.09-.493l-2.196.63.275.96 2.196-.63a3.812 3.812 0 0 1-.185-.467zm.33-2.89a3.798 3.798 0 0 1 .272-.42l-1.79-.992-.484.875 1.802.999a3.813 3.813 0 0 1 .2-.461zm5.166-1.48a3.81 3.81 0 0 1 .413.285l.999-1.803L8.38.675l-.992 1.789a3.788 3.788 0 0 1 .455.213zM16 9.5a3.5 3.5 0 0 1-3.5 3.5h-9a2.492 2.492 0 0 1-.648-4.9c.065-.018.127-.042.194-.054a2.482 2.482 0 0 1 .394-.941 2.765 2.765 0 0 1 4.23-3.337 3.97 3.97 0 0 1 6.26 2.544A3.495 3.495 0 0 1 16 9.5zm-1 0a2.503 2.503 0 0 0-1.48-2.276l-.483-.218-.092-.522a2.989 2.989 0 0 0-5.857-.17l-.233.992-.987-.252A1.462 1.462 0 0 0 4.03 8.227l-.124.678-.678.124A1.498 1.498 0 0 0 3.5 12h9A2.503 2.503 0 0 0 15 9.5zM4.241 6.34a2.416 2.416 0 0 1 1.874-.255 3.997 3.997 0 0 1 .813-1.621c-.02-.012-.035-.027-.055-.038a1.799 1.799 0 0 0-2.447.701 1.781 1.781 0 0 0-.185 1.214z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.386 3.593L5.633.573l.97-.241.753 3.019zM3.472 9.129l-.121-.485-3.02.752.243.971 3.019-.753zM4.4 5.253L1.829 3.708l-.515.858L3.885 6.11zm6.347-.853l1.544-2.571-.857-.515L9.89 3.885zM23 13.187A4.813 4.813 0 0 1 18.187 18H5.438a3.438 3.438 0 0 1 0-6.875l.012.001a3.457 3.457 0 0 1 .275-.48 3.494 3.494 0 1 1 5.381-4.24A5.47 5.47 0 0 1 19.95 8.72 4.805 4.805 0 0 1 23 13.188zm-1 0a3.789 3.789 0 0 0-2.418-3.538l-.429-.17-.15-.436a4.494 4.494 0 0 0-8.629.426l-.232.99-.986-.25a2.41 2.41 0 0 0-.594-.084 2.443 2.443 0 0 0-2.206 1.42l-.268.581h-.715A2.437 2.437 0 0 0 5.437 17h12.75A3.817 3.817 0 0 0 22 13.187zM6.397 9.908a3.312 3.312 0 0 1 3.004-.667 5.465 5.465 0 0 1 .962-2.02 2.492 2.492 0 1 0-3.966 2.687z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M4.593 12.959c.05.162.124.31.184.466l-3.672 1.123-.292-.956 3.657-1.118c.037.162.074.324.123.485zM9.53 4.482L8.408.813l-.956.292L8.57 4.762c.155-.06.31-.12.471-.17.16-.048.326-.073.489-.11zm6.841-2.518l-.883-.47-1.799 3.383a6.613 6.613 0 0 1 .884.468zm-11.03 5.46L1.964 5.63l-.47.883 3.377 1.796c.067-.153.135-.305.213-.454a6.79 6.79 0 0 1 .257-.43zM31 18.5a6.5 6.5 0 0 1-6.5 6.5H7.672a4.614 4.614 0 0 1-4.608-3.727 4.532 4.532 0 0 1 4.208-5.261 4.524 4.524 0 0 1 .434-.876 5.29 5.29 0 1 1 7.765-6.954 7.485 7.485 0 0 1 11.222 4.205A6.497 6.497 0 0 1 31 18.5zm-1 0a5.511 5.511 0 0 0-3.645-5.171l-.478-.172-.143-.488a6.497 6.497 0 0 0-12.612.586l-.18.935-1.01-.145A3.172 3.172 0 0 0 11.5 14a3.497 3.497 0 0 0-3.285 2.344l-.223.633-.67.034a3.5 3.5 0 0 0-3.271 4.098A3.621 3.621 0 0 0 7.672 24H24.5a5.506 5.506 0 0 0 5.5-5.5zM6.873 12.262a4.303 4.303 0 0 0 1.428 2.1A4.438 4.438 0 0 1 11.5 13a4.46 4.46 0 0 1 .64.065 7.498 7.498 0 0 1 2.536-4.304 4.31 4.31 0 0 0-7.803 3.5z"
  }));
};

var _default = PartlyCloudyIcon;
exports["default"] = _default;