"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PencilMarkPlusIcon = function PencilMarkPlusIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2.477 13.208A2.506 2.506 0 0 1 1 10.9c0-1.527 1.185-2.586 2.33-3.61a6.754 6.754 0 0 0 2.122-2.602c.022-.061.04-.122.057-.18C6.973 3.953 8 3.005 8 2H7c0 .428-.54.981-1.424 1.399a1.667 1.667 0 0 0-.365-.762 2.011 2.011 0 0 0-1.899-.592C2.221 2.245 1 3.131 1 4.02c0 .452.296.99 1.707.99a8.151 8.151 0 0 0 1.559-.15 8.856 8.856 0 0 1-1.603 1.686C1.415 7.661 0 8.925 0 10.9a3.509 3.509 0 0 0 2.113 3.238 1.344 1.344 0 0 1 .054-.206zm.23-9.198a2.191 2.191 0 0 1-.677-.077 2.33 2.33 0 0 1 1.462-.904 1.051 1.051 0 0 1 .96.26.726.726 0 0 1 .163.464 7.14 7.14 0 0 1-1.908.257zm11.57-1.802a.965.965 0 0 0-1.384-.03L4.841 10.23l-1.756 4.097a.371.371 0 0 0 .488.487L7.67 13.06l6.607-6.609 1.445-1.443a.965.965 0 0 0-.03-1.385zM4.625 13.276l.554-1.294.74.74zm2.338-.924L5.55 10.937l6.007-6.008 1.414 1.415zm7.806-7.806l-1.09 1.09-1.414-1.414 1.09-1.09a.306.306 0 0 1 .433 0l.981.98a.306.306 0 0 1 0 .434zM14 13h2v1h-2v2h-1v-2h-2v-1h2v-2h1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.323 20.346l.19-.443A4.1 4.1 0 0 1 2 16.1c0-2.42 1.895-4.116 3.727-5.755a10.85 10.85 0 0 0 3.21-3.838 7.743 7.743 0 0 0 3.997-3.257l-.868-.5a6.659 6.659 0 0 1-2.948 2.604 2.49 2.49 0 0 0-.434-1.292A2.557 2.557 0 0 0 6.5 3C4.701 3 3 4.336 3 5.75a.996.996 0 0 0 .299.719A3.737 3.737 0 0 0 5.848 7H6a9.083 9.083 0 0 0 1.654-.147A13.98 13.98 0 0 1 5.06 9.6C3.156 11.303 1 13.233 1 16.1a5.075 5.075 0 0 0 3.224 4.77 1.356 1.356 0 0 1 .099-.524zM6 6h-.155C4.737 5.994 4.105 5.92 4 5.75 4 4.962 5.153 4 6.5 4a1.588 1.588 0 0 1 1.362.632 1.559 1.559 0 0 1 .246 1.09A7.794 7.794 0 0 1 6 6zm15.536-2.48a.965.965 0 0 0-1.385-.03L6.998 16.644 5.242 20.74a.371.371 0 0 0 .488.487l4.096-1.756L22.979 6.32a.965.965 0 0 0-.03-1.385zM6.78 19.688l.962-2.24 1.28 1.28zm3.015-1.6l-1.413-1.414L18.679 6.376l1.414 1.414zM21.952 5.932L20.8 7.083l-1.414-1.414L20.555 4.5a.42.42 0 0 1 .599.007l.804.838a.42.42 0 0 1-.006.587zM19 18h3v.999h-3V22h-1v-3.001h-3V18h3v-3h1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M7.024 26.765A5.599 5.599 0 0 1 3 21.298c0-3.484 2.526-5.857 4.97-8.15 1.722-1.618 3.365-3.16 3.861-4.97a10.027 10.027 0 0 0 5.09-3.908l-.842-.54a8.898 8.898 0 0 1-4.097 3.314 2.885 2.885 0 0 0-1.02-2.278 3.676 3.676 0 0 0-2.998-.693C5.695 4.487 4 6.224 4 7.5 4 8.184 4.485 9 6.8 9a15.472 15.472 0 0 0 3.834-.453 14.661 14.661 0 0 1-3.349 3.871C4.808 14.745 2 17.381 2 21.298a6.646 6.646 0 0 0 4.652 6.404 1.284 1.284 0 0 1 .048-.181zM6.8 8C5.557 8 5 7.749 5 7.5c0-.735 1.35-2.116 3.144-2.443a3.116 3.116 0 0 1 .56-.051 2.551 2.551 0 0 1 1.618.527 1.902 1.902 0 0 1 .66 1.537 3.11 3.11 0 0 1-.02.345A14.007 14.007 0 0 1 6.8 8zm20.79-1.416a1.203 1.203 0 0 0-1.727-.037L9.962 22.45l-2.343 5.465a.306.306 0 0 0 .403.402l5.465-2.342 14.1-14.102v-.002l1.802-1.797a1.203 1.203 0 0 0-.037-1.727zM9.222 26.714l1.402-3.274 1.871 1.87zm4.1-1.99l-2.111-2.111L24.504 9.32l2.111 2.111zm15.36-15.359l-1.36 1.36-2.11-2.112 1.358-1.359a.163.163 0 0 1 .121-.054.285.285 0 0 1 .193.092l1.76 1.761c.018.018.171.18.038.312zM25 24h4v.999h-4V29h-1v-4.001h-4V24h4v-4h1z"
  }));
};

var _default = PencilMarkPlusIcon;
exports["default"] = _default;