"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PercentIcon = function PercentIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.5 7A2.787 2.787 0 0 1 2 4a2.787 2.787 0 0 1 2.5-3A2.787 2.787 0 0 1 7 4c0 1.738-1.052 3-2.5 3zm0-5C3.673 2 3 2.897 3 4s.673 2 1.5 2C5.37 6 6 5.16 6 4c0-1.103-.673-2-1.5-2zm7 13A2.787 2.787 0 0 1 9 12a2.787 2.787 0 0 1 2.5-3 2.787 2.787 0 0 1 2.5 3c0 1.738-1.052 3-2.5 3zm0-5c-.827 0-1.5.897-1.5 2s.673 2 1.5 2c.87 0 1.5-.84 1.5-2 0-1.103-.673-2-1.5-2zm1.411-8.216l-.822-.568-9 13 .822.568z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.5 10A3.78 3.78 0 0 1 3 6a3.78 3.78 0 0 1 3.5-4A3.78 3.78 0 0 1 10 6a3.734 3.734 0 0 1-3.5 4zm0-7A2.787 2.787 0 0 0 4 6a2.787 2.787 0 0 0 2.5 3A2.754 2.754 0 0 0 9 6a2.787 2.787 0 0 0-2.5-3zm11 19a3.78 3.78 0 0 1-3.5-4 3.78 3.78 0 0 1 3.5-4 3.78 3.78 0 0 1 3.5 4 3.734 3.734 0 0 1-3.5 4zm0-7a2.787 2.787 0 0 0-2.5 3 2.787 2.787 0 0 0 2.5 3 2.754 2.754 0 0 0 2.5-3 2.787 2.787 0 0 0-2.5-3zm1.168-12.226l-.836-.548-12.5 19 .836.548z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M9 12a4.277 4.277 0 0 1-4-4.5A4.277 4.277 0 0 1 9 3a4.277 4.277 0 0 1 4 4.5A4.277 4.277 0 0 1 9 12zm0-8a3.283 3.283 0 0 0-3 3.5A3.283 3.283 0 0 0 9 11a3.283 3.283 0 0 0 3-3.5A3.283 3.283 0 0 0 9 4zm14 25a4.277 4.277 0 0 1-4-4.5 4.277 4.277 0 0 1 4-4.5 4.277 4.277 0 0 1 4 4.5 4.277 4.277 0 0 1-4 4.5zm0-8a3.283 3.283 0 0 0-3 3.5 3.283 3.283 0 0 0 3 3.5 3.283 3.283 0 0 0 3-3.5 3.283 3.283 0 0 0-3-3.5zm1.42-17.23l-.84-.54-16 25 .84.54z"
  }));
};

var _default = PercentIcon;
exports["default"] = _default;