"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ProcessingTemplatesIcon = function ProcessingTemplatesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M0 13h3v-3H0zm1-2h1v1H1zm12-9H4V1h9zm0 5H4V6h9zM0 3h3V0H0zm1-2h1v1H1zM0 8h3V5H0zm1-2h1v1H1zm3 5h2.086l-.153 1H4zm5.188-.734l-.118.747h1.202L10.1 12H8.896l-.523 4h-.824l.523-4H6.997l.173-.987h1.076l.15-.927c.168-1.203.708-2.058 2.036-2.058a1.377 1.377 0 0 1 .612.127l-.22.739a1.516 1.516 0 0 0-.54-.106c-.855 0-.97.622-1.097 1.478zm4.766 3.05L15.638 16h-1.097l-1.28-2.153L11.408 16h-1.033l2.42-2.685-1.462-2.302h1.088l1.066 1.79 1.502-1.79H16z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20 4H7V3h13zm0 5H7v1h13zM2 8h4v4H2zm1 3h2V9H3zm-1 3h4v4H2zm1 3h2v-2H3zM2 2h4v4H2zm1 3h2V3H3zm4 11h3v-1H7zm6.833 0l.244-1.621c.189-1.283.362-2.216 1.645-2.216a2.273 2.273 0 0 1 .809.158l.331-1.108a2.066 2.066 0 0 0-.918-.19c-1.993 0-2.802 1.282-3.053 3.086L12.597 16h-1.614l-.143.935h1.613L11.671 23h1.236l.782-6.065h1.804l.144-.935zm9.686 0h-1.518l-1.833 2.206L18.846 16h-1.632l1.915 2.973L15.5 23h1.55l2.781-3.229L21.75 23h1.646l-2.526-4.027z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M27 6H10V5h17zm0 7H10v1h17zM3 3h5v5H3zm1 4h3V4H4zm-1 4h5v5H3zm1 4h3v-3H4zm-1 4h5v5H3zm1 4h3v-3H4zm6-1h5v-1h-5zm8.856 0l.2-1.411c.203-1.372.388-2.37 1.76-2.37a2.43 2.43 0 0 1 .865.17l.354-1.186a2.21 2.21 0 0 0-.981-.203c-2.132 0-2.997 1.371-3.266 3.3l-.254 1.7h-1.726l-.154 1h1.726l-.964 7h1.321l.964-7h1.93l.153-1zM29.8 22h-1.623l-2.41 2.873L24.059 22h-1.744l2.343 3.693L20.777 30h1.657l2.974-3.453L27.46 30h1.76l-2.701-4.307z"
  }));
};

var _default = ProcessingTemplatesIcon;
exports["default"] = _default;