"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var QuestionMarkIcon = function QuestionMarkIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 10H8a4.62 4.62 0 0 1 1.803-3.755c.672-.66 1.203-1.183 1.197-2.049A2.188 2.188 0 0 0 8.607 2a2.419 2.419 0 0 0-2.624 2.39h-1a3.19 3.19 0 0 1 1.163-2.557A3.88 3.88 0 0 1 8.606 1 3.173 3.173 0 0 1 12 4.193a3.732 3.732 0 0 1-1.496 2.765A3.636 3.636 0 0 0 9 10zm-1.5 3.5a1 1 0 1 0 1-1 1 1 0 0 0-1 1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.5 20.5a1 1 0 1 1-1 1 1 1 0 0 1 1-1zm3.04-8.309c1.166-1.266 2.372-2.576 2.372-4.851 0-3.903-3.655-5.358-5.96-5.358-2.323 0-6.01 1.543-6.01 5.686h1c0-3.825 3.71-4.686 5.01-4.686 1.38 0 4.96.783 4.96 4.358 0 1.885-.976 2.946-2.108 4.174-1.334 1.449-2.847 3.091-2.847 6.34h1c0-2.859 1.313-4.284 2.582-5.663z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16.5 27.5a1 1 0 1 1-1 1 1 1 0 0 1 1-1zm4.238-10.817c1.649-1.721 3.354-3.5 3.354-6.57 0-5.246-4.926-7.2-8.031-7.2-2.102 0-8.1 1.405-8.1 7.651h1c0-5.43 5.258-6.652 7.1-6.652 1.956 0 7.03 1.114 7.03 6.2 0 2.669-1.425 4.157-3.075 5.88-1.891 1.972-4.035 4.21-4.035 8.623h1c0-4.012 1.91-6.005 3.757-7.932z"
  }));
};

var _default = QuestionMarkIcon;
exports["default"] = _default;