"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RibbonIcon = function RibbonIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13 5a5 5 0 1 0-7.999 3.975V16h.804l2.194-2.136L10.195 16H11V8.975A4.98 4.98 0 0 0 13 5zM4 5a4 4 0 1 1 4 4 4.004 4.004 0 0 1-4-4zm5.999 9.414l-2-1.945-1.998 1.945V9.577a4.93 4.93 0 0 0 3.998 0zM7.999 8A3 3 0 1 0 5 5a3.004 3.004 0 0 0 2.999 3zM8 3a2 2 0 1 1-2 2 2.003 2.003 0 0 1 2-2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18.8 8A6.8 6.8 0 1 0 8 13.487v10.262l4-3.755 4 3.755V13.487A6.788 6.788 0 0 0 18.8 8zM15 21.438l-3-2.816-3 2.816v-7.345a6.72 6.72 0 0 0 6 0zM12 13.8A5.8 5.8 0 1 1 17.8 8a5.806 5.806 0 0 1-5.8 5.8zM12 4a4 4 0 1 0 4 4 4.004 4.004 0 0 0-4-4zm0 7a3 3 0 1 1 3-3 3.003 3.003 0 0 1-3 3z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 1.2a9.79 9.79 0 0 0-5 18.213v12.112l5-4.518 5 4.518V19.413A9.79 9.79 0 0 0 16 1.2zm4 28.074l-4-3.614-4 3.614v-9.337a9.705 9.705 0 0 0 8 0zM16 19.8a8.8 8.8 0 1 1 8.8-8.8 8.81 8.81 0 0 1-8.8 8.8zm0-14.6a5.8 5.8 0 1 0 5.8 5.8A5.807 5.807 0 0 0 16 5.2zm0 10.6a4.8 4.8 0 1 1 4.8-4.8 4.806 4.806 0 0 1-4.8 4.8z"
  }));
};

var _default = RibbonIcon;
exports["default"] = _default;