"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RightLeftIcon = function RightLeftIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.5.809L8.69 3.618l.708.707L11 2.723V5.25a4.233 4.233 0 0 1-.532 2.037l.734.733A5.24 5.24 0 0 0 12 5.25V2.723l1.602 1.602.707-.707zM5.494 9.975A2.53 2.53 0 0 0 3 12.505V14H2v-1.495a3.506 3.506 0 0 1 3.491-3.5l2.76-.003-1.605-1.604.707-.707 2.81 2.809-2.81 2.81-.706-.708 1.6-1.6z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9.5 14A4.52 4.52 0 0 0 5 18.513V21H4v-2.487A5.522 5.522 0 0 1 9.499 13h3.794l-1.646-1.646.707-.707 2.847 2.847-2.847 2.847-.707-.707L13.28 14zm10.847-9.36L17.5 1.793 14.653 4.64l.707.707L17 3.707v3.89a6.606 6.606 0 0 1-1.302 3.918l.712.712A7.605 7.605 0 0 0 18 7.597v-3.89l1.64 1.64z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24 3.707l2.646 2.646.707-.707L23.5 1.793l-3.854 3.853.707.707L23 3.707v5.09a9.006 9.006 0 0 1-3.167 6.855l.706.706A10.003 10.003 0 0 0 24 8.797zm-12.52 13.3l5.805-.015-2.639-2.638.707-.707 3.854 3.853-3.854 3.854-.707-.707 2.655-2.655-5.818-.016A6.537 6.537 0 0 0 5 24.506V28H4v-3.494a7.512 7.512 0 0 1 7.48-7.5z"
  }));
};

var _default = RightLeftIcon;
exports["default"] = _default;