"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RingsThresholdIcon = function RingsThresholdIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M5.172 5.172A4 4 0 1 0 8 4a3.987 3.987 0 0 0-2.828 1.172zm4.95 4.95A3 3 0 1 1 11 8a2.99 2.99 0 0 1-.879 2.121zM1.311 12a7.8 7.8 0 1 1 13.375 0H13.49a6.797 6.797 0 1 0-10.978 0zM16 13v3H0v-3h1v2h6v-2h1v2h7v-2z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 7.2a4.8 4.8 0 1 0 3.394 1.406A4.785 4.785 0 0 0 12 7.2zm0 8.6a3.804 3.804 0 1 1 2.686-1.114A3.788 3.788 0 0 1 12 15.8zM3.022 18a10.8 10.8 0 1 1 17.956 0h-1.24a9.795 9.795 0 1 0-15.476 0zM23 19v3H1v-3h1v2h9v-2h1v2h10v-2z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 22.797a6.797 6.797 0 1 1 4.809-1.988A6.782 6.782 0 0 1 16 22.797zm0-12.594a5.797 5.797 0 1 0 4.102 1.695A5.781 5.781 0 0 0 16 10.203zM6.903 25A12.798 12.798 0 0 1 25.051 6.95 12.794 12.794 0 0 1 25.097 25h1.348A13.794 13.794 0 0 0 6.242 6.242 13.776 13.776 0 0 0 5.555 25zM29 26v3H16v-3h-1v3H3v-3H2v4h28v-4z"
  }));
};

var _default = RingsThresholdIcon;
exports["default"] = _default;