"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RingsXBarIcon = function RingsXBarIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.5 14.828a1.74 1.74 0 0 0-.43.968c-.023 0-.046.004-.07.004a7.8 7.8 0 1 1 7.762-8.55h-1.006A6.799 6.799 0 1 0 8 14.8c.186 0 .369-.013.55-.028zM8 4a4 4 0 0 0 0 8 3.956 3.956 0 0 0 1.212-.207 1.88 1.88 0 0 1-.135-.312 1.768 1.768 0 0 1-.535-.536 2.998 2.998 0 1 1 2.352-3.695h1.03A3.997 3.997 0 0 0 8 4zm2 5v1h6V9zm4.414 2.013l-1.502 1.79-1.066-1.79h-1.088l1.461 2.302L9.8 16h1.033l1.854-2.153L13.967 16h1.097l-1.684-2.685 2.046-2.302z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13.125 22.425v.316A10.925 10.925 0 0 1 12 22.8 10.8 10.8 0 1 1 22.75 11h-1a9.868 9.868 0 1 0-8.488 10.71 1.997 1.997 0 0 0-.137.715zM12 7.2a4.8 4.8 0 0 0 0 9.6v-.114a2.668 2.668 0 0 1 .183-.905c-.062.003-.12.019-.183.019a3.8 3.8 0 1 1 3.65-4.8h1.042A4.8 4.8 0 0 0 12 7.2zm2 6.8h9v-1h-9zm5.101 4.938l2.774-3.488V15h-.844L18.5 18.182 15.969 15h-.844S14.018 16.16 14 16.685V17h1.125v-.315a2.117 2.117 0 0 1 .228-.947l2.546 3.2-2.774 3.487v.45h.844l2.531-3.182 2.531 3.182h.844s1.107-1.16 1.125-1.685V21h-1.125v.189a2.12 2.12 0 0 1-.229.948z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M17.636 29.29v.404A13.993 13.993 0 0 1 16 29.8 13.8 13.8 0 0 1 6.242 6.242 13.786 13.786 0 0 1 29.752 15h-1A12.793 12.793 0 0 0 6.948 6.95 12.8 12.8 0 0 0 16 28.8a12.95 12.95 0 0 0 1.738-.13 1.998 1.998 0 0 0-.102.62zM11.19 11.191A6.797 6.797 0 0 0 16 22.797c.065 0 .129-.008.193-.01a1.978 1.978 0 0 1-.103-.605v-.394A5.802 5.802 0 1 1 21.702 15h1.013a6.786 6.786 0 0 0-11.524-3.809zM30 18v-1H18v1zm-1 9.584a2.37 2.37 0 0 1-.444 1.334l-3.497-4.458 3.85-4.76v-.587h-1.12l-3.557 4.371-3.437-4.368h-1.123c-.015.016-1.509 1.588-1.532 2.281l-.05.603h1.496v-.603a2.312 2.312 0 0 1 .402-1.333l3.497 4.458-3.8 4.759v.619h1.07l3.556-4.402 3.438 4.402h1.138c.155-.166 1.495-1.66 1.517-2.315l.05-.585H29z"
  }));
};

var _default = RingsXBarIcon;
exports["default"] = _default;