"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RoadSignIcon = function RoadSignIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 16a.997.997 0 0 0 .707-.293l7-7a1 1 0 0 0 0-1.414l-7-7a1 1 0 0 0-1.414 0l-7 7a1 1 0 0 0 0 1.414l7 7A.997.997 0 0 0 8 16zM8 .75L15.25 8 8 15.25.75 8zM8.419 8A1.42 1.42 0 0 0 7 9.419V11H6V9.419A2.421 2.421 0 0 1 8.419 7H9V5.55l2.05 1.95L9 9.45V8z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M.9 12a1.412 1.412 0 0 0 .41.991l9.699 9.698a1.401 1.401 0 0 0 1.982 0l9.698-9.698a1.403 1.403 0 0 0 0-1.983l-9.697-9.696a1.401 1.401 0 0 0-1.983-.002l-9.698 9.698A1.412 1.412 0 0 0 .9 12zm1.118-.286l9.698-9.696a.401.401 0 0 1 .567-.001l9.7 9.698a.403.403 0 0 1 0 .57l-9.699 9.697a.402.402 0 0 1-.568 0l-9.698-9.698a.403.403 0 0 1 0-.57zM10 16H9v-2.286A3.718 3.718 0 0 1 12.714 10h2.579l-1.647-1.646.707-.707 2.854 2.853-2.854 2.854-.707-.707L15.293 11h-2.58A2.717 2.717 0 0 0 10 13.714z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M17.08 2.347a1.525 1.525 0 0 0-2.158 0L2.347 14.922a1.525 1.525 0 0 0 0 2.157L14.92 29.653a1.525 1.525 0 0 0 2.157 0l12.575-12.575a1.525 1.525 0 0 0 0-2.157zM28.945 16.37L16.371 28.946a.526.526 0 0 1-.743 0L3.054 16.372a.526.526 0 0 1 0-.743L15.629 3.054a.526.526 0 0 1 .743 0l12.574 12.574a.526.526 0 0 1 0 .743zm-9.592-5.725l3.853 3.855-3.852 3.853-.707-.707L21.293 15h-5.119a3.194 3.194 0 0 0-3.194 3.194v3.763H12v-3.859a4.097 4.097 0 0 1 4.097-4.097h5.196l-2.647-2.647z"
  }));
};

var _default = RoadSignIcon;
exports["default"] = _default;