"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var RoundAboutRightIcon = function RoundAboutRightIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2.536 3.974l1.561 2.562-.853.52-.667-1.094a5.776 5.776 0 0 0 4.108 7.682l-.518.898a6.769 6.769 0 0 1-4.563-8.829l-1.11.677L0 5.536l.052-.032zM10.562 16l.48-.877-1.11-.606A6.772 6.772 0 0 0 14.628 6.5h-1.032a5.768 5.768 0 0 1-3.985 7.067l.633-1.16-.878-.478-1.437 2.633zM14 2h-1v1.408a6.77 6.77 0 0 0-9.37-.61l.511.884A5.77 5.77 0 0 1 12.19 4H11v1h3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20 7h-4V6h2.42a8.773 8.773 0 0 0-13.227.431l-.526-.91A9.762 9.762 0 0 1 19 5.155V3h1zM.136 9.671l.5.867L2.553 9.43a9.752 9.752 0 0 0 7.731 12.209l.536-.929A8.767 8.767 0 0 1 3.547 9.58l1.187 2.057.866-.5-2-3.465zM16.16 23.462l.5-.866-2.022-1.167A9.778 9.778 0 0 0 21.326 9h-1.064a8.761 8.761 0 0 1-5.827 11.45l1.127-1.952-.866-.5-2 3.464z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M17.563 28.294l2.5-4.33.865.5-1.654 2.864a11.757 11.757 0 0 0 7.398-16.33h1.109a12.786 12.786 0 0 1-8.23 17.29l2.842 1.64-.5.866zM.107 14.206l.5.866 2.854-1.647a12.795 12.795 0 0 0 11.53 15.324l.56-.972a11.777 11.777 0 0 1-11.12-14.085l1.641 2.844.866-.5-2.5-4.33zM27 4h-1v4h-.024A12.768 12.768 0 0 0 5.24 9.094l.569.986A11.76 11.76 0 0 1 24.649 8H22v1h5z"
  }));
};

var _default = RoundAboutRightIcon;
exports["default"] = _default;