"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Satellite1Icon = function Satellite1Icon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8.136 4.429L4.5.793 2.793 2.5l3.636 3.636.5-.5.364.364-1.5 1.5L8.5 10.207l1.5-1.5.293.293-.5.5 3.778 3.778 1.707-1.707L11.5 7.793l-.5.5L10.707 8l1.5-1.5L9.5 3.793 8 5.293l-.364-.364zm5.728 7.142l-.293.293L11.207 9.5l.293-.293zM10.793 6.5L8.5 8.793 7.207 7.5 9.5 5.207zm-6.586-4l.293-.293 2.222 2.222-.293.293zM8 12a4.005 4.005 0 0 1-4-4h1a3.003 3.003 0 0 0 3 3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 15v1a7.008 7.008 0 0 1-7-7h1a6.007 6.007 0 0 0 6 6zm1.793-2.5l1-1-1.293-1.293-2 2L11.793 9.5l2-2L12.5 6.207l-1 1L6.793 2.5 9.5-.207 14.207 4.5l-1 1L14.5 6.793l2-2L19.207 7.5l-2 2 1.293 1.293 1-1 4.707 4.707-2.707 2.707zM11.5 5.793L12.793 4.5 9.5 1.207 8.207 2.5zm3 5L17.793 7.5 16.5 6.207 13.207 9.5zm5 .414L18.207 12.5l3.293 3.293 1.293-1.293z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M23.5 15.793L22.207 14.5l3-3L20.5 6.793l-3 3L16.207 8.5l1-1L10.5.793 7.793 3.5l6.707 6.707 1-1 1.293 1.293-3 3 4.707 4.707 3-3 1.293 1.293-1 1 6.707 6.707 2.707-2.707-6.707-6.707zM9.207 3.5L10.5 2.207 15.793 7.5 14.5 8.793zm6 10L20.5 8.207l3.293 3.293-5.293 5.293zM28.5 22.793L23.207 17.5l1.293-1.293 5.293 5.293zm-16.716-2.577A6.07 6.07 0 0 0 16.007 22l-.014 1A7.093 7.093 0 0 1 9 16.007l1-.014a6.07 6.07 0 0 0 1.784 4.223z"
  }));
};

var _default = Satellite1Icon;
exports["default"] = _default;