"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ScreenshotModeIcon = function ScreenshotModeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M2 6H1V3.5A2.5 2.5 0 0 1 3.5 1H6v1H3.5A1.5 1.5 0 0 0 2 3.5zm1.5 9A1.5 1.5 0 0 1 2 13.5V11H1v2.5A2.5 2.5 0 0 0 3.5 16H6v-1zM15 13.5a1.5 1.5 0 0 1-1.5 1.5H11v1h2.5a2.5 2.5 0 0 0 2.5-2.5V11h-1zM13.5 1H11v1h2.5A1.5 1.5 0 0 1 15 3.5V6h1V3.5A2.5 2.5 0 0 0 13.5 1zM9 5h3v3h1V4H9zM5 8V5h3V4H4v4zm7 1v3H9v1h4V9zm-4 3H5V9H4v4h4z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3 8H2V4.5A2.5 2.5 0 0 1 4.5 2H8v1H4.5A1.5 1.5 0 0 0 3 4.5zm1.5 14A1.5 1.5 0 0 1 3 20.5V17H2v3.5A2.5 2.5 0 0 0 4.5 23H8v-1zM22 20.5a1.5 1.5 0 0 1-1.5 1.5H17v1h3.5a2.5 2.5 0 0 0 2.5-2.5V17h-1zM20.5 2H17v1h3.5A1.5 1.5 0 0 1 22 4.5V8h1V4.5A2.5 2.5 0 0 0 20.5 2zM14 7h4v4h1V6h-5zm-7 4V7h4V6H6v5zm11 3v4h-4v1h5v-5zm-7 4H7v-4H6v5h5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M10 30H5.5A2.5 2.5 0 0 1 3 27.5V23h1v4.5A1.5 1.5 0 0 0 5.5 29H10zm19-7v4.5a1.5 1.5 0 0 1-1.5 1.5H23v1h4.5a2.5 2.5 0 0 0 2.5-2.5V23zM10 3H5.5A2.5 2.5 0 0 0 3 5.5V10h1V5.5A1.5 1.5 0 0 1 5.5 4H10zm17.5 0H23v1h4.5A1.5 1.5 0 0 1 29 5.5V10h1V5.5A2.5 2.5 0 0 0 27.5 3zM18 9h6v6h1V8h-7zm-9 6V9h6V8H8v7zm15 3v6h-6v1h7v-7zm-9 6H9v-6H8v7h7z"
  }));
};

var _default = ScreenshotModeIcon;
exports["default"] = _default;