"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SeamlinesIcon = function SeamlinesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7.306 16L10 13.306v1.414L8.72 16zM6 14.72l4-4V9.306l-4 4zM7.306 0L6 1.306V2.72L8.72 0zM6 6.72l4-4V1.306l-4 4zm0 4l4-4V5.306l-4 4zM0 15h5v-1H1V2h4V1H0zM11 1v1h4v12h-4v1h5V1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 21H1V3h8v1H2v16h7zm6-18v1h7v16h-7v1h8V3zm-1 12.306l-4 4v1.414l4-4zm0 5.414v-1.414L10.306 23h1.414zm-4-5.414v1.414l4-4v-1.414zm0-2.586l4-4V7.306l-4 4zm0-8L13.72 1h-1.414L10 3.306zm4-1.414l-4 4V8.72l4-4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M2 5h10v1H3v20h9v1H2zm18 0v1h9v20h-9v1h10V5zm-7 16.72l6-6v-1.414l-6 6zm0 4l6-6v-1.414l-6 6zm0-8l6-6v-1.414l-6 6zm0 12l6-6v-1.414l-6 6zm0-16l6-6V6.306l-6 6zM16.72 30L19 27.72v-1.414L15.306 30zM13 4.306V5.72L16.72 2h-1.414zm0 5.414l6-6V2.306l-6 6z"
  }));
};

var _default = SeamlinesIcon;
exports["default"] = _default;