"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SelectedItemsFilterIcon = function SelectedItemsFilterIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7 5a1 1 0 0 1 1 1v1h7v1.5a.501.501 0 0 1-.5.5H7.846a.98.98 0 0 1-.115.182L6.968 10H14.5A1.502 1.502 0 0 0 16 8.5v-6A1.502 1.502 0 0 0 14.5 1h-10A1.502 1.502 0 0 0 3 2.5V5zM4 2.5a.501.501 0 0 1 .5-.5h10a.501.501 0 0 1 .5.5V4H4zm.2 8.5L7 8V6H0v2l2.8 3 .245 1 .13 3h.65l.13-3 .239-1zM1 7h5v1H1zm.84 1.8h3.32l-1.307 1.4h-.706z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21.5 1h-17A1.502 1.502 0 0 0 3 2.5V8h11a1 1 0 0 1 1 1v2h7v3.5a.501.501 0 0 1-.5.5H11.414l-.471.471-.066.529H21.5a1.502 1.502 0 0 0 1.5-1.5v-12A1.502 1.502 0 0 0 21.5 1zM4 6V2.5a.501.501 0 0 1 .5-.5h17a.501.501 0 0 1 .5.5V6zm6 9l4-4V9H1v2l4 4 1 8h3zm-8-4.414V10h11v.586l-.414.414H2.414zM3.414 12h8.172l-2 2H5.414zm4.703 10H6.883l-.75-7h2.734z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M28.5 2h-23A1.502 1.502 0 0 0 4 3.5V11h13a1 1 0 0 1 1 1v2h11v4.5a.501.501 0 0 1-.5.5H13.414l-.468.468-.073.532H28.5a1.502 1.502 0 0 0 1.5-1.5v-15A1.502 1.502 0 0 0 28.5 2zM5 8V3.5a.501.501 0 0 1 .5-.5h23a.501.501 0 0 1 .5.5V8zm12 6v-2H1v2l5 5 1.5 11h3L12 19zM2 13h14v1H2zm1.135 2h11.73l-3.333 3H6.468zm6.492 14H8.373L7.146 19h3.709z"
  }));
};

var _default = SelectedItemsFilterIcon;
exports["default"] = _default;