"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ShowMultipleLayersAtATimeIcon = function ShowMultipleLayersAtATimeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16 7.523l-2.6 1.463a7.257 7.257 0 0 0-1.192-.477l2.772-1.56zM7.772 8.895L0 4.523l8-4.5 8 4.5-6.95 3.91a6.958 6.958 0 0 0-1.278.462zM2.04 4.523L8 7.876l5.96-3.353L8 1.171zm2.086 7.397l.121-.155L1.02 9.95 0 10.523l3.952 2.223a.991.991 0 0 1 .174-.826zm2.066-2.06L1.02 6.949 0 7.524l5.373 3.022c.237-.22.511-.453.819-.686zm5.716 2.641a1.409 1.409 0 1 1-1.408-1.409 1.41 1.41 0 0 1 1.409 1.409zm4.092 0s-2.462 3.254-5.5 3.254S5 12.5 5 12.5s2.462-3.254 5.5-3.254S16 12.5 16 12.5zm-1.054-.002c-.77-.834-2.51-2.452-4.446-2.452-1.938 0-3.679 1.62-4.447 2.454.768.834 2.51 2.454 4.447 2.454 1.922 0 3.672-1.621 4.446-2.456z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18.155 13.199l2.88-1.703-.928-.547.983-.582L23 11.495l-3.564 2.108a8.664 8.664 0 0 0-1.281-.404zm-9.927 6.238l-.25-.313a.988.988 0 0 1-.192-.78l-4.82-2.85.927-.547-.983-.582L1 15.493l7.838 4.636a12.555 12.555 0 0 1-.61-.692zM12.001 14L1 7.493 12 1l11 6.495zM2.966 7.494L12 12.838l9.033-5.342L12 2.161zm7.11 8.205l-7.11-4.205.927-.547-.983-.582L1 11.493l8.3 4.91c.227-.222.487-.459.775-.704zm13.694 3.106L24 18.5l-.23-.305C23.64 18.024 20.493 14 16.5 14c-3.989 0-7.121 4.017-7.255 4.188L9 18.5l.245.312C9.379 18.982 12.51 23 16.5 23c3.993 0 7.14-4.024 7.27-4.195zM16.5 14.9c2.995 0 5.618 2.672 6.419 3.6-.799.93-3.418 3.6-6.419 3.6-2.992 0-5.565-2.663-6.4-3.6.835-.937 3.408-3.6 6.4-3.6zm2.4 3.6a2.4 2.4 0 1 0-2.4 2.4 2.403 2.403 0 0 0 2.4-2.4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M23.238 17.594l5.284-3.1-1.792-1.05.989-.58 2.781 1.628-6.03 3.539a12.288 12.288 0 0 0-1.232-.437zm4.48.27l-.988.58 1.792 1.05-.746.437c.297.22.577.442.845.664l1.879-1.103zm-18.49 5.743c.007-.01.156-.204.41-.501l-6.16-3.614 1.793-1.05-.989-.58-2.781 1.63L9.013 23.9zm3.686-3.579l-9.435-5.536 1.792-1.05-.989-.58-2.781 1.63 10.575 6.204q.396-.334.838-.668zM16 18L1.5 9.492 16 1l14.5 8.492zM3.478 9.493L16 16.841l12.522-7.348L16 2.16zm17.02 18.463a3.404 3.404 0 0 0 3.371-3.4v-.076a3.404 3.404 0 0 0-3.334-3.435h-.07a3.404 3.404 0 0 0-3.335 3.435v.076a3.403 3.403 0 0 0 3.369 3.4zm-.061-8.857c-4.512.103-8.383 4.233-9.353 5.445l.005.006-.005.006c.983 1.201 4.897 5.29 9.409 5.345h.014c4.512-.055 8.426-4.144 9.41-5.345l-.006-.006.005-.006c-.97-1.212-4.841-5.342-9.353-5.445h-.126zm.052 11.702c-5.614-.062-10.082-5.695-10.267-5.947L10 24.556l.219-.302c.183-.254 4.592-5.933 10.204-6.055h.154c5.612.122 10.021 5.801 10.204 6.055l.219.302-.222.298c-.185.252-4.654 5.885-10.267 5.947H20.5z"
  }));
};

var _default = ShowMultipleLayersAtATimeIcon;
exports["default"] = _default;