"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SmartFormIcon = function SmartFormIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7.217 6L6.93 7H2a1.001 1.001 0 0 1-1-1V4a1.001 1.001 0 0 1 1-1h6.074l-.286 1H2v2zM14 12v2H2v-2h6.819l.166-1H2a1.001 1.001 0 0 0-1 1v2a1.001 1.001 0 0 0 1 1h12a1.001 1.001 0 0 0 1-1v-2a1.001 1.001 0 0 0-1-1h-.34l-.61 1zM7 1H2v1h5zM2 9v1h5V9zm12-5h-.585l1.85-4h-4.794l-2 7h2.635l-.528 5h.9L16 4.588V4zm-2.21 5.57L12.195 6H9.797l1.428-5h2.476l-1.85 4h2.727z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.709 10l-.286 1H2a1.001 1.001 0 0 1-1-1V7a1.001 1.001 0 0 1 1-1h10.852l-.286 1H2v3zM22 18v3H2v-3h12.117l.166-1H2a1.001 1.001 0 0 0-1 1v3a1.001 1.001 0 0 0 1 1h20a1.001 1.001 0 0 0 1-1v-3a1.001 1.001 0 0 0-1-1h-2.07l-.62 1zM2 14v1h8v-1zm8-11H2v1h8zm7.577 14H16.31l1.16-7h-3.68l2.57-9h6.115l-2.34 6h3.63zm4.394-9h-3.3l2.34-6h-3.897l-2 7h3.535l-.988 5.964z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M15.528 13l-.289 1H3.5A1.502 1.502 0 0 1 2 12.5v-4A1.502 1.502 0 0 1 3.5 7h13.762l-.29 1H3.5a.5.5 0 0 0-.5.5v4a.5.5 0 0 0 .5.5zM28.5 22a.5.5 0 0 1 .5.5v4a.5.5 0 0 1-.5.5h-25a.5.5 0 0 1-.5-.5v-4a.5.5 0 0 1 .5-.5h15.24a2.907 2.907 0 0 1 .004-1H3.5A1.502 1.502 0 0 0 2 22.5v4A1.502 1.502 0 0 0 3.5 28h25a1.502 1.502 0 0 0 1.5-1.5v-4a1.502 1.502 0 0 0-1.5-1.5h-4.002l-.708 1zM13 18H3v1h10zm0-14H3v1h10zm12.167 5l2.723-7h-7.102L17.61 13h4.953l-2.084 9h.861l9.2-13zm-1.346 3H18.94l2.6-9h4.888l-2.722 7h4.9l-6.423 9.079C22.63 17.137 23.82 12 23.82 12z"
  }));
};

var _default = SmartFormIcon;
exports["default"] = _default;