"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SnapToPointIcon = function SnapToPointIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M4.356 6L2.674.991l-.948.319L3.301 6H2v4h1.653l-.821 4.828.986.168.85-4.996H6V6zM5 9H3V7h2zm7-5H8v3h4a1 1 0 0 1 0 2H8v3h4a4 4 0 0 0 0-8zm-2 2H9V5h1zm0 5H9v-1h1zm2 0h-1v-1h1a2 2 0 0 0 0-4h-1V5h1a3 3 0 0 1 0 6z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M7.022 10l-3.26-7.965-.925.38L5.94 10H5v4h1.4l-1.503 7.722.981.191L7.42 14H9v-4zM8 13H6v-2h2zm10-7h-6v4h6a2 2 0 0 1 0 4h-6v4h6a6 6 0 0 0 0-12zm-3 3h-2V7h2zm0 8h-2v-2h2zm3 0h-2v-2h2a3 3 0 0 0 0-6h-2V7h2a5 5 0 0 1 0 10z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M8.818 14L4.87 2.932l-.942.336L7.756 14H7v4h1.254l-1.3 10.764.993.119L9.262 18H11v-4zM10 17H8v-2h2zm12.8-9H16v5h6.8a3 3 0 0 1 0 6H16v5h6.8a8 8 0 0 0 0-16zM20 12h-3V9h3zm0 11h-3v-3h3zm2.8 0H21v-3h1.8a4 4 0 0 0 0-8H21V9h1.8a7 7 0 0 1 0 14z"
  }));
};

var _default = SnapToPointIcon;
exports["default"] = _default;