"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SoundOffIcon = function SoundOffIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 9.828l1 1v1.602a.34.34 0 0 1-.538.277L3.112 10H.918A.917.917 0 0 1 0 9.083V6.917A.917.917 0 0 1 .917 6h1.255l1 1H1v2h2.466L6 11.05zM16 8a10.713 10.713 0 0 1-2.03 6.264l.955.954-.707.707L.075 1.782l.707-.707L4.547 4.84l1.915-1.547A.34.34 0 0 1 7 3.57v3.723l3.345 3.345A5.882 5.882 0 0 0 11 8a5.732 5.732 0 0 0-1.416-3.769l.682-.663A6.485 6.485 0 0 1 12 8a6.72 6.72 0 0 1-.918 3.375l2.185 2.185A9.957 9.957 0 0 0 15 8a9.728 9.728 0 0 0-2.412-6.398l.684-.664A10.468 10.468 0 0 1 16 8zM5.258 5.551L6 6.293v-1.34z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 14.828l1 1v3.306a.51.51 0 0 1-.807.414L5.67 15H2.376A1.376 1.376 0 0 1 1 13.624v-3.248A1.376 1.376 0 0 1 2.376 9h2.796l.935.935-.079.065H2.375a.375.375 0 0 0-.375.375v3.25a.375.375 0 0 0 .375.375h3.653L11 18.088zm12-2.839a15.867 15.867 0 0 1-2.615 8.69l1.014 1.013-.707.707L1.601 3.308l.707-.708 5.027 5.028 3.858-3.176a.51.51 0 0 1 .807.414v7.427l3.922 3.922A8.867 8.867 0 0 0 17 11.987a8.984 8.984 0 0 0-2.277-5.978l.747-.665A9.975 9.975 0 0 1 18 11.987a9.847 9.847 0 0 1-1.343 4.963l3.02 3.02A14.936 14.936 0 0 0 22 11.99a14.852 14.852 0 0 0-3.8-9.925l.73-.654A15.817 15.817 0 0 1 23 11.989zM8.047 8.34L11 11.294V5.91z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M25.514 2.941l-.753.658a20.238 20.238 0 0 1 .97 23.424l-3.839-3.838A13.446 13.446 0 0 0 24 15.984a12.97 12.97 0 0 0-3.468-8.865l-.717.698A12.017 12.017 0 0 1 23 15.983a12.449 12.449 0 0 1-1.829 6.48L16 17.294V7.14a.68.68 0 0 0-1.075-.554l-5.327 4.305-6.119-6.119-.707.707 24.749 24.749.707-.707-1.78-1.78a21.217 21.217 0 0 0-.934-24.8zM15 7.811v8.482l-4.691-4.691zm0 12.017l1 1v4.032a.68.68 0 0 1-1.075.554L8.225 20h-4.39A1.834 1.834 0 0 1 2 18.166v-4.332A1.834 1.834 0 0 1 3.834 12h3.337l1 1H3.834a.836.836 0 0 0-.834.835v4.33a.835.835 0 0 0 .834.835H8.58L15 24.19z"
  }));
};

var _default = SoundOffIcon;
exports["default"] = _default;