"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SpeechBubbleCheckIcon = function SpeechBubbleCheckIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 6H3V5h8zm4.174 4.122L10.5 14.516l-1.484-1.688-.738.738 2.222 2.422 5.398-5.112zM3 9h6V8H3zm-.75-6h9.5A1.251 1.251 0 0 1 13 4.25v5.064l1-.94V4.25A2.253 2.253 0 0 0 11.75 2h-9.5A2.253 2.253 0 0 0 0 4.25v5.5A2.253 2.253 0 0 0 2.25 12H3v3.5L9.001 11H7.333L4 13.5V11H2.25A1.251 1.251 0 0 1 1 9.75v-5.5A1.251 1.251 0 0 1 2.25 3z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18 9H6V8h12zm-3 2H6v1h9zm2.118 5h-5.28L7 19.518V16H4.75A1.752 1.752 0 0 1 3 14.25v-8.5A1.752 1.752 0 0 1 4.75 4h14.5A1.752 1.752 0 0 1 21 5.75v6.62a1.988 1.988 0 0 1 1-.18V5.75A2.753 2.753 0 0 0 19.25 3H4.75A2.753 2.753 0 0 0 2 5.75v8.5A2.753 2.753 0 0 0 4.75 17H6v4.482L12.163 17h3.934zm6.072-.467l-.699-.715-6.998 6.852-2.832-2.663-.685.728 3.53 3.321z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24 13H8v-1h16zm-4 2H8v1h12zm2.414 7H14.34L8 26.528V22H6a2.002 2.002 0 0 1-2-2V8a2.002 2.002 0 0 1 2-2h20a2.002 2.002 0 0 1 2 2v8.497l.144-.141a1.99 1.99 0 0 1 .856-.49V8a3.003 3.003 0 0 0-3-3H6a3.003 3.003 0 0 0-3 3v12a3.003 3.003 0 0 0 3 3h1v5.472L14.66 23h6.74zm8.834-2.507l-.701-.712-10.048 9.898-3.256-3.084-.687.726 3.957 3.749z"
  }));
};

var _default = SpeechBubbleCheckIcon;
exports["default"] = _default;