"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SpeechBubbleSocialIcon = function SpeechBubbleSocialIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.985 2.121l-.97-.242L9.485 4h-1.97l.47-1.879-.97-.242L6.485 4H5v1h1.235l-.5 2H4v1h1.485l-.47 1.879.97.242L6.515 8h1.97l-.47 1.879.97.242L9.515 8H11V7H9.765l.5-2H12V4h-1.485zM8.735 7h-1.97l.5-2h1.97zm4.515-7H2.75A2.753 2.753 0 0 0 0 2.75v6.5A2.753 2.753 0 0 0 2.75 12H4v3.5L8.666 12h4.584A2.753 2.753 0 0 0 16 9.25v-6.5A2.753 2.753 0 0 0 13.25 0zM15 9.25A1.752 1.752 0 0 1 13.25 11H8.334L5 13.5V11H2.75A1.752 1.752 0 0 1 1 9.25v-6.5A1.752 1.752 0 0 1 2.75 1h10.5A1.752 1.752 0 0 1 15 2.75z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15.138 5.158l-.976-.217L13.482 8h-1.975l.631-2.842-.976-.217L10.482 8H8v1h2.26l-.445 2H7v1h2.593l-.632 2.842.977.217.68-3.059h1.975l-.632 2.842.977.217.68-3.059H16v-1h-2.16l.444-2H17V8h-2.493zM12.815 11H10.84l.444-2h1.976zm6.435-8H4.75A2.753 2.753 0 0 0 2 5.75v8.5A2.753 2.753 0 0 0 4.75 17H6v4.482L12.163 17h7.087A2.753 2.753 0 0 0 22 14.25v-8.5A2.753 2.753 0 0 0 19.25 3zM21 14.25A1.752 1.752 0 0 1 19.25 16h-7.413L7 19.518V16H4.75A1.752 1.752 0 0 1 3 14.25v-8.5A1.752 1.752 0 0 1 4.75 4h14.5A1.752 1.752 0 0 1 21 5.75z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M19.042 8.29l-.984-.179L17.354 12H15.37l.672-3.71-.984-.179L14.354 12H11v1h3.173l-.362 2H10v1h3.63l-.672 3.71.984.179.704-3.889h1.984l-.672 3.71.984.179.704-3.889H21v-1h-3.173l.362-2H22v-1h-3.63zM16.811 15h-1.984l.362-2h1.984zM26 5H6a3.003 3.003 0 0 0-3 3v12a3.003 3.003 0 0 0 3 3h1v5.472L14.66 23H26a3 3 0 0 0 3-3V8a3.003 3.003 0 0 0-3-3zm2 15a2 2 0 0 1-2 2H14.34L8 26.528V22H6a2.002 2.002 0 0 1-2-2V8a2.002 2.002 0 0 1 2-2h20a2.002 2.002 0 0 1 2 2z"
  }));
};

var _default = SpeechBubbleSocialIcon;
exports["default"] = _default;