"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SuitabilityAnalysisOutputIcon = function SuitabilityAnalysisOutputIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 11a2 2 0 1 0 2-2 2.002 2.002 0 0 0-2 2zm3 0a1 1 0 1 1-1-1 1.003 1.003 0 0 1 1 1zm-7 0a2 2 0 1 0-2-2 2.002 2.002 0 0 0 2 2zm0-3a1 1 0 1 1-1 1 1.003 1.003 0 0 1 1-1zm3-3a2 2 0 1 1 2 2 2.002 2.002 0 0 1-2-2zM1 1v14h14V1zm13 13H2V2h12z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 11a1 1 0 1 1-1-1 1.003 1.003 0 0 1 1 1z",
      opacity: ".5"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 7.5a3.5 3.5 0 1 1 3.5 3.5A3.503 3.503 0 0 1 12 7.5zm0 9a3.5 3.5 0 1 1 3.5 3.5 3.503 3.503 0 0 1-3.5-3.5zm1 0a2.5 2.5 0 1 0 2.5-2.5 2.503 2.503 0 0 0-2.5 2.5zM22 2v20H2V2zm-1 1H3v18h18zM4 12.5A3.5 3.5 0 1 1 7.5 16 3.503 3.503 0 0 1 4 12.5zm1 0A2.5 2.5 0 1 0 7.5 10 2.503 2.503 0 0 0 5 12.5z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18 16.5a2.5 2.5 0 1 1-2.5-2.5 2.503 2.503 0 0 1 2.5 2.5z",
      opacity: ".5"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M18 22a4 4 0 1 0 4-4 4.005 4.005 0 0 0-4 4zm7 0a3 3 0 1 1-3-3 3.003 3.003 0 0 1 3 3zm-15 0a4 4 0 1 0-4-4 4.005 4.005 0 0 0 4 4zm0-7a3 3 0 1 1-3 3 3.003 3.003 0 0 1 3-3zm6-5a4 4 0 1 1 4 4 4.004 4.004 0 0 1-4-4zM3 3v26h26V3zm25 25H4V4h24z"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M25 22a3 3 0 1 1-3-3 3.003 3.003 0 0 1 3 3z",
    opacity: ".5"
  }));
};

var _default = SuitabilityAnalysisOutputIcon;
exports["default"] = _default;