"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SuperimposeIcon = function SuperimposeIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 7H9V5h2zm2 0v2h2V7zm0 6h2v-2h-2zm-2-4H9v2h2zm0 6h2v-2h-2z",
      opacity: ".75"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12.707 1H1v11.707L4.293 16H16V4.293zm1.586 3H4.707l-2-2h9.586zM2 2.707l2 2v9.586l-2-2zM5 15V5h10v10z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 7h-2V5h2zm-4 0v2h2V7zM7 7h2V5H7zm6 8h2v-2h-2zm2-4V9h-2v2zm-4.498-7h2.06L11.55 3H9.49zm1.06-1h1.743l-1-1H10.55zm-4.06 0l-1.01-1H4.433l1.01 1h2.06z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M13 11h-2V9h2zm0-6h-2v2h2zm-2 2H9v2h2zm1.561-3h1.744l-1-1H11.55zm-2.059 0l-1.01-1H7.433l1.01 1h2.06zm-1-1h2.06L10.55 2H8.49z",
      opacity: ".5"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 9h-3V6h3zm3 0v3h3V9zm-3 3h-3v3h3zm3 6h3v-3h-3zm-3 3h3v-3h-3z",
      opacity: ".75"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18.707 2H2v16.707L5.293 22H22V5.293zM5 20.293l-2-2V3.707l2 2zM3.707 3h14.586l2 2H5.707zM21 21H6V6h15z"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M9 6h3v3H9zm12 0h-3v3h3zm-6 3v3h3V9zm6 6v-3h-3v3zm-3 6h3v-3h-3zM14.502 5h3.06L16.55 4h-3.06zm2.06-1h2.743l-1-1H15.55zm-6.06 0l-1.01-1H6.433l1.01 1h3.06z",
      opacity: ".25"
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M18 9h-3V6h3zm-6 0v3h3V9zm6 6v-3h-3v3zm-.439-10h2.744l-1-1H16.55zm-3.059 0l-1.01-1h-3.059l1.01 1h3.06zm-1-1h3.06L15.55 3h-3.06z",
      opacity: ".5"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20 12h-4V8h4zm4 0v4h4v-4zm-4 4h-4v4h4zm4 8h4v-4h-4zm-4 4h4v-4h-4z",
    opacity: ".75"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24.707 3H3v21.707L7.293 29H29V7.293zm2.586 4H7.707l-3-3h19.586zM4 4.707l3 3v19.586l-3-3zM8 28V8h20v20z"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M20 8h4v4h-4zm-4 8h4v-4h-4zm8 4v-4h-4v4zm3.3-13l-2-2h-3.754l2.01 2zm-7.803 0l-2.01-2h-4.059l2.01 2h4.06zm1.043-3h-4.058l1.005 1h4.059z",
    opacity: ".5"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M12 8h4v4h-4zm16 0h-4v4h4zm-8 4v4h4v-4zm8 8v-4h-4v4zm-4 8h4v-4h-4zm.3-24h-3.76l1.006 1H25.3zM12.482 4h-4.06l1.006 1h4.059zm9.064 1h-4.06l2.011 2h4.06z",
    opacity: ".25"
  }));
};

var _default = SuperimposeIcon;
exports["default"] = _default;