"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TablesIcon = function TablesIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M14 5V3h-2V1H0v10h2v2h2v2h12V5zM1 2h10v2H1zm3 6h3v2H4zm3-1H4V5h3zm1 1h3v2H8zm0-1V5h3v2zM1 5h2v2H1zm0 5V8h2v2zm2 2v-1h9V4h1v8zm12 2H5v-1h9V6h1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M21 8h2v14H7v-2h1v1h14V9h-1zm-1 11V5h-2v1h1v12H5v-1H4v2zM1 16V2h16v14zm9-1v-2H5v2zm0-8H5v2h5zm-5 3v2h5v-2zm11 3h-5v2h5zm0-3h-5v2h5zm0-3h-5v2h5zM2 6h14V3H2zm0 3h2V7H2zm0 3h2v-2H2zm0 3h2v-2H2z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M31 12v18H9v-4h1v3h20V13h-2v-1zm-4 13V7h-3v1h2v16H6v-3H5v4zM1 20V2h22v18zm13-1v-3H7v3zm0-11H7v3h7zm-7 4v3h7v-3zm15 4h-7v3h7zm0-4h-7v3h7zm0-4h-7v3h7zM2 7h20V3H2zm0 4h4V8H2zm0 4h4v-3H2zm4 4v-3H2v3z"
  }));
};

var _default = TablesIcon;
exports["default"] = _default;