"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TabletIcon = function TabletIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M15 14a1 1 0 0 0 1-1V4a1 1 0 0 0-1-1H1a1 1 0 0 0-1 1v9a1 1 0 0 0 1 1zm-.25-10a.25.25 0 0 1 .25.25v8.5a.25.25 0 0 1-.25.25H14V4zM13 4v9H4V4zM1 9h1V8H1V4.25A.25.25 0 0 1 1.25 4H3v9H1.25a.25.25 0 0 1-.25-.25z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22.75 4H1.25A1.25 1.25 0 0 0 0 5.25v13.5A1.25 1.25 0 0 0 1.25 20h21.5A1.25 1.25 0 0 0 24 18.75V5.25A1.25 1.25 0 0 0 22.75 4zM1.25 19a.25.25 0 0 1-.25-.25V13h1v-2H1V5.25A.25.25 0 0 1 1.25 5H3v14zM4 5h17v14H4zm19 13.75a.25.25 0 0 1-.25.25H22V5h.75a.25.25 0 0 1 .25.25z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M30.5 5h-29A1.5 1.5 0 0 0 0 6.5v19A1.5 1.5 0 0 0 1.5 27h29a1.5 1.5 0 0 0 1.5-1.5v-19A1.5 1.5 0 0 0 30.5 5zm-29 21a.5.5 0 0 1-.5-.5V17h1v-2H1V6.5a.5.5 0 0 1 .5-.5H3v20zM4 26V6h25v20zm27-.5a.5.5 0 0 1-.5.5H30V6h.5a.5.5 0 0 1 .5.5z"
  }));
};

var _default = TabletIcon;
exports["default"] = _default;