"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TerritoryBufferDistanceIcon = function TerritoryBufferDistanceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M3.875 15.974a7.45 7.45 0 0 1-2.696-.747l.444-.897a6.438 6.438 0 0 0 2.334.648zm1.866-.077l-.164-.986a6.427 6.427 0 0 0 2.272-.839l.515.858a7.43 7.43 0 0 1-2.623.967zm4.093-2.124l-.711-.703a6.499 6.499 0 0 0 1.354-2.01l.919.395a7.516 7.516 0 0 1-1.562 2.318zm2.077-4.117l-.988-.152a6.57 6.57 0 0 0-.078-2.424l.976-.217a7.577 7.577 0 0 1 .09 2.793zm-1.613-4.1a6.526 6.526 0 0 0-1.482-1.917l.664-.748a7.493 7.493 0 0 1 1.708 2.212zM1.25 2.869l-.5-.865a7.42 7.42 0 0 1 2.64-.922l.147.988a6.475 6.475 0 0 0-2.287.8zm6.23-.147a6.439 6.439 0 0 0-2.322-.69l.1-.994a7.418 7.418 0 0 1 2.681.795zM0 10h3V7H0zm1-2h1v1H1zm9 .5L8 7v1H6V7L4 8.5 6 10V9h2v1zM6 11v.08l-3.208 1.465.416.91L7 11.722V11zm0-5h1V4H1v1h5zm10 8.155a6.44 6.44 0 0 1-3.603.832 9.959 9.959 0 0 0 0-12.974A6.457 6.457 0 0 1 16 2.845V1.732a7.545 7.545 0 0 0-4.738-.573l-.929.194.685.657a8.961 8.961 0 0 1 0 12.98l-.685.657.929.194A7.545 7.545 0 0 0 12.8 16a7.452 7.452 0 0 0 3.2-.743z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23.61 21.64a10.449 10.449 0 0 1-8.731.73l-.808-.292.652-.56a11.842 11.842 0 0 0 0-18.037l-.652-.56.808-.29a10.518 10.518 0 0 1 8.69.707l-.488.871a9.485 9.485 0 0 0-7.056-.89 12.834 12.834 0 0 1 0 18.362 9.48 9.48 0 0 0 7.092-.91zm-8.589-5.807l.937.352a10.427 10.427 0 0 0 .616-2.67l-.995-.096a9.434 9.434 0 0 1-.558 2.414zm.25-8.49a10.541 10.541 0 0 0-1.645-2.189l-.715.7a9.504 9.504 0 0 1 1.49 1.981zM6.09 3a10.07 10.07 0 0 1 1.788.161l.183-.982A10.548 10.548 0 0 0 6.125 2a8.233 8.233 0 0 0-.797.028l.074.998C5.628 3.01 5.857 3 6.09 3zm9.938 6.008l-.943.332a9.438 9.438 0 0 1 .51 2.424l.997-.077a10.434 10.434 0 0 0-.564-2.68zm-3.79-5.044A10.497 10.497 0 0 0 9.823 2.67l-.353.935a9.51 9.51 0 0 1 2.185 1.17zM.803 21.554a10.482 10.482 0 0 0 2.523 1.07l.265-.966a9.44 9.44 0 0 1-2.28-.965zm8.495-.099l.334.943a10.49 10.49 0 0 0 2.438-1.244l-.566-.824a9.466 9.466 0 0 1-2.206 1.125zm-4.08.503l-.093.996q.493.046.998.046a10.548 10.548 0 0 0 1.738-.144l-.164-.986a9.681 9.681 0 0 1-2.479.088zM3.77 3.294l-.247-.969A10.404 10.404 0 0 0 .98 3.344l.49.87a9.478 9.478 0 0 1 2.3-.92zm10.538 14.032a9.524 9.524 0 0 1-1.528 1.952l.701.713a10.575 10.575 0 0 0 1.688-2.157zM1 11h3v3H1zm1 2h1v-1H2zm8 3.28V14H9v1.72l-6.262 3.854.524.852zM10 11V7H2v1h7v3zm5 1.5L13 11v1H7v-1l-2 1.5L7 14v-1h6v1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M29.574 29.406l-.348-.937a13.31 13.31 0 0 1-9.625-.168 16.744 16.744 0 0 0 0-24.602 13.29 13.29 0 0 1 9.625-.168l.348-.937a14.307 14.307 0 0 0-11.102.512l-.8.333.692.5a15.75 15.75 0 0 1 0 24.121l-.591.5.699.333a14.25 14.25 0 0 0 11.102.513zm-21.834.886c-.226 0-.454-.006-.68-.018l.05-.998c.225.011.45.014.68.016q.632 0 1.245-.058l.092.997c-.457.04-.939.056-1.387.061zm-2.736-.272a14.047 14.047 0 0 1-1.997-.55l.335-.94a13.148 13.148 0 0 0 1.856.51zm6.165-.128l-.235-.973a13.142 13.142 0 0 0 1.834-.589l.375.928a14.303 14.303 0 0 1-1.974.634zm3.832-1.548l-.504-.864a13.514 13.514 0 0 0 1.588-1.09l.623.783a14.596 14.596 0 0 1-1.707 1.17zm3.227-2.577l-.73-.684a13.363 13.363 0 0 0 1.21-1.496l.822.57a14.332 14.332 0 0 1-1.301 1.61zm2.358-3.39l-.894-.446a13.249 13.249 0 0 0 .732-1.78l.95.31a14.225 14.225 0 0 1-.788 1.917zm1.288-3.923l-.985-.17a13.375 13.375 0 0 0 .19-1.917l1 .028a14.354 14.354 0 0 1-.204 2.06zm-.879-4.01a13.266 13.266 0 0 0-.361-1.89l.966-.26a14.244 14.244 0 0 1 .388 2.034zm-.994-3.71a13.314 13.314 0 0 0-.89-1.709l.85-.525a14.201 14.201 0 0 1 .958 1.837zm-2.018-3.27a13.582 13.582 0 0 0-1.34-1.383l.665-.746a14.479 14.479 0 0 1 1.44 1.486zm-2.865-2.558a13.452 13.452 0 0 0-1.678-.943l.426-.904a14.44 14.44 0 0 1 1.803 1.013zM3.34 3.471l-.335-.942c.248-.089.498-.169.752-.244l.283.96c-.236.068-.47.145-.7.226zm8.303-.197a13.589 13.589 0 0 0-1.88-.42l.148-.989a14.325 14.325 0 0 1 2.02.452zM5.92 2.838l-.138-.99a14.513 14.513 0 0 1 2.01-.14l.054 1h-.055a13.576 13.576 0 0 0-1.87.13zM12 10H3V9h10v6h-1zm1 8v4.317l-8.787 4.135-.426-.904L12 21.683V18zM3 15v3h3v-3zm2 2H4v-1h1zm12 2.19V17h-7v2.19L6.942 16.5 10 13.81V16h7v-2.19l3.058 2.69z"
  }));
};

var _default = TerritoryBufferDistanceIcon;
exports["default"] = _default;