"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ThreeHundredSixtyViewIcon = function ThreeHundredSixtyViewIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6 12.892v1.011c-2.564-.248-4.8-.99-4.8-2.303 0-1.649 3.525-2.4 6.8-2.4s6.8.751 6.8 2.4c0 1.313-2.236 2.055-4.8 2.303V16l-1.2-1L7 13.5 8.8 12l1.2-1v1.892c2.498-.26 3.8-.955 3.8-1.292 0-.418-1.974-1.4-5.8-1.4s-5.8.982-5.8 1.4c0 .337 1.302 1.031 3.8 1.292zM16 9a27.203 27.203 0 0 0-8-1 27.239 27.239 0 0 0-8 1V0a27.239 27.239 0 0 0 8 1 27.203 27.203 0 0 0 8-1zM1 7.677c.406-.095.824-.173 1.245-.244L4.3 5.24a.27.27 0 0 1 .4 0 .27.27 0 0 0 .4 0l2.017-2.152a.27.27 0 0 1 .381-.018l2.03 1.804a.269.269 0 0 0 .35.01l1.226-.824a.27.27 0 0 1 .37.028L15 7.488V1.324a25.579 25.579 0 0 1-3.739.55.983.983 0 0 1 .239.627 1 1 0 0 1-2 0 .973.973 0 0 1 .176-.534C9.046 1.99 8.47 2 8 2a32.844 32.844 0 0 1-7-.677zM8 7a37.148 37.148 0 0 1 5.449.383l-2.257-2.178-.689.46a1.268 1.268 0 0 1-1.64-.043l-1.5-1.334L5.83 5.924a1.28 1.28 0 0 1-.93.405 1.244 1.244 0 0 1-.23-.022l-.85.906A39.883 39.883 0 0 1 8 7z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M22.8 18.6c0 1.812-3.58 2.923-7.8 3.276V24h-.216l-2.842-2.5 1.705-1.5L15 18.81v2.062c4.227-.37 6.8-1.469 6.8-2.272 0-.978-3.818-2.4-9.8-2.4s-9.8 1.422-9.8 2.4c0 .864 2.982 2.073 7.8 2.343v1.003c-4.637-.254-8.8-1.392-8.8-3.346 0-2.232 5.433-3.4 10.8-3.4s10.8 1.168 10.8 3.4zM12 3a41.552 41.552 0 0 0 11-1.685v13.37A41.552 41.552 0 0 0 12 13a41.552 41.552 0 0 0-11 1.685V1.315A41.552 41.552 0 0 0 12 3zm0 9a41.7 41.7 0 0 1 8.382.986l-4.698-3.765-1.245.933a1.376 1.376 0 0 1-1.708-.043l-2.27-1.891-2.288 2.289a1.38 1.38 0 0 1-1.402.334L4.884 12.73A40.364 40.364 0 0 1 12 12zm10-9.367A42.676 42.676 0 0 1 12 4 42.676 42.676 0 0 1 2 2.633v10.734c.36-.094.729-.182 1.1-.267l3.3-3.3a.377.377 0 0 1 .533 0 .377.377 0 0 0 .534 0l2.69-2.69a.377.377 0 0 1 .508-.023l2.706 2.256a.377.377 0 0 0 .468.012l1.633-1.225a.377.377 0 0 1 .493.035L22 13.002zM14.479 6.5h.043a.979.979 0 0 0 .978-.979A1.021 1.021 0 0 0 14.479 4.5a.979.979 0 0 0-.979.979v.043a.981.981 0 0 0 .979.978z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M29.8 24.6c0 2.14-3.988 3.542-8.8 4.111v2.48L19.647 30l-1.705-1.5 1.705-1.5L21 25.81v1.894c4.68-.574 7.8-1.893 7.8-3.104 0-1.605-5.474-3.4-12.8-3.4S3.2 22.995 3.2 24.6c0 1.377 4.032 2.89 9.8 3.293v1C7.346 28.506 2.2 27.031 2.2 24.6c0-2.858 7.11-4.4 13.8-4.4s13.8 1.542 13.8 4.4zM18.2 7.5a1.3 1.3 0 1 1 1.3 1.3 1.301 1.301 0 0 1-1.3-1.3zm.942.358a.507.507 0 1 0 0-.717.508.508 0 0 0 0 .717zM30 1.582v17.836A44.486 44.486 0 0 0 16 17.2a44.486 44.486 0 0 0-14 2.218V1.582A44.487 44.487 0 0 0 16 3.8a44.487 44.487 0 0 0 14-2.218zM3 18.044c.295-.087.637-.184 1.018-.285l4.786-4.597a.481.481 0 0 1 .539-.088l.62.293 4.229-3.576a.49.49 0 0 1 .643.01s2.679 2.367 3.53 3.098l2.193-2.06a.49.49 0 0 1 .695.025l7.744 7.179.003.001V2.956A47.056 47.056 0 0 1 16 4.8 47.056 47.056 0 0 1 3 2.956zM16 16.2a47.548 47.548 0 0 1 11.183 1.355l-6.316-5.635-1.817 1.708a1 1 0 0 1-1.336.03 552.225 552.225 0 0 1-3.216-2.816l-3.89 3.289a1 1 0 0 1-1.072.14l-.297-.14-3.294 3.163A47.602 47.602 0 0 1 16 16.2z"
  }));
};

var _default = ThreeHundredSixtyViewIcon;
exports["default"] = _default;