"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TimerIcon = function TimerIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M1.2 9a6.8 6.8 0 1 0 12.653-3.45l2.029-2.029-2.403-2.403-2.03 2.029A6.79 6.79 0 0 0 1.2 9zm12.279-6.338l.86.86-.86.859-.86-.86zM8 3.2A5.8 5.8 0 1 1 2.2 9 5.806 5.806 0 0 1 8 3.2zm3 6.8H7V5h1v4h3zm-1-9H6V0h4z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 13h4v1h-5V7h1zM9 2h6V1H9zm13.65 3.916l-2.176 2.177A9.8 9.8 0 1 1 17.6 4.965l2.049-2.049zM12 4.2a8.8 8.8 0 1 0 8.8 8.8A8.81 8.81 0 0 0 12 4.2zm9.236 1.716L19.65 4.33l-1.086 1.086 1.586 1.586z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M26.518 4l-1.95 1.95a13.352 13.352 0 1 0 3.293 3.67L30 7.482zM28.8 16.5A12.3 12.3 0 1 1 16.5 4.2a12.314 12.314 0 0 1 12.3 12.3zm-1.361-7.994L25.494 6.56l1.086-1.085 1.944 1.944zM17 17h8v1h-9V7h1zm3-15h-7V1h7z"
  }));
};

var _default = TimerIcon;
exports["default"] = _default;