"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TourPinTearIcon = function TourPinTearIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M10.374 16c-2.975 0-8.82-.114-10.1-1.386A.849.849 0 0 1 0 14c0-.855 1.179-1.012 2.963-1.249.934-.124 2.88-.382 3.038-.758-.099-.308-1.67-.82-3.548-.995L2 10.955V10l1 .05c1.481.177 4 .665 4 1.95 0 1.225-1.897 1.477-3.905 1.742a16.277 16.277 0 0 0-1.887.321c1.263.598 4.19.94 9.128.94L14 15v1zM5.756 2.86C5.756 4.44 4.25 6.578 3 9 1.75 6.577.244 4.44.244 2.86A2.79 2.79 0 0 1 3 0a2.79 2.79 0 0 1 2.756 2.86zm-1 0A1.791 1.791 0 0 0 3 1a1.791 1.791 0 0 0-1.756 1.86c0 .91.795 2.33 1.637 3.831L3 6.904l.12-.213c.84-1.502 1.636-2.92 1.636-3.83zM4 3.297v-.594A.703.703 0 0 0 3.297 2h-.594A.703.703 0 0 0 2 2.703v.594A.703.703 0 0 0 2.703 4h.594A.703.703 0 0 0 4 3.297zM15.756 7.86c0 1.58-1.506 3.717-2.756 6.14-1.25-2.423-2.756-4.56-2.756-6.14a2.758 2.758 0 1 1 5.512 0zm-1 0a1.759 1.759 0 1 0-3.512 0c0 .91.795 2.328 1.637 3.83l.119.213.12-.213c.84-1.502 1.636-2.92 1.636-3.83zM14 8.296v-.594A.703.703 0 0 0 13.297 7h-.594a.703.703 0 0 0-.703.703v.594a.703.703 0 0 0 .703.703h.594A.703.703 0 0 0 14 8.297z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M20 23.003L19.497 23C12.59 22.958 1 22.514 1 20c0-1.09 1.756-1.416 4.187-1.866 1.193-.22 3.677-.682 3.814-1.138-.116-.368-2.117-.889-4.523-.997L4 15.979V15l1 .026c2.06.128 5 .56 5 1.974 0 1.259-2.146 1.656-4.632 2.117-1.18.219-3.153.584-3.382.94.309.97 8.324 1.887 17.515 1.943H20zM9 5.133C9 7.412 6.814 10.5 5 14c-1.814-3.5-4-6.587-4-8.868A4.04 4.04 0 0 1 5 1a4.04 4.04 0 0 1 4 4.132zm-3.435 5.752C6.817 8.66 8 6.562 8 5.132A3.035 3.035 0 0 0 5 2a3.035 3.035 0 0 0-3 3.132c0 1.43 1.183 3.53 2.435 5.753.186.332.376.668.565 1.01.19-.342.379-.678.565-1.01zM7 5a2 2 0 1 1-2-2 2 2 0 0 1 2 2zM6 5a1 1 0 1 0-1 1 1 1 0 0 0 1-1zm17 7.132c0 2.281-2.186 5.368-4 8.868-1.814-3.5-4-6.587-4-8.868a4.002 4.002 0 1 1 8 0zm-3.435 5.753C20.817 15.66 22 13.562 22 12.132a3.003 3.003 0 1 0-6 0c0 1.43 1.183 3.53 2.435 5.753.186.332.376.668.565 1.01.19-.342.379-.678.565-1.01zM21 12a2 2 0 1 1-2-2 2 2 0 0 1 2 2zm-1 0a1 1 0 1 0-1 1 1 1 0 0 0 1-1z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M26 31.057l-.68-.06C15.138 30.778 3 29.91 3 27c0-1.355 2.293-1.776 4.947-2.264C9.16 24.514 12 23.992 12 23.5c0-.44-2.475-1.208-5.548-1.502L6 21.954V21l1 .049c2.11.232 6 .875 6 2.451 0 1.325-2.15 1.72-4.872 2.22C6.788 25.966 4 26.478 4 27c0 1.263 7.331 2.697 21.342 2.996l.145.004H26zM11.9 8.086C11.9 10.893 9.222 14.692 7 19c-2.222-4.308-4.9-8.107-4.9-10.914A4.96 4.96 0 0 1 7 3a4.96 4.96 0 0 1 4.9 5.086zm-4.01 7.19c1.548-2.761 3.01-5.37 3.01-7.19A3.954 3.954 0 0 0 7 4a3.954 3.954 0 0 0-3.9 4.086c0 1.82 1.462 4.429 3.01 7.19.292.524.592 1.058.89 1.601.298-.543.598-1.077.89-1.6zM9.13 8A2.13 2.13 0 1 1 7 5.834 2.147 2.147 0 0 1 9.13 8zm-1 0A1.13 1.13 0 1 0 7 9.166 1.15 1.15 0 0 0 8.13 8zm21.77 9.086c0 2.807-2.678 6.606-4.9 10.914-2.222-4.308-4.9-8.107-4.9-10.914a4.903 4.903 0 1 1 9.8 0zm-4.01 7.19c1.548-2.761 3.01-5.37 3.01-7.19a3.905 3.905 0 1 0-7.8 0c0 1.82 1.461 4.429 3.01 7.19.292.524.592 1.058.89 1.601.298-.543.598-1.077.89-1.6zM27.13 17A2.13 2.13 0 1 1 25 14.834 2.147 2.147 0 0 1 27.13 17zm-1 0A1.13 1.13 0 1 0 25 18.166 1.15 1.15 0 0 0 26.13 17z"
  }));
};

var _default = TourPinTearIcon;
exports["default"] = _default;