"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserMinusIcon = function UserMinusIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 6.8A2.8 2.8 0 1 1 10.8 4 2.803 2.803 0 0 1 8 6.8zm0-4.667A1.867 1.867 0 1 0 9.867 4 1.869 1.869 0 0 0 8 2.133zM9 14H4v-2.5A2.503 2.503 0 0 1 6.5 9h3a2.49 2.49 0 0 1 1.987 1h1.162A3.495 3.495 0 0 0 9.5 8h-3A3.504 3.504 0 0 0 3 11.5V15h6zm0-2v1h7v-1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 1.2A4.8 4.8 0 1 0 16.8 6 4.805 4.805 0 0 0 12 1.2zm0 8.6A3.8 3.8 0 1 1 15.8 6 3.804 3.804 0 0 1 12 9.8zm1 10.199V19h9v.999zM4 22v-4.5A5.507 5.507 0 0 1 9.5 12h5a5.506 5.506 0 0 1 5.475 5h-1.026a4.49 4.49 0 0 0-4.449-4h-5A4.505 4.505 0 0 0 5 17.5V21h6v.999z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 13.8A5.8 5.8 0 1 1 21.8 8a5.806 5.806 0 0 1-5.8 5.8zm0-10.6A4.8 4.8 0 1 0 20.8 8 4.805 4.805 0 0 0 16 3.2zM25 27v1H7v-6.5a5.507 5.507 0 0 1 5.5-5.5h7a5.507 5.507 0 0 1 5.5 5.5v.5h1v-.5a6.508 6.508 0 0 0-6.5-6.5h-7a6.499 6.499 0 0 0-6.49 6.5L6 29h20v-2zm5-2.001V24H19v.999z"
  }));
};

var _default = UserMinusIcon;
exports["default"] = _default;