"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserPlusIcon = function UserPlusIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M6.5 8h3a3.492 3.492 0 0 1 .734.08A1.978 1.978 0 0 0 10 9v.05A2.5 2.5 0 0 0 9.5 9h-3A2.503 2.503 0 0 0 4 11.5V14h3v1H3v-3.5A3.504 3.504 0 0 1 6.5 8zM8 6.8A2.8 2.8 0 1 1 10.8 4 2.803 2.803 0 0 1 8 6.8zm0-.933A1.867 1.867 0 1 0 6.133 4 1.868 1.868 0 0 0 8 5.867zm4 5.633v.5H9v1h3v3h1v-3h3v-1h-3V9h-1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 10.8A4.8 4.8 0 1 0 7.2 6a4.805 4.805 0 0 0 4.8 4.8zm0-8.6A3.8 3.8 0 1 1 8.2 6 3.804 3.804 0 0 1 12 2.2zM4 22v-4.5A5.506 5.506 0 0 1 9.5 12h5a5.465 5.465 0 0 1 3.152 1H9.5A4.505 4.505 0 0 0 5 17.5V21h6v.999zm18-3v.999h-4V24h-1v-4.001h-4V19h4v-4h1v4z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M22 28v1H6v-7.5a6.508 6.508 0 0 1 6.5-6.5h7a6.476 6.476 0 0 1 4.698 2.02A1.952 1.952 0 0 0 24 17h-1a1.988 1.988 0 0 0-.306.03A5.464 5.464 0 0 0 19.5 16h-7A5.506 5.506 0 0 0 7 21.5V28zM10.2 8a5.8 5.8 0 1 1 5.8 5.8A5.806 5.806 0 0 1 10.2 8zm1 0A4.8 4.8 0 1 0 16 3.2 4.805 4.805 0 0 0 11.2 8zM25 24v-5h-1v5h-5v.999h5V30h1v-5.001h5V24z"
  }));
};

var _default = UserPlusIcon;
exports["default"] = _default;