"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserToDeviceIcon = function UserToDeviceIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11 14v1H9v1h5v-1h-2v-1h4V8H7v6zM8 9h7v4H8zm6 2H9v-1h5zm-1-8v2.294L14.293 4l.707.707-2.5 2.502L10 4.707 10.707 4 12 5.294V3a1.001 1.001 0 0 0-1-1H9V1h2a2.002 2.002 0 0 1 2 2zM2 13v-2.294L.707 12 0 11.293l2.5-2.502L5 11.293 4.293 12 3 10.706V13a1.001 1.001 0 0 0 1 1h2v1H4a2.002 2.002 0 0 1-2-2zM3.5 0a2.489 2.489 0 0 0-1.855 4.16A2.497 2.497 0 0 0 0 6.5V8h7V6.5a2.497 2.497 0 0 0-1.645-2.34A2.489 2.489 0 0 0 3.5 0zm0 1A1.5 1.5 0 1 1 2 2.5 1.502 1.502 0 0 1 3.5 1zM6 6.5V7H1v-.5A1.502 1.502 0 0 1 2.5 5h2A1.502 1.502 0 0 1 6 6.5z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M23 21v-9H10v9h5v1h-2v1h7v-1h-2v-1zm-12-1v-7h11v7zm6 2h-1v-1h1zm4-7h-9v-1h9zM15.5 3H14V2h1.5A3.504 3.504 0 0 1 19 5.5v2.693l1.646-1.647.707.707-2.853 2.854-2.854-2.854.707-.707L18 8.193V5.5A2.503 2.503 0 0 0 15.5 3zm-8 18H9v1H7.5A3.504 3.504 0 0 1 4 18.5v-2.693l-1.646 1.647-.707-.707L4.5 13.893l2.854 2.854-.707.707L5 15.807V18.5A2.503 2.503 0 0 0 7.5 21zM8 3.5A2.5 2.5 0 1 0 5.5 6 2.503 2.503 0 0 0 8 3.5zM5.5 5A1.5 1.5 0 1 1 7 3.5 1.502 1.502 0 0 1 5.5 5zm2 1h-4A2.503 2.503 0 0 0 1 8.5V11h9V8.5A2.503 2.503 0 0 0 7.5 6zM9 10H2V8.5A1.502 1.502 0 0 1 3.5 7h4A1.502 1.502 0 0 1 9 8.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M13 11.5A3.504 3.504 0 0 0 9.5 8h-3A3.504 3.504 0 0 0 3 11.5V14h10zM12 13H4v-1.5A2.503 2.503 0 0 1 6.5 9h3a2.503 2.503 0 0 1 2.5 2.5zM8 7a3 3 0 1 0-3-3 3.003 3.003 0 0 0 3 3zm0-5a2 2 0 1 1-2 2 2.002 2.002 0 0 1 2-2zm22 26V16H13v12h7v1h-3v1h9v-1h-3v-1zm-16-1V17h15v10zm8 2h-1v-1h1zm6-10H15v-1h13zM8.502 27H11v1H8.5A3.515 3.515 0 0 1 5 24.493v-4.785l-2.646 2.646-.707-.707L5.5 17.793l3.853 3.852-.707.707L6 19.706v4.787A2.512 2.512 0 0 0 8.502 27zM20.498 5H18V4h2.5A3.515 3.515 0 0 1 24 7.507v4.785l2.646-2.646.707.707-3.854 3.854-3.853-3.852.707-.707L23 12.294V7.507A2.512 2.512 0 0 0 20.498 5z"
  }));
};

var _default = UserToDeviceIcon;
exports["default"] = _default;