"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserUpIcon = function UserUpIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M8 6.765a2.8 2.8 0 1 1 2.8-2.8 2.803 2.803 0 0 1-2.8 2.8zm0-4.667a1.867 1.867 0 1 0 1.866 1.867A1.869 1.869 0 0 0 8 2.098zM10 14H4v-2.5A2.503 2.503 0 0 1 6.5 9h1.014a2.467 2.467 0 0 1 .218-.268L8.465 8H6.5A3.504 3.504 0 0 0 3 11.5V15h7zm5.354-4.346L12.5 6.8 9.646 9.654l.707.707L12 8.714V16h1V8.714l1.646 1.647z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M12 1.165a4.8 4.8 0 1 0 4.8 4.8 4.805 4.805 0 0 0-4.8-4.8zm0 8.6a3.8 3.8 0 1 1 3.8-3.8 3.804 3.804 0 0 1-3.8 3.8zM17 22H4v-4.5A5.507 5.507 0 0 1 9.5 12H14l-.232.232a2.484 2.484 0 0 0-.518.768H9.5A4.505 4.505 0 0 0 5 17.5V21h12zm5.646-7.64L20 11.715V23h-1V11.714l-2.646 2.647-.707-.707L19.5 9.8l3.854 3.854z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 13.765a5.8 5.8 0 1 1 5.8-5.8 5.806 5.806 0 0 1-5.8 5.8zm0-10.6a4.8 4.8 0 1 0 4.8 4.8 4.805 4.805 0 0 0-4.8-4.8zM7 28v-6.5a5.507 5.507 0 0 1 5.5-5.5h7c.083 0 .163.009.245.012l.905-.904A6.49 6.49 0 0 0 19.5 15h-7a6.499 6.499 0 0 0-6.49 6.5L6 29h16v-1zm22.354-8.354L24.5 14.793l-4.854 4.854.707.707L24 16.707V30h1V16.707l3.646 3.646z"
  }));
};

var _default = UserUpIcon;
exports["default"] = _default;