"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["color", "size", "className", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var WifiIcon = function WifiIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, _excluded);

  var classes = 'calcite-icon';
  if (className) classes += " ".concat(className);

  if (size <= 16) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 16 16",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M11.009 10.276a4.26 4.26 0 0 0-6.018 0l-.707-.707a5.261 5.261 0 0 1 7.432 0zM13.785 7.4a8.19 8.19 0 0 0-11.57 0l.707.707a7.189 7.189 0 0 1 10.156 0zm2.069-2.069a11.106 11.106 0 0 0-15.707 0l.707.707a10.106 10.106 0 0 1 14.293 0zM9 13a1 1 0 1 1-1-1 1.001 1.001 0 0 1 1 1z"
    }));
  }

  if (size <= 24) {
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      className: classes
    }), /*#__PURE__*/_react["default"].createElement("path", {
      d: "M16.748 14.863a6.092 6.092 0 0 0-8.496 0l-.696-.718a7.092 7.092 0 0 1 9.888 0zm3.53-3.541a11.012 11.012 0 0 0-15.556 0l.707.707a10.011 10.011 0 0 1 14.142 0zm2.828-2.828a15.016 15.016 0 0 0-21.212 0L2.6 9.2a14.017 14.017 0 0 1 19.798 0zM14 18.5a1.5 1.5 0 1 1-1.5-1.5 1.502 1.502 0 0 1 1.5 1.5z"
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, props, {
    width: size,
    height: size,
    fill: color,
    viewBox: "0 0 32 32",
    className: classes
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M16 22a2 2 0 1 1-2 2 2 2 0 0 1 2-2zm6.176-3.402a8.858 8.858 0 0 0-12.352 0l.697.718a7.858 7.858 0 0 1 10.959 0zm3.591-3.48a13.812 13.812 0 0 0-19.534 0l.707.707a12.813 12.813 0 0 1 18.12 0zm3.587-3.487a18.906 18.906 0 0 0-26.707 0l.707.707a17.904 17.904 0 0 1 25.293 0z"
  }));
};

var _default = WifiIcon;
exports["default"] = _default;